2004-12-19  Sven Neumann  <sven@gimp.org>

	* Made 2.2.0 release.

2004-12-18  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprotatetool.c (gimp_rotate_tool_dialog): fixed label.

2004-12-18  Sven Neumann  <sven@gimp.org>

	* app/dialogs/resize-dialog.c: free the dialog's private data
	struct using a weak reference, not in a "destroy" handler.  Should
	fix bug #161472.

	* app/dialogs/print-size-dialog.c
	* app/dialogs/scale-dialog.c: same change here.

2004-12-18  Sven Neumann  <sven@gimp.org>

	* app/dialogs/quit-dialog.c: marked a message for translation that
	had been forgotten. Fixes bug #161596.

2004-12-17  Sven Neumann  <sven@gimp.org>

	* autogen.sh: check for gtk-doc.m4, depend on intltool > 0.31.

2004-12-17  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpmovetool.c (gimp_move_tool_cursor_update): don't
	use the rect-select cursor if the tool is in move-layer mode.
	Spotted by Joao S. O. Bueno, bug #161465.

2004-12-17  Simon Budig  <simon@gimp.org>

	* app/tools/gimpcurvestool.c: Kill some nonsensical code that
	tried to set control points in a free form curve based on the
	image coordinates (huh?). Update the Graph after adding a point.
	Untabbified.

2004-12-17  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpimagemaptool.c (gimp_image_map_tool_pick_color):
	take drawable offsets into account. Fixes bug #161508.

2004-12-17  Sven Neumann  <sven@gimp.org>

	* docs/gimp-remote.1.in
	* docs/gimp.1.in
	* docs/gimptool.1.in: minor tweaks.

2004-12-17  Simon Budig  <simon@gimp.org>

	* data/images/gimp-splash.png: Added new splash by
	Bill Luhtala <bluhtala@telus.net>.

	* data/images/gimp-logo.png: Added new Image for the about dialog
	by Philip Lafleur <deathpudding@gmail.com>.

	* app/dialogs/about-dialog.c: Adjusted text colors and placement
	to the new image.

	* data/images/gimp2_0_logo.png
	* data/images/gimp2_0_splash.png: Added for historical reasons.

	* data/images/gimp_logo.png: Removed (renamed to gimp-logo.png)
	* data/images/Makefile.am: changed accordingly.

2004-12-16  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/core/gimpgradient-load.c: reject .ggr files whose 
	segments don't properly span the range 0-1.
	Fixes bug #161430.
	
2004-12-16  Manish Singh  <yosh@gimp.org>

	* app/widgets/gimppdbdialog.c (gimp_pdb_dialog_set_property): Cast
	result of g_value_dup_object() to GIMP_CONTEXT().

2004-12-16  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* plug-ins/script-fu/scripts/circuit.scm: don't try to
	desaturate a grayscale layer, fixes bug #161470.

2004-12-16  Sven Neumann  <sven@gimp.org>

	* INSTALL: updated location of fontconfig sources.

2004-12-16  Sven Neumann  <sven@gimp.org>

	* app/config/gimpconfig-dump.c
	* docs/gimp-remote.1.in
	* docs/gimp.1.in
	* docs/gimprc.5.in: hyphens revisited.

2004-12-16  Sven Neumann  <neumann@jpk.com>

	* app/config/gimpconfig-dump.c (dump_gimprc_manpage): escape hyphens.

	* docs/gimp.1.in: documented the way that splash images are choosen.

	* docs/gimprc.5.in: regenerated.

2004-12-16  Michael Natterer  <mitch@gimp.org>

	* app/actions/actions.c (action_data_get_*): get gimp, display or
	image from a context only if it isn't NULL. Fixes warnings and
	crashes when dragging around some dockables (the dockables'
	context temporarily becomes NULL while dragging).

	Reordered checks for the passed "data" to be consistent across the
	various functions.

	Removed assertions which said "#warning: remove me before 2.2"

2004-12-16  Sven Neumann  <neumann@jpk.com>

	* app/dialogs/preferences-dialog.c (prefs_keyboard_shortcuts_dialog):
	added a note on how to use the dialog, copied from the GNOME keyboard
	shortcuts editor.

2004-12-15  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/text_tool.pdb: let gimp_text() and
	gimp_text_fontname() succeed but return -1 if no layer was created.
	Fixes bug #161272.

	* app/pdb/text_tool_cmds.c
	* libgimp/gimptexttool_pdb.c: regenerated.

2004-12-15  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-preview.[ch]: added utility function
	gimp_drawable_preview_bytes() and use it. Some cleanup,
	untabified.

	* app/widgets/gimpviewrendererdrawable.c: use
	gimp_drawable_preview_bytes() instead of duplicating its code.

2004-12-15  Michael Natterer  <mitch@gimp.org>
	    Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable-preview.c (gimp_drawable_preview_scale):
	fixed RGBA resampling by using premultiplied values for the
	intermediate accumulation buffer. Fixes bugs #72880 and #72881.

2004-12-14  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/plug-in-proc-frame.[ch]: added "gint ref_count" to
	the PlugInProcFrame struct. Added new functions
	plug_in_proc_frame_ref/unref().

	(plug_in_proc_frame_new): set the ref_count to 1.

	* app/plug-in/plug-in.[ch] (plug_in_proc_frame_push): return the
	new proc_frame.

	(plug_in_proc_frame_pop): use unref() instead of free().

	* app/plug-in/plug-in-run.c (plug_in_temp_run): ref the proc_frame
	while running its main loop. Removed the call to
	plug_in_proc_frame_pop().

	* app/plug-in/plug-in-message.c (plug_in_handle_temp_proc_return):
	call plug_in_proc_frame_pop() immediately after
	plug_in_main_loop_quit() so the proc_frame goes away from the
	stack and can't be used accidentially if the core is too busy to
	return to the main loop before the next command arrives on the
	wire. Really fixes bug #161114 this time.

2004-12-14  Simon Budig  <simon@gimp.org>

	* app/vectors/gimpstroke.[ch]: Changed the "gradient" parameter
	to "slope" to make it more clear what the returned result is (which
	was wrong earlier).
	* tools/pdbgen/pdb/paths.pdb: changed accordingly

	* app/pdb/paths_cmds.c
	* libgimp/gimppaths_pdb.[ch]: regenerated.

	Fixes bug #161274.

2004-12-14  Maurits Rijk  <m.rijk@chello.nl>

	* plug-ins/imagemap/imap_selection.c: don't use 
	gtk_tree_selection_get_selected with GTK_SELECTION_MULTIPLE. Should
	finally fix bug #149157.

2004-12-14  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpstock.c (gimp_stock_init): documented.

2004-12-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_misc.c (make_toolbar_radio_icon): don't
	call gtk_radio_tool_button_new_with_stock_from_widget() with a
	NULL widget. Fixes bug #161210.

2004-12-14  Sven Neumann  <sven@gimp.org>

	* configure.in: added GIMP_API_VERSION to the generated gimpversion.h.

	* libgimpbase/gimpenv.c (gimp_toplevel_directory): use
	GIMP_API_VERSION instead of GIMP_MACRO_VERSION.GIMP_MINOR_VERSION
	when building a path to test the plug-in executable path against.

2004-12-14  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/drawable.pdb: added gimp_drawable_sub_thumbnail()
	to enable plug-ins avoiding #142074-alike bugs if they need to.

	* app/pdb/drawable_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpdrawable_pdb.[ch]: regenerated.

	* libgimp/gimpdrawable.[ch]
	* libgimp/gimppixbuf.[ch]: wrap it with the same convenience
	APIs as gimp_drawable_thumbnail().

	* libgimp/gimp.def
	* libgimp/gimpui.def: changed accordingly.

2004-12-13  Sven Neumann  <sven@gimp.org>

	* HACKING
	* autogen.sh
	* configure.in: switched to using gtkdocize for the build of the
	API docs.

2004-12-13  Maurits Rijk  <m.rijk@chello.nl>

	* plug-ins/imagemap/imap_selection.c: don't try do to anything when
	selection is empty. Fixes bug #149157.

2004-12-13  Maurits Rijk  <m.rijk@chello.nl>

	* plug-ins/imagemap/imap_misc.[ch]
	* plug-ins/imagemap/imap_selection.[ch]
	* plug-ins/imagemap/imap_toolbar.[ch]
	* plug-ins/imagemap/imap_tools.[ch]: removed need for 
	GTK_DISABLE_DEPRECATED. Looking at #149157 next...

2004-12-13  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcroptool.c: don't show the Crop tool window if
	Shift is being pressed on the initial button_press event.

2004-12-13  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* plug-ins/pygimp/gimpfu.py: display PF_RADIO options vertically
	instead of horizontally, as suggested by Joao S. O. Bueno Calligaris.
	Fixes bug #160546.
	
2004-12-13  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* plug-ins/gfig/gfig.c: make the "gfig" layer parasites persistent,
	so that they will be saved in xcf files.  Stop printing "GFig
	parasite found" message.
	
2004-12-13  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimppdbdialog.[ch]: don't forget the context we
	were created with but rmember it as pdb_dialog->caller_context.

	* app/widgets/gimpbrushselect.c
	* app/widgets/gimpfontselect.c
	* app/widgets/gimpgradientselect.c
	* app/widgets/gimppaletteselect.c
	* app/widgets/gimppatternselect.c: use the caller_context when
	calling the temp_proc so the temp_proc's stack frame doesn't
	contain the dialog's private context (which is just a scratch
	model for the container views) but the plug-in's real context
	which is fully initialized. Fixes bug #161114.

2004-12-13  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpdrawablecombobox.c: fixed gtk-doc comment.

2004-12-13  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-style.c: let objects keep their own fill_style
	context.

2004-12-13  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage-convert.c: applied patch from Adam D. Moss with
	more fixed dither improvements (bug #161123).

2004-12-13  Sven Neumann  <sven@gimp.org>

	* app/gui/splash.c: restrict splash image to screen size to guard us
	from insanely large splash images.

2004-12-13  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdock.c (gimp_dock_delete_event): invert logic so
	everything except GTK_RESPONSE_OK keeps the dock open
	(e.g. hitting escape).

2004-12-12  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-preview.c (gimp_drawable_get_sub_preview):
	added precondition check for the coords of the src area. Some
	cleanup and simplification.

	* app/widgets/gimpviewrendererdrawable.c
	(gimp_view_renderer_drawable_render): don't request sub-previews
	of area outside the drawable and don't reuqest previews of zero
	width or height. Fixes crashes with the new preview code.

2004-12-12  Sven Neumann  <sven@gimp.org>

	Applied patch from Adam D. Moss (bug #161113):
	
	* app/core/gimpimage-convert.c: Use a slower but much nicer
	technique for finding the two best colours to dither between when
	using fixed/positional dither methods.  Makes positional dither
	much less lame.

2004-12-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/film.c (film): push a context around code that
	changes the foreground color.

2004-12-12  Sven Neumann  <sven@gimp.org>

	* app/batch.c (batch_run): changed handling of the 'gimp -b -'
	command-line. It used to spawn three instances of Script-Fu, two
	should be more than enough.

2004-12-12  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/widgets/gimpdataeditor.c: make Revert button insensitive
	because revert is not yet implemented (bug #152259).
	
2004-12-12  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpdock.c: show a confirmation dialog if a dock
	with multiple tabs is being closed. Sorry for the new strings,
	they were carefully copied from gnome-terminal.

2004-12-12  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* plug-ins/common/pnm.c: make export do the right thing when
	saving as .pgm or .ppm.  Fixes bug #160045.
	
2004-12-12  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.def: added gimp_edit_copy_visible.

	* plug-ins/script-fu/scripts/copy-visible.scm: deprecated.

2004-12-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/winclipboard.c: applied patch from Brion Vibber
	that adds an alpha channel to the pasted layer. Fixes bug #148601.

2004-12-12  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager-crop.c: removed trailing whitespace.

	* plug-ins/imagemap/imap_selection.c: need to define
	GTK_DISABLE_DEPRECATED for gtk_toolbar_append_space().

2004-12-12  Michael Natterer  <mitch@gimp.org>

	* app/paint-funcs/paint-funcs.[ch]: added new function
	copy_region_nocow() as a workaround for the fact that sharing
	tiles with the projection is heavily broken.

	* app/base/tile-manager.c (tile_invalidate): added a warning when
	entering the code path that breaks badly.

	* app/core/gimp-edit.[ch]: added gimp_edit_copy_visible(), using
	the non-COW copying function above.

	* app/widgets/gimphelp-ids.h: added GIMP_HELP_COPY_VISIBLE.

	* app/actions/edit-actions.c
	* app/actions/edit-commands.[ch]: added action & callback for
	"edit-copy-visible".

	* menus/image-menu.xml.in: added "edit-copy-visible" to the image
	menu.

	* tools/pdbgen/pdb/edit.pdb: added gimp_edit_copy_visible()
	PDB wrapper.

	* app/pdb/edit_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpedit_pdb.[ch]: regenerated.

	* plug-ins/script-fu/scripts/copy-visible.scm: removed all code
	and made it a backward compat wrapper around gimp-edit-copy-visible.
	Fixes bug #138662.

2004-12-11  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-preview.c (gimp_drawable_preview_private):
	implement it using gimp_drawable_get_sub_preview(). Removes
	massive code duplication introduced by yesterday's fix.

2004-12-11  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/copy-visible.scm: Apply the layer mask
	when copying a single layer with a layer mask. Fixes bug #138662.

	* plug-ins/script-fu/scripts/t-o-p-logo.scm: Removed ' character.

2004-12-11  Sven Neumann  <sven@gimp.org>

	* INSTALL
	* NEWS
	* README: updates for the GIMP 2.2.0 release.

2004-12-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/unsharp.c: got rid of a global variable.

	* plug-ins/common/bumpmap.c (dialog_bumpmap_callback): more changes
	to restore the gimp-2.0 behaviour.

2004-12-11  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-preview.[ch]: added new function
	gimp_drawable_get_sub_preview() which returns a scaled preview of
	a part of a drawable.

	(gimp_drawable_preview_scale): made it work with srcPR.x and
	srcPR.y being != 0.

	* app/core/gimpimage-preview.c (gimp_image_get_new_preview)
	* app/widgets/gimpviewrendererdrawable.c
	(gimp_view_renderer_drawable_render): if the area of the drawable
	preview is more than 4 times larger than the drawable itself (evil
	heuristic, but seems to work fine), use above function to get a
	sub-preview of the drawable instead of getting an insanely large
	preview of the whole drawable just to use a small part of it.
	Fixes bug #142074.

	* app/core/gimpimage-preview.c (gimp_image_get_new_preview):
	optimized by skipping layers which do not intersect with the
	canvas.

2004-12-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/bumpmap.c (dialog_bumpmap_callback): do actually
	change the bumpmap drawable. Fixes bug #160985, hopefully without
	reopening bug #158494.

2004-12-11  Sven Neumann  <sven@gimp.org>

	* configure.in: set version to 2.2.0.

	* tools/Makefile.am
	* tools/authorsgen/Makefile.am
	* tools/authorsgen/authorsgen.pl
	* tools/authorsgen/contributors: removed authorsgen, a perl script
	that used to be used to create AUTHORS and authors.h.

	* Makefile.am
	* authors.dtd
	* authors.xml: added a simple XML file that lists authors and
	contributors and a DTD to validate it.

	* authors.xsl: a stylesheet to generate AUTHORS from authors.xml.

	* app/dialogs/Makefile.am
	* app/dialogs/authors.xsl: a stylesheet to generate authors.h from
	authors.xml.

	* app/dialogs/authors.h: regenerated.

	* app/dialogs/about-dialog.c: added a const modifier.

2004-12-09  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/widgets/gimphistogrameditor.c: make histogram editor,
	and therefore histogram dialog, use the selection.  Should
	resolve bug #72959.

	* app/core/gimpdrawable-histogram.h: remove trailing whitespace.
	
2004-12-10  Manish Singh  <yosh@gimp.org>

	* app/widgets/gimpdatafactoryview.c
	* app/widgets/gimpitemtreeview.c: #include <string.h> for strcmp()

2004-12-10  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdatafactoryview.c
	(gimp_data_factory_view_tree_name_edited)
	* app/widgets/gimpitemtreeview.c
	(gimp_item_tree_view_name_edited)
	* app/widgets/gimptemplateview.c
	(gimp_template_view_tree_name_edited): call gimp_object_set_name()
	or gimp_item_rename() only if the item's name has actually changed
	and restore the old text otherwise. Fixes one instance of "name is
	not updated correctly after editing" for which I blamed GTK+ in
	bug #145463 :-) The other instances should be fixed in GTK+ HEAD
	and are imho unfixable with GTK+ 2.4.

2004-12-10  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcontainertreeview.c
	(gimp_container_tree_view_clear_items): clear all viewable cell
	renderers so they don't keep pointers to layers/masks which don't
	exist any more. Fixes the additional problem in bug #148852 but
	not the bug itself.

2004-12-09  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/core/gimpbrushpipe.c (gimp_brush_pipe_select_brush):
	Don't initialize a new random number generator every time a brush
	is selected from a pipe.  Fixes bug #148205).
	
2004-12-09  DindinX  <dindinx@gimp.org>

	* plug-ins/common/cartoon.c: marked the menu entry for translation
	(reported by Zigomar)

2004-12-09  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/print-size-dialog.c
	* app/widgets/gimpsizebox.c: set a focus_chain on the size_entries
	so the focus order is width->height->chain->unitmenu and not
	width->chain->height->unitmenu.

	* app/widgets/gimptemplateeditor.c: changed focus_chain code to
	work like above (cosmetics).

2004-12-09  Sven Neumann  <sven@gimp.org>

	* app/gui/splash.c (splash_update): only expose the area of the
	window that actually changed.

	* app/plug-in/plug-in-rc.c (plug_in_rc_write): changed the header
	and footer to be more in line with the other rc files.

2004-12-08  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/dialogs/print-size-dialog.c (print_size_dialog_size_changed):
	Previous fix only worked if units were inches -- now seems to
	work for all units. (fixes #159273 ?)

2004-12-08  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* plug-ins/common/randomize.c:  Changed algorithm for Pick and
	Slur to treat all channels within a pixel in the same way;
	intended to fix bug #72852.
	
2004-12-08  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/dialogs/print-size-dialog.c (print_size_dialog_size_changed):
	fixed kludgy use of size entry, seems to fix bug #159273.

2004-12-08  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpuimanager.[ch]: renamed
	gimp_ui_manager_get_action() to gimp_ui_manager_find_action().

	* app/widgets/gimpcolormapeditor.c
	* app/widgets/gimpitemtreeview.c
	* app/widgets/gimppaletteeditor.c
	* app/widgets/gimptoolbox.c
	* app/widgets/gimptooloptionseditor.c
	* app/display/gimpdisplayshell-close.c: changed accordingly.

	(this change is quite useless as it stands, but will help keeping
	the diff between 2.2 and 2.3 small as soon as we're branched).

	* app/widgets/gimpcolormapeditor.c
	(gimp_colormap_preview_button_press): invoke the "edit-color", not
	"new-color" action upon double click.

	(palette_editor_select_entry): update the ui manager after
	selecting the entry so the entry-specific actions become sensitive
	if there was no entry selected before.

2004-12-08  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimppropwidgets.[ch]: added new prop_widget
	gimp_prop_int_combo_box_new() which takes a pre-built GimpIntStore
	and allows to create views on int properties with arbitrary sets
	of values (not just enums).

	* app/widgets/gimpcontrollereditor.c
	(gimp_controller_editor_constructor): added support for generic
	combo boxes controlled exclusively by controller properties: if an
	int property "foo" is followed by an object property "foo-values"
	and the contained object is a GimpIntStore, use that store as
	model for selecting "foo"'s values using
	gimp_prop_int_combo_box_new().

	(Allows for more flexible controller configuration, the actual use
	case in the midi controller is still work in progress).

2004-12-06  Sven Neumann  <sven@gimp.org>

	* tools/authorsgen/contributors: removed duplicate entry for Roman.

	* AUTHORS
	* app/dialogs/authors.h: regenerated.

2004-12-06  Roman Joost	<romanofski@gimp.org>

	* tools/authorsgen/contributors: added Róman Joost to
	contributors

2004-12-06  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimptransformtool.c: applied patch from Sven Neumann
	which removes code that prevents layers with mask from being
	transformed.

	* app/tools/gimptransformtool.[ch]: added "gboolean mask_empty"
	parameter to GimpTransformTool::transform(). Needed because the
	selection gets cleared by cutting from the drawable and we need
	the selection's state before that cutting.

	(gimp_transform_tool_doit): pass "mask_empty" to
	GimpTransformTool::transform():

	* app/tools/gimptransformtool.c (gimp_transform_tool_real_transform)
	* app/tools/gimpfliptool.c (gimp_flip_tool_transform): when
	transforming a layer with mask and there is no selection,
	transform the mask just as if it was a linked item.
	Fixes bug #143837 and bug #159697.

2004-12-05  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-transform-utils.c (gimp_transform_matrix_flip_free):
	applied patch from Joao S. O. Bueno that fixes bug #160339.

2004-12-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/help/domain.c
	* plug-ins/help/gimp-help-lookup.c
	* plug-ins/help/help.[ch]: if the help files are not installed,
	uninstall the temporary procedure and quit. Fixes bug #160258.

2004-12-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/lic.c: applied patch from Joao S. O. Bueno that
	sets a lower limit for the filter length (bug #160121). The patch
	also makes the plug-in work on drawables with alpha channel.

2004-12-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/wmf.c: applied patch from Karine Proot that
	limits the size of the preview in the WMF loader (bug #133521).

2004-12-04  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-arc.c
	* plug-ins/gfig/gfig-arc.h
	* plug-ins/gfig/gfig-bezier.c
	* plug-ins/gfig/gfig-bezier.h
	* plug-ins/gfig/gfig-circle.c
	* plug-ins/gfig/gfig-circle.h
	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gfig/gfig-dobject.h
	* plug-ins/gfig/gfig-ellipse.c
	* plug-ins/gfig/gfig-ellipse.h
	* plug-ins/gfig/gfig-line.c
	* plug-ins/gfig/gfig-line.h
	* plug-ins/gfig/gfig-poly.c
	* plug-ins/gfig/gfig-poly.h
	* plug-ins/gfig/gfig-preview.c
	* plug-ins/gfig/gfig-spiral.c
	* plug-ins/gfig/gfig-spiral.h
	* plug-ins/gfig/gfig-star.c
	* plug-ins/gfig/gfig-star.h: updating a object is now a virtual
	function.

2004-12-03  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-undo-push.c (undo_pop_layer): when removing
	the floating selection, call gimp_drawable_invalidate_boundary()
	*before* setting gimage->floating_sel to NULL because otherwise
	gimp_display_shell_selection_invis() won't clear the correct
	selection bounds and leave garbage on screen. Fixes bug #160247.

2004-12-02  Michael Natterer  <mitch@gimp.org>

	* app/actions/tool-options-actions.c
	(tool_options_actions_update_presets): don't forget to initialize
	the "value_variable" boolean of GimpEnumActionEntry. Fixes myriads
	of warnings about wrong values for boolean properties.

	* app/actions/file-actions.c (file_actions_setup): same
	here. Fixes nothing but is cleaner.

2004-12-02  Simon Budig  <simon@gimp.org>

	* app/vectors/gimpvectors.c: Fixed stupid typo that caused
	distorted vectors on scaling after resizing. Spotted by
	Joao S. O. Bueno.

	Fixes bug #157852.

2004-12-01  Sven Neumann  <sven@gimp.org>

	* autogen.sh: rephrased the warning that is shown when the
	intltool check fails.

2004-12-01  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpuimanager.c (gimp_ui_manager_ui_get): improved
	error message about missing XML files.

2004-12-01  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-appearance.c
	* app/display/gimpdisplayshell.c
	* app/widgets/gimpdockable.c
	* app/widgets/gimptexteditor.c
	* app/widgets/gimptoolbox.c: check if gimp_ui_manager_ui_get()
	actually returns something. Prevents crashes caused by missing
	ui manager xml files. Fixes bug #159346.

2004-12-01  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimptoolview.c (gimp_tool_view_select_item): no need
	to update the ui manager here, the parent class already does it.

2004-11-30  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/README: removed some very obsolete stuff.

	* plug-ins/gfig/gfig-arc.c
	* plug-ins/gfig/gfig-arc.h
	* plug-ins/gfig/gfig-bezier.c
	* plug-ins/gfig/gfig-bezier.h
	* plug-ins/gfig/gfig-circle.c
	* plug-ins/gfig/gfig-circle.h
	* plug-ins/gfig/gfig-dobject.c: small cleanups

2004-11-30  Michael Natterer  <mitch@gimp.org>

	* app/gui/themes.c (themes_init): use gtk_rc_parse() instead of
	gtk_rc_add_default_file() to add ~/.gimp-2.2/themerc to the list
	of files parsed by GTK+ because the latter works only before
	gtk_init(). Fixes bug #155963.

2004-11-30  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/print-size-dialog.c: reordered prototypes to match
	order of implementations.

2004-11-30  Sven Neumann  <sven@gimp.org>

	* app/sanity.c: we check for the same version of freetype on all
	platforms, no need for an ifdef here.

2004-11-30  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpexport.c: some more HIG-ification tweaks to the
	Export dialogs.

2004-11-30  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpactiongroup.c
	(gimp_action_group_set_action_color)
	(gimp_action_group_set_action_color): allow to set color and
	viewable to NULL, GimpAction handles this nicely. Fixes warnings
	some foo_actions_update() functions were triggering.

2004-11-30  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/*[ch]: code cleanup

2004-11-29  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/display.pdb: make it work as documented (fail
	if the new_image already has a display). Also fail if the
	old_image doesn't have any display (changed docs accordingly).
	On success, take over the initial reference count of the new
	image, just as the gimp_display_new() PDB wrapper does.
	Fixes bug #159051.

	* app/pdb/display_cmds.c
	* libgimp/gimpdisplay_pdb.c: regenerated.

2004-11-29  Sven Neumann  <sven@gimp.org>

	* app/file/file-save.c (file_save_as): when the image filename
	changes, forget the filename that was last used with "save-a-copy".

2004-11-29  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppreview.c (gimp_preview_toggle_callback):
	change the "update" property and notify listeners (in particular
	GimpDrawablePreview) before invalidating the preview. Plug-ins
	might (needlessly) look at the property to decide whether they
	need to redraw. Fixes bug #159816.

	* plug-ins/common/unsharp.c (preview_update): no need to look at
	the value of the "Preview" toggle. GimpPreview takes care this.

2004-11-29  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c: issue a repaint after the
	"show previous", "show next" and "show all" callbacks.

	* plug-ins/gfig/gfig-style.c: fixed some comments.

2004-11-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_preview.c
	* plug-ins/imagemap/imap_selection.c: undeprecated.

2004-11-28  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dobject.c: copy the style of the object when
	pushing it to the undo stack, so undoing works as expected.

2004-11-28  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-style.c
	* plug-ins/gfig/gfig-style.h: create a new function to get the current
	style instead of using a global pointer for this
	(gfig_context_get_current_style ())

	* plug-ins/gfig/gfig-circle.c
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gfig/gfig.h: use this function everywhere it is needed. And
	remove the current_style field from GfigContext.

	(unrelated):
	* plug-ins/FractalExplorer/Dialogs.h
	* plug-ins/FractalExplorer/FractalExplorer.c: small cleanups

2004-11-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-style.[ch]
	* plug-ins/gfig/gfig.h: removed unused stack of styles. Removed
	gimp_style from GFigContext.

2004-11-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfig/gfig.c (run): push a context for GFig.

2004-11-28  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.[ch]
	* plug-ins/gfig/gfig-dobject.c: renamed undo_water_mark to undo_level.
	Fixed the style handling when clearing the whole thing and undoing in
	some very particular cases. The undo part should certainly be redone
	to some extent.

	Btw, this is the revision 1.10000 of the ChangeLog, yeah!

2004-11-28  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* plug-ins/gfig/gfig-style.c: make sure PaintType is saved and
	loaded with the style.
	
2004-11-28  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c: correctly initializes the paint_type
	field of the default style.

	* plug-ins/gfig/gfig-style.c: don't print an useless error message
	where no-one can see it when loading an other with no style but use
	the default style instead.

2004-11-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfig/gfig-dialog.[ch]
	* plug-ins/gfig/gfig-dobject.c: moved Undo and Clear to the Edit
	menu.  Added a utility function to set the sensitivity of an action
	by name. Cleaned up action callbacks.

	* plug-ins/gfig/gfig-style.c: minor cleanup.

2004-11-28  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-arc.c
	* plug-ins/gfig/gfig-bezier.c
	* plug-ins/gfig/gfig-circle.c
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-ellipse.c
	* plug-ins/gfig/gfig-line.c
	* plug-ins/gfig/gfig-poly.c
	* plug-ins/gfig/gfig-spiral.c
	* plug-ins/gfig/gfig-star.c: made the class name uppercase since it is
	used to parse a gfig file.

2004-11-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfig/gfig-dialog.c: make sure that widgets in the Grid
	and Preferences dialogs are only accessed while the dialogs exist.

2004-11-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfig/gfig-dialog.c: made the Grid and Preferences
	dialogs singletons and declared them as transient to the GFig
	window. Don't let them run their own main loop.

2004-11-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfig/gfig-dialog.c: added a Close menu item to the
	menubar. Removed help buttons from popup dialogs. Set the same
	default directory in load and save filechoosers.

2004-11-27  Manish Singh  <yosh@gimp.org>

	* tools/pdbgen/pdb/drawable_transform.pdb: escape utf8 as hex, to
	avoid perl trying to be so smart that it's stupid.

	* app/pdb/drawable_transform_cmds.c: regenerated.

2004-11-27  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/jpeg.c (save_image): thumbnail buffer variable
	declarations should be guarded under HAVE_EXIF.

2004-11-27  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/plug-ins/colorxhtml.py: s/colorhtml/colorxhtml/,
	so it doesn't clash with the perl version.

	* plug-ins/pygimp/plug-ins/Makefile.am: reflect filename change.

2004-11-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/jpeg.c: delay the creation of the display for
	the export image preview until the user requests a preview. Fixes
	bug #159376.

2004-11-27  Øyvind Kolås  <pippin@gimp.org>

	* libgimp/gimpexport.c: minor layout adjustments for HIG compliance.

2004-11-27  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/spyrogimp.scm: Force number of teeth
	to be integer values. Changed default for Outer teeth to give a
	more interesting image. Detabified file. Fixes bug #158448. 

2004-11-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_script_proc):
	don't look at the menu path to determine if the script is
	image-based. Instead look at the number of parameters we are being
	called with.

2004-11-27  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpinkoptions-gui.c: made the Size scale logarithmic
	as suggested in bug #159632.

2004-11-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tiff.c (save_image): tell the user that we can't
	handle indexed images with alpha channel (bug #159600).

2004-11-27  Sven Neumann  <sven@gimp.org>

	* app/main.c
	* app/widgets/gimpenumstore.h
	* app/widgets/gimpunitstore.c
	* plug-ins/common/retinex.c: applied patch by Tim Mooney that
	removes extraneous ;

2004-11-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/wmf.c (run): applied patch by Tim Mooney that
	increase the size of values[] to accomodate the use of
	file_wmf_load_thumb (bug #159601).

2004-11-27  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/drawable.pdb: minor change to the PDB docs.

	* libgimp/gimpdrawable_pdb.c
	* tools/pdbgen/pdb/drawable.pdb: regenerated.

2004-11-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/winicon/icosave.c
	* plug-ins/winicon/main.[ch]: moved code around.

2004-11-26  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/dog.c: make sure the preview image type matches
	the source image type.

2004-11-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/winicon/icosave.c: don't fiddle with the source image,
	a save plug-in should save, nothing else.

	* plug-ins/winicon/main.[ch]: handle all sorts of image types.
	Fixes bug #157803.

2004-11-26  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/drawable.pdb: fixed docs for
	gimp_drawable_type_with_alpha().

	* app/pdb/drawable_cmds.c
	* libgimp/gimpdrawable_pdb.c: regenerated.

2004-11-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/winicon/main.[ch] (ico_image_get_reduced_buf)
	* plug-ins/winicon/icodialog.c
	* plug-ins/winicon/icoload.c
	* plug-ins/winicon/icosave.c: fixed drawable handling. This
	plug-in is still a complete mess and needs a lot more work.

2004-11-26  Sven Neumann  <sven@gimp.org>

	* app/tools/gimppaintoptions-gui.c (gimp_paint_options_gui): only
	show the Incremental toggle for tools that use it (bug #159306).

2004-11-26  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdocumentlist.c (gimp_document_list_deserialize):
	don't add documents w/o a name to the list. Fixes bug #159510.

	* app/core/gimpdrawable.c (gimp_drawable_resize): extended the
	check to take the offsets into account as well.

2004-11-25  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/dog.c: Add the temporary layers to the image, so
	things work. Fixes bug #158895.

	* plug-ins/common/iwarp.c: Fix same naughtiness as above. There's
	other naughtiness still though.

	* plug-ins/common/sunras.c: use gboolean for byte2bit invert argument.

2004-11-25  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/jpeg.c: Use a jpeg_error_mgr that lives within
	PreviewPersistent, instead of an automatic variable in save_image.
	Fixes bug #159076.

2004-11-25  Simon Budig  <simon@gimp.org>

	* modules/controller_linux_input.c: Add some sample code to retrieve
	the name of the connected MIDI device (ALSA).
	Do not set the "name" when connected to Alsa, since snd_seq_name()
	returns an uninteresting name.

2004-11-24  Michael Natterer  <mitch@gimp.org>

	* app/gui/gui.c (gui_display_changed): if the active display
	becomes NULL (e.g. by closing a view), don't leave the user
	context with an image but no display. Instead, try to find another
	display of the same image and if that fails set the image to NULL.

	Prevents the various foo_actions_update() functions from being
	called with a NULL display while there is still an active image in
	the context.

	Fixes bug #159304.

	(Removed #warning about being misplaced from that function because
	it's a typical piece of ugly glue code that belongs exactly here).

2004-11-24  Simon Budig  <simon@gimp.org>

	* modules/controller_linux_input.c: Accept >= 0 return values of the
	ioctl() to figure out the device name. Apparently it is the number of
	bytes written to the string, so we might omit the strlen() following,
	but I don't like to rely on that...

2004-11-24  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpcontroller.[ch]: guarded the whole header
	with GIMP_ENABLE_CONTROLLER_UNDER_CONSTRUCTION because it's no
	fixed API yet. Added a "state" property bacause "name" was abused
	as the controller's state. Added "help_domain" to the controller
	class.

	* libgimpwidgets/gimpwidgets.h: don't include gimpcontroller.h

	* modules/controller_linux_input.c
	* modules/controller_midi.c: set the "name" property to the name
	retrieved from the device, or to a default string if no name is
	available. Store the status in the "state" property. Added and
	changed some strings, but it's better to have the controller
	strings untranslated than to have no tooltips at all or misleading
	labels.

	* app/widgets/gimpcontrollerkeyboard.c
	* app/widgets/gimpcontrollerwheel.c: set default strings for both.

	* app/widgets/gimpcontrollereditor.c: added a GUI for the "state"
	property.

	* app/widgets/gimpcontrollerkeyboard.h
	* app/widgets/gimpcontrollerwheel.h
	* app/widgets/gimpcontrollerinfo.c
	* app/widgets/gimpcontrollers.c: #define
	GIMP_ENABLE_CONTROLLER_UNDER_CONSTRUCTION (just as in all files
	above).

	* app/widgets/gimphelp-ids.h: added the IDs of all controller
	modules and also of all other modules. The defines are not
	actually used, but this file is the canonical place to collect all
	the core's help IDs.

2004-11-23  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-templates.[ch]
	* app/dialogs/user-install-dialog.c: merge the migrated user
	templaterc with the system templaterc so the users who have used
	gimp-2.0 before get our changes to the default templates.

2004-11-23  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpwidgets-utils.[ch]: added new function
	gimp_toggle_button_set_visible() which can be used as "toggled"
	callback on a GtkToggleButton and sets a widget (in)visible
	according to the toggle's "active" state.

	* app/tools/gimpblendoptions.c
	* app/tools/gimppaintoptions-gui.c
	* app/tools/gimpselectionoptions.c: use it to hide (rather than
	just insensitize) the seldomly used "Feather edges", "Autoshrink
	selection", "Adaptive supersampling", "Fade out" and "Use color
	from gradient" widgets when their enabling toggle is unchecked.
	Makes the affected tool options much less crowded and noisy in
	their default appearance. Fixes bug #159008.

2004-11-23  Michael Natterer  <mitch@gimp.org>

	* app/menus/plug-in-menus.c (plug_in_menus_add_proc): create
	dynamic sub-menus using a separate, ui-manager-global merge_id
	instead of the procedure's merge_id. Has the effect that the ui
	manager keeps around these sub-menus forever, even if the
	procedure that initially registered them is unregistered.
	Fixes menu ordering after Script-Fu->Refresh.

2004-11-23  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpparasitelist.c: cosmetics, untabified.

	* libgimpbase/gimpparasiteio.[ch]: added g_return_if_fail()'s
	to all functions. 

	(gimp_pixpipe_params_parse): changed "gchar*" param to "const
	gchar*" (sortof API change, but these files are most probably only
	used by GIMP itself). Still uses strtok() on the internal copy,
	but at least not on the passed string.

	* plug-ins/common/csource.c
	* plug-ins/common/gif.c
	* plug-ins/common/gih.c
	* plug-ins/common/jpeg.c
	* plug-ins/common/png.c
	* plug-ins/common/tiff.c: use parasite getters instead of
	accessing the scruct members directly. Always use g_strndup()
	instead of just g_strdup() to get strings stored in parasites
	because there is no guarantee that they are nul-terminated.

2004-11-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_file.c (do_file_save_as_dialog): do
	actually use a save dialog here. Fixes bug #159194.

2004-11-23  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable.c (gimp_drawable_resize): do nothing if
	the size doesn't change. This keeps text layers from being
	modified when an image is cropped and the layer is entirely inside
	the cropped area.

	* menus/image-menu.xml.in: put the Quit item back for now. We
	should think about this again in the next development cycle.

2004-11-22  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/copy-visible.scm: Fixed incorrect
	comparison in if statement. Partial(?) fix for bug #138662. 

2004-11-22  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/Makefile.am
	* plug-ins/pygimp/pygimp-logo.png: New pygimp logo, by Carol Spears.

	* plug-ins/pygimp/gimpfu.py: Use new external logo file, some layout
	tweaks.

2004-11-22  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcontrollerinfo.c (gimp_controller_info_init):
	always create the event mapping table. Fixes tons of warnings and
	non-functional controller mapping dialog when an empty controller
	was deserialized from controllerrc. Spotted by drc.

2004-11-22  Sven Neumann  <sven@gimp.org>

	* app/app_procs.c (app_exit_after_callback): call base_exit()
	before quitting the application using exit(). Fixes bug #159019.

	* app/base/tile-swap.c: moved the warning about a non-empty swap
	file into #ifdef GIMP_UNSTABLE ... #endif.

2004-11-22  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c: correctly initialize the Antialising
	check box.  Reported by Zigomar.

2004-11-22  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c: sort the SFMenu structs
	by their menu_paths *and* the procedure's menu_labels. Fixes menu
	item sorting after "Refresh".

2004-11-22  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimptextoptions.[ch] (gimp_text_options_editor_new):
	added a "menu_factory" parameter instead of trying to get it from
	the toplevel GimpDock (which does not exists if the tool options
	dialog does not exist). Fixes bug #159071.

	* app/tools/gimptexttool.c (gimp_text_tool_editor): pass the
	menu_factory.

	* app/dialogs/dialogs.c (dialogs_init): pass the global menu
	factory also when constructing the "toplevel" dialog factory so
	the above works.

2004-11-22  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimputils.c (gimp_any_to_utf8): use g_strndup()
	instead of g_strdup() if a length was passed.

	* app/dialogs/info-window.c: g_strndup() the comment parasite's
	data and pass -1 as length to gimp_any_to_utf8() so we don't
	encounter the questionable (buggy?) behavior of g_utf8_validate()
	to fail upon finding '\0' within the "length" passed.
	Fixes bug #159051.

2004-11-22  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/struc.c: applied patch from Wolfgang Hofer
	which makes the plug-in use its procedure name for
	storing the "last_vals" struct. Fixes bug #159028.

	* plug-ins/common/tileit.c: ditto. Fixes bug #159029.

2004-11-22  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-line.c: fixed a stupid bug which made all lines
	half-selected.

2004-11-22  Sven Neumann  <sven@gimp.org>

	* app/dialogs/file-open-location-dialog.c: changed border-size of
	GimpContainerEntry to 0.

2004-11-21  Sven Neumann  <sven@gimp.org>

	* tools/gimp-remote.c: added --no-splash command-line option that
	is passed to gimp. Addresses Debian bug report #277989.

	* docs/gimp-remote.1.in: document the new option.

2004-11-21  Manish Singh  <yosh@gimp.org>

	* configure.in: reverted previous change, as not all the lv.pos are
	in CVS yet.

2004-11-21  Peteris Krisjanis  <pecisk@gmail.com>

	* configure.in: Added Latvian (lv) language support to ALL_LINGUAS.

2004-11-21  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/erase-rows.scm: Applied patch from BM
	which makes the script work layers that have their top-left corner
	at a position other than the top-left corner of the image.
	Fixes bug #158863.

2004-11-21  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-arc.c
	* plug-ins/gfig/gfig-bezier.c
	* plug-ins/gfig/gfig-circle.c
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gfig/gfig-ellipse.c
	* plug-ins/gfig/gfig-line.c
	* plug-ins/gfig/gfig-poly.c
	* plug-ins/gfig/gfig-spiral.c
	* plug-ins/gfig/gfig-star.c
	* plug-ins/gfig/gfig.h: makes which object is selected more obvious by
	using filled handles for the selected object.  Not perfect, but
	certainly a good hint.

2004-11-21  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-preview.c: call gfig_grid_colours() in the
	realize callback of the preview, so the gray gc of the grid works
	again. Reported by Zigomar.

	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gfig/gfig-preview.h
	* plug-ins/gfig/gfig-spiral.h
	* plug-ins/gfig/gfig-star.h
	* plug-ins/gfig/notes.txt: small cosmetics fixes.

2004-11-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/compose.c
	* plug-ins/common/decompose.c: transfer the image resolution to
	newly created images.

2004-11-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/gimpressionist/Brushes/snow1.pgm: reverted a change
	that Hans Breuer committed here, probably accidentally.

	* plug-ins/script-fu/script-fu.c
	* plug-ins/script-fu/siod-wrapper.c: reverted Hans's changes. There
	is indeed a Script-Fu server on Win32.

2004-11-21  Sven Neumann  <sven@gimp.org>

	* menus/image-menu.xml.in: removed "Quit" from the image menu.

2004-09-21  Hans Breuer  <hans@breuer.org>

	* app/dialogs/makefile.msc : [new file]
	  app/dialogs/Makefile.am : added to EXTRA_DIST

	* **/makefile.msc app/gimpcore.def : updated

	* app/gimp.rc : let wilber be first

	* app/widgets/gimppropwidgets.c : msvc6 can't cast uint64 either

	* libgimpbase/gimpwin32-io.h : make up recent loss of ftruncate in GLib

	* libgimpthumbnail/gimpthumbnail.c : <process.h> for getpid() on win32

	* plug-ins/helpbrowser/dialog.c : include gimpwin32-io.h

	* plug-ins/script-fu/siodwrapper.c plug-ins/script-fu/script-fu.c :
	there is no script-fu-server on win32

2004-11-21  Michael Schumacher <schumaml@cvs.gnome.org>

	* plug-ins/script-fu/scripts/addborder.scm: first resize the
	image, then add the border layer and then fill it

2004-11-20  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c: Need to call gettext in
	script-fu_menu_compare. Spotted by Sven. Removed obsolete #define's.

2004-11-20  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c: renamed variable
	"script_list" to "script_tree" because it's a GTree.

	(script_fu_remove_script): g_list_free() the right list (don't
	leak all lists of scripts at the tree leaves).

2004-11-20  Sven Neumann  <sven@gimp.org>

	* Made 2.2-pre2 release.

2004-11-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/glob.c: added an (optional) parameter that
	allows to request the output in the filesystem encoding.

2004-11-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_menu_compare):
	compare the menu paths, not the struct pointers.

2004-11-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/glob.c: added a naive glob() implementation
	which handles the most common use case and is certainly better
	than nothing. Closes bug #143661 again.

2004-11-19  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.c: converted a g_warning() to g_printerr().

2004-11-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/xpm.c: just some minor code cleanup.

2004-11-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-style.c: combined two "Stroke" labels into a
	single one.

2004-11-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/noisify.c: applied a (modified) patch that adds
	the possibility to correlate the noise with the signal. Adds the
	new PDB procedure "plug_in_scatter_rgb". Fixes bug #158700.

	* plug-ins/helpbrowser/dialog.c: set a reasonable default size.

2004-11-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/postscript.c (skip_ps) (ps_close): fixed use of
	fread(). Unfortunately this slowed down the plug-in again.
	Disabled the code that reads the pipe to the end. This brings it
	back to speed. Seems to work fine for me, let's see if this causes
	problems for anyone...

2004-11-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/selection-round.scm: moved into the
	<Image>/Select/Modify menu now that we can safely use placeholders
	from Script-Fu.

2004-11-19  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/lib.pl
	* tools/pdbgen/stddefs.pdb: added support for deprecated procedures
	without any replacement.

	* app/plug-in/plug-in-message.c (plug_in_handle_proc_run): added
	a special warning for procedures without replacement.

	* tools/pdbgen/pdb/drawable.pdb: deprecated drawable_set_image()
	without any replacement and made it a nop (which fails if the
	passed image is different from the drawable's image). It's not
	needed any longer since 2.0 and moreover dangerous to use.

	* app/pdb/drawable_cmds.c
	* libgimp/gimpdrawable_pdb.[ch]: regenerated.

	* app/core/gimpitem.c (gimp_item_set_image): replaced assertion
	for gimp_item_is_floating() by !gimp_item_is_attached(). The
	former warned when adding a layer with already added mask to the
	image (which is a perfectly valid operation).

2004-11-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/wmf.c: added a thumbnail load procedure
	(bug #158193).

2004-11-18  Michael Natterer  <mitch@gimp.org>

	Script-Fu string cleanup/simplification: apply the same fix for
	menu path translation that was done for plug-ins a while ago.

	* plug-ins/script-fu/script-fu.c (script_fu_auxillary_init): use
	gimp_plugin_menu_register() on the "Refresh" temp_proc.

	* plug-ins/script-fu/scripts/*.scm: ported all scripts to use
	script-fu-menu-register and pass just the menu label in
	script-fu-register. Cleaned up all register calls to share a
	somewhat similar formatting.

2004-11-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/postscript.c: changed the default to load only
	the first page of the document and added a tooltip describing how
	to specify what pages to get.

2004-11-18  Sven Neumann  <sven@gimp.org>

	* app/file/file-open.c (file_open_thumbnail): fixed check for
	number of return values.

2004-11-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/postscript.c: speed up loading of multi-page
	documents significantly by skipping in large chunks instead of using
	fgetc() to crawl through the stream.

2004-11-18  Sven Neumann  <sven@gimp.org>

	* app/file/file-open.c (file_open_thumbnail): check the number of
	return values. Only retrieve width and height if the thumbnail
	load procedure does actually provide this information.

	* plug-ins/common/postscript.c: added a procedure to load a
	thumbnail.  For now it only renders the first page of the
	document at low resolution. It should be extended to load an
	embedded thumbnail if one is available.

	* plug-ins/common/jpeg.c
	* plug-ins/common/svg.c: no need to register a menu label for the
	thumbnail loaders. Allocate the return_vals array large enough to
	hold all return values.

2004-11-18  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpenumaction.[ch]: added boolean property
	"value-variable" which specifies if the GimpEnumAction::selected()
	signal may be emitted with arbirtary values (value-variable = TRUE)
	or *only* with enum_action->value (value-variable = FALSE).

	* app/widgets/gimpactiongroup.[ch]: added "gboolean
	value_variable" to GimpEnumActionEntry and set it in
	gimp_action_group_add_enum_actions().

	* app/actions/channels-actions.c
	* app/actions/colormap-editor-actions.c
	* app/actions/context-actions.c
	* app/actions/drawable-actions.c
	* app/actions/edit-actions.c
	* app/actions/error-console-actions.c
	* app/actions/gradient-editor-actions.c
	* app/actions/image-actions.c
	* app/actions/layers-actions.c
	* app/actions/palette-editor-actions.c
	* app/actions/plug-in-actions.c
	* app/actions/vectors-actions.c
	* app/actions/view-actions.c: set "variable" to FALSE for all enum
	actions except those which are used with the GIMP_ACTION_SELECT_SET
	voodoo.

	* app/widgets/gimpcontrollers.c (gimp_controllers_event_mapped):
	fall back to gtk_action_activate() if the action specified in a
	GIMP_CONTROLLER_EVENT_VALUE mapping is not variable. Enables
	triggering of enum actions from GIMP_CONTROLLER_EVENT_VALUE events
	(like midi note-on and note-off).

2004-11-18  Michael Natterer  <mitch@gimp.org>

	* acinclude.m4: pasted the complete alsa.m4 so compiling from
	CVS doesn't require alsa.m4 to be installed.

	* configure.in: check for alsa >= 1.0.0 and define HAVE_ALSA
	if found.

	* modules/Makefile.am: build controller_midi with ALSA_CFLAGS
	and ALSA_LIBS.

	* modules/controller_midi.c: s/HAVE_ALSALIB_H/HAVE_ALSA/.

2004-11-18  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/compressor.c (compressors): added back the
	.xcf.gz and .xcf.bz2 extensions because they are the only way
	to figure the special nature of this plug-in's extensions.

	* app/widgets/gimpfileprocview.[ch]: keep a list of "meta
	extensions" (extensions which have a '.' themselves).

	* app/widgets/gimpfiledialog.c (gimp_file_dialog_proc_changed):
	try to replace the whole extension if the last extension is one of
	the meta extensions kept by GimpFileProcView. Fixes bug #158377.

2004-11-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/maze/maze.[ch]
	* plug-ins/maze/maze_face.c: removed the extra help button from
	the Maze plug-in. Fixes bug #158605.

2004-11-18  Michael Natterer  <mitch@gimp.org>

	The following fixes have no visible effect because nobody
	uses gimp_plugin_menu_register() on temp_procs yet:

	* app/actions/plug-in-actions.[ch]: added
	plug_in_actions_add_path() which just adds the actions needed for
	a given menu math, but not the procedure action itself.

	* app/gui/gui-vtable.c (gui_menus_create_entry): create the
	menu_path's actions using above function so adding of submenus to
	existing ui managers works.

	* tools/pdbgen/pdb/plug_in.pdb (plugin_menu_register_invoker):
	don't add a menu if "no_interface" is TRUE.

	* app/pdb/plug_in_cmds.c: regenerated.

	* plug-ins/script-fu/script-fu-scripts.c: pass untranslated
	menu_paths to the core, not translated ones. Don't store the
	scripts directly in the "script_list" tree but use a list of
	scripts per key because there can be identical keys for different
	scripts now. Fixed sorting of menu entries and menus.

2004-11-18  Simon Budig  <simon@gimp.org>

	* modules/controller_midi.c: implemented support for ALSA-midi,
	currently disabled. Needs a configure-check and proper linking
	against libasound.

2004-11-17  Dave Neary  <bolsh@gimp.org>

	* plug-ins/common/bumpmap.c: Fixed initialisation issue
	that was crashing the plug-in on repeat runs. Fixes bug
	#158494.

2004-11-17  Sven Neumann  <sven@gimp.org>

	* app/dialogs/print-size-dialog.c: added missing callbacks for the
	size entries. Needs some more work though...

2004-11-17  Manish Singh  <yosh@gimp.org>

	* plug-ins/dbbrowser/Makefile.am: make libgimpprocbrowser a libtooled
	library.

	* plug-ins/dbbrowser/gimpprocbrowser.[ch]: add a user_data pointer
	for GimpProcBrowserApplyCallback.

	* plug-ins/dbbrowser/gimpprocbrowser.c: only convert the name to
	scheme style if scheme_names in the proc info pane too.

	* plug-ins/dbbrowser/procedure-browser.c
	* plug-ins/script-fu/script-fu-console.c: pass NULL as user_data.

	* plug-ins/script-fu/Makefile.am: reference libgimpprocbrowser.la.

	* plug-ins/pygimp/Makefile.am
	* plug-ins/pygimp/procbrowser.c: new module, which wraps
	libgimprocbrowser.

	* plug-ins/pygimp/gimpmodule.c
	* plug-ins/pygimp/pygimp.h
	* plug-ins/pygimp/pygimp-pdb.c: export GimpPDBFunction so other
	modules can use it.

	* plug-ins/pygimp/plug-ins/pdbbrowse.py
	* plug-ins/pygimp/plug-ins/gimpcons.py: use gimpprocbrowser.

2004-11-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c: added a utility
	function to reduce code duplication.

2004-11-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-scripts.[ch]
	* plug-ins/script-fu/siod-wrapper.c: appled patch from Kevin
	Cozens which adds (script-fu-menu-register) and allows scripts to
	register their menu_paths the same undeprecated way as plug-ins.
	Fixes bug #158117.

	* plug-ins/script-fu/scripts/test-sphere.scm: example how to use
	the new API. Doesn't change strings because test-shpere.scm is an
	untranslated example script.

2004-11-17  Michael Natterer  <mitch@gimp.org>

	Made plug-in menu registration work the same way for ordinary and
	temporary procedures. Addresses bug #158117.

	* app/core/gimp-gui.[ch]: added "const gchar *menu_path" to
	gimp_menus_create_entry().

	* app/gui/gui-vtable.c (gui_menus_create_entry): if menu_path is
	NULL, behave as before and create an action and its menu entries
	for all the procedure's menu_paths. If it is non-NULL, skip action
	creation and create a menu entry just for that path.

	* app/plug-in/plug-ins.c (plug_ins_temp_proc_def_add): call
	gimp_menus_create_entry() with a NULL menu path and call it if
	proc_def->menu_paths *or* proc_def->menu_label is non-NULL, so
	it creates at least the procedure's action, even if it has
	no menu_path (yet).

	* tools/pdbgen/pdb/plug_in.pdb (plugin_menu_register): check both
	the list of procs and temp_procs when trying to register the
	entry.  Allow ordinary procedures and extensions to install stuff
	at query() and init() time and allow temp_procs to install stuff
	at any time.

	* app/pdb/plug_in_cmds.c: regenerated.

2004-11-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/dbbrowser/gimpprocbox.c
	* plug-ins/dbbrowser/gimpprocbrowser.[ch]
	* plug-ins/dbbrowser/gimpprocview.c: some cleanup in preparation
	of moving it to a more public place.

	* plug-ins/dbbrowser/procedure-browser.c
	* plug-ins/script-fu/script-fu-console.c: changed accordingly.

2004-11-17  Sven Neumann  <sven@gimp.org>

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): removed --enable-gtk-doc
	here since it only causes 'make distcheck' to break earlier as usual.

2004-11-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/rcm/Makefile.am
	* plug-ins/rcm/rcm_callback.c
	* plug-ins/rcm/rcm_dialog.c
	* plug-ins/rcm/rcm_stock.[ch]: applied a patch from Karine Proot
	that replaces the XPM icons with stock icons (bug #140202).

	* plug-ins/rcm/pixmaps/*.xpm: removed.

	* plug-ins/Lighting/lighting_stock.c
	* plug-ins/MapObject/mapobject_stock.c
	* plug-ins/gfig/gfig-stock.c: fixed a common but harmless mistake
	in the icon factory code.

2004-11-16  Manish Singh  <yosh@gimp.org>

	* app/widgets/gimpvectorstreeview.c: Hide SVG drop g_print under
	be_verbose.

2004-11-16  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/gimpui.py: Handle placeholder defaults for gimp
	objects (bug #158392). Patch by Joao S. O. Bueno.

2004-11-16  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/gimpui.py: Use img.name if filename is not
	available (bug #158392). Patch by Joao S. O. Bueno.

2004-11-16  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/gimpfu.py
	* plug-ins/pygimp/gimpui.py: Add a palette selector (bug #155325).
	Patch by Joao S. O. Bueno.

2004-11-16  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/gimpfu.py: Fix -fu slider behavior (bug #155103).
	Patch by Joao S. O. Bueno.
	
2004-11-16  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/glasstile.c: Remove unnecessary G_OBJECT() casts.

2004-11-16  Manish Singh  <yosh@gimp.org>

	* configure.in: 
	* plug-ins/pygimp/Makefile.am: Compile pygimp with
	-fno-strict-aliasing if the compiler supports it.

	* plug-ins/pygimp/gimpui.py: Make "..." into "Browse..." for
	everything but the filesel, for slightly more consistency with
	script-fu. Addresses #124791.

	* plug-ins/pygimp/gimpmodule.c: Wrapped
	gimp_context_{get,set}_gradient and
	gimp_gradient_get_{uniform,custom}_samples. Deprecated the deprecated
	versions of these, and rewrote them in terms of the new functions.

2004-11-17  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/plug-in.c (plug_in_close): replaced the
	while(plug_in->temp_procs) "loop" which called
	plug_in_proc_frame_quit() by a real for()-loop iterating over the
	list of PlugInProcFrames, calling g_main_loop_quit() on each main
	loop. The old version did not unroll the stack but looped
	infinitely. Spotted by Yosh.

2004-11-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_selection.c
	* plug-ins/imagemap/imap_preferences.c: silent the compiler.

2004-11-17  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/jpeg.c: applied (modified) patch from S. Mukund
	which adds EXIF thumbnail loading and saving.
	Fixes bugs #155761 and #158190.

2004-11-16  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-arc.c
	* plug-ins/gfig/gfig-bezier.c
	* plug-ins/gfig/gfig-circle.c
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-ellipse.c
	* plug-ins/gfig/gfig-line.c
	* plug-ins/gfig/gfig-poly.c
	* plug-ins/gfig/gfig-spiral.c
	* plug-ins/gfig/gfig-star.c
	* plug-ins/gfig/gfig-style.c
	* plug-ins/gfig/gfig-style.h
	* plug-ins/gfig/gfig-types.h
	* plug-ins/gfig/gfig.h: added a toggle so we can now choose to stroke
	the painting or not.

2004-11-16  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c: implemented the gradient fill, using a
	shapeburst blend.  This is very slow, but I dont see how it could be
	done otherwise.

2004-11-16  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpfgbgeditor.c: get rid of the
	gimp_fg_bg_editor_context_changed() callback and
	g_signal_connect_swapped() gtk_widget_queue_draw() directly.

2004-11-16  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpchanneltreeview.c: implement
	GimpDockedInterface::set_context() and set the context of the
	embedded GimpComponentEditor. Fixes NULL-context crashes in
	action callbacks when invoked from the component editor.
	Spotted by Jimmac.

	Unrelated:

	* app/widgets/gimpitemtreeview.c: get rid of the
	gimp_item_tree_view_context_changed() callback and
	g_signal_connect_swapped() gimp_item_tree_view_set_image()
	directly.

2004-11-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/jigsaw.c: added missing braces around initializer.

2004-11-16  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/drawable_transform.pdb: renamed the new
	drawable_foo_defaults() functions to drawable_foo_default() to be
	consistent with paintbrush_default() and friends.

	* tools/pdbgen/pdb/transform_tools.pdb
	* libgimp/gimp.def: changed accordingly.

	* app/pdb/drawable_transform_cmds.c
	* app/pdb/transform_tools_cmds.c
	* libgimp/gimpdrawabletransform_pdb.[ch]
	* libgimp/gimptransformtools_pdb.c: regenerated.

	* plug-ins/script-fu/scripts/coolmetal-logo.scm
	* plug-ins/script-fu/scripts/image-structure.scm
	* plug-ins/script-fu/scripts/text-circle.scm: follow the API change.

2004-11-16  Sven Neumann  <sven@gimp.org>

	* app/config/gimpbaseconfig.c: increased default tile-cache-size
	to 128MB.

	* app/config/gimpcoreconfig.c: increased default undo size to 16MB.

2004-11-16  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/image.pdb
	* tools/pdbgen/pdb/selection.pdb: entirely removed the deprecated
	functions "selection_clear", "image_set_cmap" and "image_get_cmap".

	* app/pdb/procedural_db.c: and added them to the compat hash table
	because they have undeprecated replacements with identical
	signature.

	* libgimp/gimpselection.[ch]: added gimp_selection_clear() here
	instead because we need the symbol in libgimp.

	* app/pdb/image_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/selection_cmds.c
	* libgimp/gimpselection_pdb.[ch]: regenerated.

2004-11-16  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dobject.h: renamed the DObject type to
	GfigObject, according to our common type naming.  This type will
	certainly become an abstract class in a near future.

	* plug-ins/gfig/gfig-arc.c
	* plug-ins/gfig/gfig-bezier.c
	* plug-ins/gfig/gfig-bezier.h
	* plug-ins/gfig/gfig-circle.c
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gfig/gfig-ellipse.c
	* plug-ins/gfig/gfig-line.c
	* plug-ins/gfig/gfig-line.h
	* plug-ins/gfig/gfig-poly.c
	* plug-ins/gfig/gfig-poly.h
	* plug-ins/gfig/gfig-spiral.c
	* plug-ins/gfig/gfig-star.c
	* plug-ins/gfig/gfig-types.h
	* plug-ins/gfig/gfig.c
	* plug-ins/gfig/gfig.h: changed accordingly.

2004-11-16  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpitem-linked.[ch] (gimp_item_linked_get_list):
	removed redundant "gimage" parameter.

	* app/tools/gimpeditselectiontool.c: changed accordingly.

2004-11-16  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpchannel-select.c
	* app/core/gimpchannel.c
	* app/core/gimpdrawable-desaturate.c
	* app/core/gimpdrawable-equalize.c
	* app/core/gimpdrawable-histogram.c
	* app/core/gimpdrawable-invert.c
	* app/core/gimpdrawable-levels.c
	* app/core/gimpdrawable-offset.c
	* app/core/gimpdrawable-stroke.c
	* app/core/gimpdrawable-transform.c
	* app/core/gimpdrawable.c
	* app/core/gimpitem-linked.c
	* app/core/gimpitem.c
	* app/core/gimplayer.c
	* app/core/gimpselection.c
	* app/paint/gimppaintcore-stroke.c
	* app/text/gimptextlayer.c: in all functions which somehow
	(explicitely or implicitely) touch undo, either g_return_if_fail()
	on gimp_item_is_attached() or simply don't push an undo step if
	feasible (e.g. for simple stuff like layer opacity).

	* tools/pdbgen/pdb/color.pdb
	* tools/pdbgen/pdb/drawable.pdb
	* tools/pdbgen/pdb/image.pdb
	* tools/pdbgen/pdb/layer.pdb
	* tools/pdbgen/pdb/paint_tools.pdb: let PDB wrappers fail
	accordingly so they don't run into the assertions added above.

	* app/pdb/color_cmds.c
	* app/pdb/drawable_cmds.c
	* app/pdb/image_cmds.c
	* app/pdb/layer_cmds.c
	* app/pdb/paint_tools_cmds.c: regenerated.

2004-11-16  Sven Neumann  <sven@gimp.org>

	* app/actions/file-commands.c
	* app/dialogs/file-save-dialog.c
	* app/file/file-save.[ch]
	* app/widgets/gimpfiledialog.[ch]: combined "set_uri_and_proc" and
	"set_image_clean" parameters into a single "save_a_copy"
	parameter.  When saving a copy, attach the used URI to the image and
	let the "Save a Copy" file chooser default to the last used value.

2004-11-16  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/glossy.scm: fixed typo (bug #158425).

2004-11-15  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig.c: added a blurb proposed by Alan Horkan.

	* plug-ins/gfig/gfig-line.[ch]: smallish style fix.

2004-11-15  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/images/stock-ellipse.png: better icon for the ellipse
	tool (a lot more elliptical) by Jimmac and Zigomar.

2004-11-15  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpfiledialog.c (gimp_file_dialog_add_filters):
	limit the number of file extensions that are added to the file
	filter menu to keep the file dialog from growing too wide.

2004-11-15  Philip Lafleur  <plafleur@cvs.gnome.org>

	* app/display/gimpdisplayshell-preview.c: Further optimization of
	perspective tool preview - never calculate the same vertex more
	than once.

2004-11-15  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpfileprocview.c (gimp_file_proc_view_get_proc)
	* app/widgets/gimpfiledialog.c (gimp_file_dialog_proc_changed):
	better fix for bug #158369.

2004-11-15  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpfiledialog.c (gimp_file_dialog_proc_changed):
	return early if gimp_file_proc_view_get_proc() didn't return a file
	procedure. Should fix bug #158369.

2004-11-15  Øyvind Kolås  <pippin@gimp.org>

	* docs/gimp.txt: removed, outdated.
	* docs/make_todo: removed, unused.

2004-11-15  Sven Neumann  <sven@gimp.org>

	* app/dialogs/print-size-dialog.c: started to redo this dialog
	without using a GimpSizeBox. The widgets aren't connected, so it
	isn't usable yet.
	
	* app/widgets/gimpprogressbox.c
	* app/widgets/gimpprogressdialog.c
	* app/widgets/gimpsizebox.c: trivial cleanups.

	* data/images/gimp-splash.png: splash for 2.2-pre2, done by Jimmac.

2004-11-14  Sven Neumann  <sven@gimp.org>

	* app/actions/image-commands.c: converted error messages that should
	never appear to warnings.

2004-11-14  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gfig/gfig-dobject.h: fixed a crash (the one triggered by
	this sequence: draw a line, delete it, redraw something), and
	corrected some ui spacing.

2004-11-14  Sven Neumann  <sven@gimp.org>

	* app/core/gimppalette-import.c: applied a (slightly modified)
	patch from Nickolay V. Shmyrev that changes the palette import
	function to not only read palettes in the RIFF format but also
	GIMP and Photoshop ACT palette files (bug #158297).

2004-11-14  Sven Neumann  <sven@gimp.org>

	* Makefile.am (EXTRA_DIST)
	* MAINTAINERS
	* PLUGIN_MAINTAINERS
	* TODO.xml: removed these files from the tarball and from CVS.
	Doesn't make sense to keep unmaintained files around that provide
	outdated and in large parts wrong information.

2004-11-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfig/gfig-dialog.c (load_button_callback): use the
	proper parent widget.

2004-11-14  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-types.h: small UI tweaks, suggested by Sven.

2004-11-14  Sven Neumann  <sven@gimp.org>

	* configure.in
	* plug-ins/rcm/Makefile.am
	* plug-ins/rcm/images/Makefile.am
	* plug-ins/rcm/images/rcm-360.png
	* plug-ins/rcm/images/rcm-a-b.png
	* plug-ins/rcm/images/rcm-ccw.png
	* plug-ins/rcm/images/rcm-cw.png: added PNG versions of the XPM
	icons used by the RCM plug-in. Added rules to build a header file
	that can be used to get rid of the XPM files (bug #140202).

2004-11-14  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-dialog.h
	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gfig/gfig-dobject.h
	* plug-ins/gfig/gfig-types.h
	* plug-ins/gfig/gfig.c
	* plug-ins/gfig/gfig.h: replace the crappy DAllObjs struct by a GList.
	Makes the code cleaner and less error prone.

2004-11-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/pagecurl/pagecurl.c: applied a patch from Karine Proot
	that replaces the XPM icons with pixbufs (bug #140202).

	* plug-ins/pagecurl/curl[0-7].xpm: removed.

2004-11-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/gimpressionist/Makefile.am: fixed typo.

	* plug-ins/pagecurl/Makefile.am
	* plug-ins/pagecurl/curl[0-7].png: added PNG versions of the XPM
	icons used by the PageCurl plug-in. Added rules to build a header
	file that can be used to get rid of the XPM files (bug #140202).

2004-11-14  Philip Lafleur  <plafleur@cvs.gnome.org>

	* app/display/gimpdisplayshell-preview.c: Eliminated about 396
	floating-point divides per frame in the persective preview.

2004-11-13  Manish Singh  <yosh@gimp.org>

	Fix a bunch of warnings from Sparse:

	* app/actions/dockable-commands.c
	* app/actions/layers-actions.c
	* app/actions/view-commands.c
	* app/base/pixel-surround.c
	* app/config/gimpconfig-utils.c
	* app/config/gimpscanner.c
	* app/core/gimpbrushgenerated.c
	* app/core/gimpcontainer.c
	* app/core/gimpimage.c
	* app/dialogs/palette-import-dialog.c
	* app/file/gimprecentlist.c
	* app/plug-in/plug-in-params.c
	* app/text/gimptext-compat.c
	* app/text/gimptext-parasite.c
	* app/vectors/gimpbezierstroke.c
	* app/vectors/gimpstroke.c
	* app/widgets/gimpcellrendereraccel.c
	* app/widgets/gimpselectiondata.c
	* app/xcf/xcf.c
	* libgimp/gimp.c
	* libgimpthumb/gimpthumb-utils.c
	* libgimpthumb/gimpthumbnail.c
	* modules/cdisplay_proof.c
	* plug-ins/Lighting/lighting_ui.c
	* plug-ins/common/csource.c
	* plug-ins/common/glasstile.c
	* plug-ins/common/nova.c 
	* plug-ins/common/pcx.c
	* plug-ins/common/pnm.c
	* plug-ins/common/randomize.c
	* plug-ins/common/screenshot.c
	* plug-ins/common/sel_gauss.c
	* plug-ins/common/spheredesigner.c
	* plug-ins/common/wind.c 
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gimpressionist/gimpressionist.c
	* plug-ins/ifscompose/ifscompose.c
	* plug-ins/print/gimp_main_window.c
	* plug-ins/print/print.c: Cleanup integer vs. pointer confusion.

	* app/base/temp-buf.c
	* app/dialogs/about-dialog.c
	* plug-ins/common/bumpmap.c
	* plug-ins/common/jigsaw.c
	* plug-ins/gfig/gfig-dobject.c: Cosmetic cleanups.

	* app/config/gimpconfig-deserialize.c
	* app/config/gimpconfig-path.c
	* app/config/gimpconfigwriter.c
	* app/core/gimpgradient.c
	* app/tools/gimpdrawtool.c
	* plug-ins/common/nlfilt.c
	* plug-ins/common/unsharp.c
	* plug-ins/common/zealouscrop.c: Define inline functions before they
	are used.

	* app/core/gimpdrawable-blend.c: PixelRegion definition was changed
	some time ago, but the initialization here didn't change. Fix it.

	* app/plug-in/plug-in-rc.c (plug_in_extra_deserialize): No need to
	assign token twice in a row.

	* libgimpbase/gimpdatafiles.c (gimp_datafiles_read_directories): No
	need to initialize file_data, since the code fills out all the fields.

	* plug-ins/common/CML_explorer.c
	* plug-ins/common/vpropagate.c: Declare function pointers fully.

	* plug-ins/common/grid.c (pix_composite): G_INLINE_FUNC isn't needed,
	we assume we can use the "inline" keyword always.

	* plug-ins/common/psd_save.c
	* plug-ins/common/vinvert.c
	* plug-ins/gfig/gfig-arc.c
	* plug-ins/gfig/gfig-bezier.c
	* plug-ins/gfig/gfig-circle.c
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gfig/gfig-ellipse.c
	* plug-ins/gfig/gfig-line.c
	* plug-ins/gfig/gfig-poly.c
	* plug-ins/gfig/gfig-spiral.c
	* plug-ins/gfig/gfig-star.c
	* plug-ins/gfig/gfig.c
	* plug-ins/gimpressionist/orientmap.c
	* plug-ins/gimpressionist/placement.c
	* plug-ins/gimpressionist/sizemap.c
	* plug-ins/imagemap/imap_grid.c
	* plug-ins/imagemap/imap_main.c
	* plug-ins/imagemap/imap_preferences.c
	* plug-ins/imagemap/imap_settings.c
	* plug-ins/maze/maze.c
	* plug-ins/sel2path/curve.c
	* plug-ins/sel2path/fit.c
	* plug-ins/sel2path/pxl-outline.c
	* plug-ins/sel2path/spline.c
	* plug-ins/xjt/xjt.c: Functions with no args should be declared
	with (void).

	* plug-ins/common/retinex.c (MSRCR): Initialize max_preview to quiet
	the compiler.

2004-11-14  Sven Neumann  <sven@gimp.org>

	* themes/Default/images/Makefile.am
	* themes/Default/images/stock-center-16.png
	* themes/Default/images/stock-center-24.png
	* themes/Default/images/stock-print-resolution-16.png
	* themes/Default/images/stock-print-resolution-24.png: new icons
	drawn by Jimmac.

	* libgimpwidgets/gimpstock.[ch]: registered the new icons.

	* app/actions/image-actions.c
	* app/dialogs/print-size-dialog.c
	* app/dialogs/resize-dialog.c
	* plug-ins/ifscompose/ifscompose.c: use them.

2004-11-14  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.2-pre2.

2004-11-13  Manish Singh  <yosh@gimp.org>

	* tools/pdbgen/pdb/image.pdb: Adapted Sven's code into pdbgen so
	that gimp_image_set_filename() validates that it is called with
	a filename in the filesystem encoding which can safely be converted
	to UTF-8 and back. Fixes #153751.

	* app/pdb/image_cmds.c
	* libgimp/gimpimage_pdb.c: Regenerated.

2004-11-13  Sven Neumann  <sven@gimp.org>

	* app/dialogs/Makefile.am
	* app/dialogs/print-size-dialog.[ch]: new files for the Print Size
	dialog that was missing. Still work in progress...

	* app/actions/image-actions.c
	* app/actions/image-commands.[ch]
	* app/widgets/gimphelp-ids.h
	* menus/image-menu.xml.in: integrate the new dialog.

2004-11-13  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/selection.pdb: deprecate gimp_selection_clear()
	in favor of gimp_selection_none(). Fixes bug #156765.

	* app/pdb/selection_cmds.c
	* libgimp/gimpselection_pdb.[ch]: regenerated.

2004-11-13  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/gfig/gfig.c
	* plug-ins/gfig/gfig-dialog.c: Changed gimp_selection_clear() to
	gimp_selection_none() (bug #156765).

2004-11-13  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/gimp-headers.scm
	* plug-ins/script-fu/scripts/gimp-labels.scm
	* plug-ins/script-fu/scripts/news-text.scm
	* plug-ins/script-fu/scripts/speed-text.scm: Changed calls to
	gimp-selection-clear to use gimp-selection-none in preparation
	for the deprecation of -clear. (bug #156765)

2004-11-13  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/image.pdb: document the fact that
	gimp_image_get_filename() returns the filename in the filesystem
	encoding. Fixed gimp_image_get_name() to actually return the name
	in UTF-8 encoding.

	* app/pdb/image_cmds.c
	* libgimp/gimpimage_pdb.c: Regenerated.

	* app/vectors/gimpbezierstroke.h: formatting.

2004-11-13  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagefile.[ch]
	* app/file/file-open.c
	* app/file/file-save.c: pass the MIME type from the save procedure
	to gimp_imagefile_save_thumbnail() so that it can be stored with
	the thumbnail.

	* tools/pdbgen/pdb/fileops.pdb
	* app/pdb/fileops_cmds.c: changed accordingly.

2004-11-13  Sven Neumann  <sven@gimp.org>

	* app/plug-in/plug-in-proc-def.[ch]
	* app/plug-in/plug-in-rc.c
	* app/plug-in/plug-ins.[ch]: allow to associate a procedure for
	thumbnail loading with any file load procedure.

	* tools/pdbgen/pdb/fileops.pdb: export this functionality to the
	PDB as gimp_register_thumbnail_loader().

	* app/pdb/fileops_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpfileops_pdb.[ch]: regenerated.

	* app/core/gimpimagefile.c
	* app/file/file-open.[ch]: when creating a thumbnail for an image
	file, use a thumbnail load procedure if available.

	* plug-ins/common/svg.c: added "file_svg_load_thumb", a procedure
	that allows to load a small preview of the SVG image.

2004-11-13  DindinX  <dindinx@gimp.org>

	* app/actions/layers-actions.c: added back <control>H as a shortcut
	for "Anchor Layer".  Spotted by Bruno Ronzani.

2004-11-13  DindinX  <dindinx@gimp.org>

	* plug-ins/common/retinex.c: use a GimpAspectPreview instead of a
	GimpDrawablePreview. Fixes bug #157915. Also fixed the funny behaviour
	of the progress bar.

2004-11-13  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimputils.c (gimp_strip_uline): changed based on a
	patch by Joao S. O. Bueno to remove mnemonics as used in languages
	like Chinese. Fixes bug #157561.

2004-11-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/ifscompose/README.ifscompose: updated link to the
	tutorial (pointed out by Alan Horkan) and added another link.

	* plug-ins/ifscompose/ifscompose.c: changed plug-in name from
	"IfsCompose" to "IFS Fractal". Sorry for the late string changes
	but the old name definitely was akward and probably hard to
	translate anyway. Fixes bug #157135.

	* plug-ins/ifscompose/ifscompose_storage.c: removed trailing
	whitespace.

2004-11-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/retinex.c (retinex_dialog): fixed table size.

2004-11-13  Simon Budig  <simon@gimp.org>

	* app/core/gimpimage-merge.c: Return the active layer instead of
	the bottom layer when just merging down a floating selection.
	Untabbified.

	Fixes bug #158130.

2004-11-12  Sven Neumann  <sven@gimp.org>

	* app/config/gimpconfig-dump.c: better fix for bug #157971.

	* docs/gimprc.5.in: regenerated.

2004-11-12  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/images/stock-show-all.png
	* plug-ins/gfig/images/stock-select-object.png: new icons made by
	Jimmac.

2004-11-12  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-undo-push.c: disallow non-attached items
	to be pushed to the undo stack.

2004-11-12  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/images/stock-show-all.png
	* plug-ins/gfig/images/stock-select-object.png: added these two stock
	icons. Jimmac, these two are screaming to be redone, please.

	* plug-ins/gfig/images/Makefile.am: added these icons.

	* plug-ins/gfig/gfig-bezier.c
	* plug-ins/gfig/gfig-bezier.h
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-poly.c
	* plug-ins/gfig/gfig-poly.h
	* plug-ins/gfig/gfig-spiral.c
	* plug-ins/gfig/gfig-spiral.h
	* plug-ins/gfig/gfig-star.c
	* plug-ins/gfig/gfig-star.h
	* plug-ins/gfig/gfig-stock.c
	* plug-ins/gfig/gfig-stock.h
	* plug-ins/gfig/gfig.h: moved all the buttons to a GtkUIManager
	toolbar, which makes the code simpler and easier to read.

2004-11-12  Sven Neumann  <sven@gimp.org>

	* app/dialogs/tips-dialog.c: added icons to the Previous/Next
	buttons (bug #158004).

2004-11-11  Sven Neumann  <sven@gimp.org>

	* app/gui/splash.c: lowered labels a few pixels.

2004-11-11  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfig/gfig-dialog.c: minor code cleanup.

2004-11-11  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c: use a GtkUIManager for the menu and
	automagically have it translated!  The button bar will follow the same
	path.  Remove the now useless "Paint" button.

2004-11-11  Sven Neumann  <sven@gimp.org>

	* app/config/gimpconfig-dump.c: groff doesn't like lines to start
	with a single quote, we better escape it. Fixes bug #157971.

	* docs/gimprc.5.in: regenerated.

2004-11-11  Michael Natterer  <mitch@gimp.org>

	* app/core/gimp-edit.c
	* app/core/gimpdrawable-blend.c
	* app/core/gimpdrawable-bucket-fill.c
	* app/core/gimpitem.c (gimp_item_stroke): added precondition
	checks for gimp_item_is_attached() and removed checks for
	gimp_item_get_image() to actually return an image (because it
	always returns an image).

	* tools/pdbgen/pdb/edit.pdb: let all wrappers fail if the drawable
	is not attached.

	* app/pdb/edit_cmds.c: regenerated.

2004-11-11  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scripts/add-bevel.scm
	* plug-ins/script-fu/scripts/addborder.scm
	* plug-ins/script-fu/scripts/carve-it.scm
	* plug-ins/script-fu/scripts/carved-logo.scm
	* plug-ins/script-fu/scripts/chip-away.scm
	* plug-ins/script-fu/scripts/clothify.scm
	* plug-ins/script-fu/scripts/font-map.scm
	* plug-ins/script-fu/scripts/slide.scm
	* plug-ins/script-fu/scripts/swirltile.scm: don't call gimp-edit-*
	functions on drawables which are not added to an image because
	this will be forbidden soon (because it can trash the image's undo
	stack).
	
2004-11-11  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scripts/lava.scm: replaced
	undo-disable/enable by undo-group-start/end.

2004-11-11  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.c (gimp_image_map_tool_response):
	call gimp_image_flush() after committing the image_map so the
	menus are up-to-date. Fixes bug #157914.

2004-11-11  Philip Lafleur  <plafleur@cvs.gnome.org>

	* app/display/gimpdisplayshell-preview.c: Use the transform
	tool coordinates when creating subdivisions, not the
	texture coordinates. Fixes breakage with layers that are not
	the image size.

2004-11-11  Jay Cox  <jaycox@gimp.org>

	* app/base/brush-scale.c: Keep computed brush values from
	overflowing with large reduction factors.  Fixes bug #76228.

2004-11-11  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpintstore.c
	* app/vectors/gimpvectors-import.c: please the overly pedantic
	IRIX MIPSpro compiler and don't initialize structs with
	non-constant values.

2004-11-10  Sven Neumann  <sven@gimp.org>

	* app/file/file-open.c (file_open_layer): add the image to the
	list of recently used documents. Fixes bug #157879.

2004-11-10  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c: moved the tool options closer to the
	tools and made the dialog a bit smaller.

2004-11-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/mail.c: added a menu icon (compiled-in).

2004-11-10  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-handlers.c
	(gimp_display_shell_resolution_changed_handler): if dot_for_dot is
	off, resolution change has the same effect as size change, so call
	gimp_display_shell_size_changed_handler(). Fixes display garbage.

2004-11-10  Michael Natterer  <mitch@gimp.org>

	* plug-ins/winicon/icodialog.[ch]
	* plug-ins/winicon/icoload.[ch]
	* plug-ins/winicon/icosave.[ch]
	* plug-ins/winicon/main.[ch]: call progress functions
	unconditionally; removed global "interactive" variable; use
	standard strings for open/save progress messages; gui, indentation
	& coding style cleanup; untabified.

2004-11-10  Michael Schumacher <schumaml@cvs.gnome.org>

	* plug-ins/winsnap/winsnap.c: applied a patch from Sven Neumann
	with some minor modifications. Fixes bug #157612
	Removed some unused variables.

2004-11-10  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimputils.c (gimp_escape_uline): "Since: GIMP 2.2".

2004-11-10  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c: set the padding-mode to custom
	color if a custom color is choosen. Fixes bug #157844.

2004-11-10  Michael Natterer  <mitch@gimp.org>

	* plug-ins/dbbrowser/plugin-browser.c (browser_dialog_new): fixed
	capitalization of notebook tab label.

2004-11-10  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimputils.[ch]: renamed gimp_flags_get_value() to
	gimp_flags_get_first_value(). Reordered functions so enum and
	flags functions are grouped together. Added missing docs.

	* libgimpbase/gimpbase.def: changed accordingly.

2004-11-09  Jay Cox  <jaycox@gimp.org>

	* plug-ins/common/psd.c: Skip resources with unknown signatures
	instead of quiting.  Fixes bug #142468, and bug #152728

	* app/core/gimpdrawable.c: in functions gimp_drawable_mask_bounds,
	and gimp_drawable_mask_intersect: reinitialize the return values
	after calling gimp_channel_bounds because gimp_channel_bounds
	overwrites the values even when it returns false.  This fixes the
	bug where the gimp crashes when running color tools on layers
	smaller than the image, and processes only part of the image when
	the layer is larger than the image size.

2004-11-10  Sven Neumann  <sven@gimp.org>

	* HACKING: some updates.

2004-11-10  Michael Natterer  <mitch@gimp.org>

	* plug-ins/ifscompose/ifscompose.c: use a UI manager created
	toolbar instead of two rows of buttons. Added a "dummy-menubar" so
	the popup menu shows shortcuts again. Removed "Preview" and "Auto"
	buttons since the preview doesn't block the GUI and can always be
	updated.

2004-11-10  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpstatusbar.[ch]: added new function
	gimp_statusbar_push_length(), which works exactly like
	push_coords() but takes only one value plus a GimpOrientationType
	for specifying the value's axis.

	* app/tools/gimptool.[ch]: added the corresponding
	gimp_tool_push_status_length().

	* app/tools/gimpmovetool.c: use gimp_tool_push_status_length()
	so the guide position is shown in the selected display unit.
	Cleaned up the status message code a bit.

2004-11-10  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/dialog.c: use an idle handler to jump to the
	anchor.

2004-11-09  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/bmpread.c: if the file has space in the colormap for
	more than 256 entries, ignore them instead of failing. Fixes bug
	#157775.

2004-11-09  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/bmpread.c: Fix cut'n'paste err so grayscale images
	load again. Fixes bug #157764.

2004-11-09  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_tool_events): pass (gint)-truncated
	coordinates instead of RINT()-rounded ones to
	gimp_display_shell_update_cursor(). Restores correct coordinates
	display for zoomed-in display and fixes bug #153534.

	* app/tools/gimpmovetool.c: added statusbar messages including the
	(rounded) guide coordinate. Keeps bug #141719 closed.

2004-11-09  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_new): don't
	connect to "event" and don't connect any canvas event to
	gimp_display_shell_events(). Connect all tool events separately
	(doesn't include "configure-event" and thus fixes bug #141543).

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_tool_events): call
	gimp_display_shell_events() manually before doing tool event
	processing.

	* app/display/gimpdisplayshell.c
	* app/display/gimpdisplayshell-callbacks.[ch]: connect to
	"size_allocate" of the canvas, not to "configure_event"
	(suggested by Owen in bug #141543).

	* app/display/gimpdisplayshell-callbacks.[ch]: removed
	gimp_display_shell_popup_menu().

	(gimp_display_shell_origin_button_press): emit "popup-menu" on the
	shell manually instead of calling above function.

	* app/display/gimpdisplayshell.c: added the whole menu popup code
	here.

2004-11-09  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpoffsetarea.c (gimp_offset_area_resize): queue
	a resize. Fixes remaining issues with bug #157495.

2004-11-09  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/url.c: removed debug output.

2004-11-08  Sven Neumann  <sven@gimp.org>

	* app/dialogs/user-install-dialog.c (user_install_migrate_files):
	don't copy menurc, the format changed anyway.
	
2004-11-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c (script_fu_ok):
	actually retrieve the value from the GtkEntry for SF-VALUE.

2004-11-08  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/layer.pdb: applied modified patch from Geert
	Jordaens which adds the missing gimp_layer_from_mask() API.
	Addresses bug #138662.

	* app/pdb/internal_procs.c
	* app/pdb/layer_cmds.c
	* libgimp/gimplayer_pdb.[ch]. regenerated.

	* libgimp/gimp.def: changed accordingly.

2004-11-08  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scripts/selection-round.scm: removed garbage
	from beginning of file. Removed DOS line breaks.

2004-11-08  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimppixelfetcher.c: added docs derived from a patch from
	Cai Qian (bug #156271).

2004-11-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/screenshot.c: changed label of default action
	button to "Grab".

2004-11-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/CEL.c
	* plug-ins/common/CML_explorer.c
	* plug-ins/common/channel_mixer.c
	* plug-ins/common/gqbist.c
	* plug-ins/common/spheredesigner.c
	* plug-ins/flame/flame.c
	* plug-ins/ifscompose/ifscompose.c: don't set help-ids on plug-in
	file chooser dialogs. Set the default response for file dialogs.

2004-11-08  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/resize-dialog.c (resize_dialog_response)
	* app/dialogs/scale-dialog.c (scale_dialog_response): replaced
	"case GTK_RESPONSE_CANCEL:" by "default:" so it also catches
	hitting the escape key or clicking the WM close button.

2004-11-08  Øyvind Kolås  <pippin@gimp.org>

	* plug-ins/common/gqbist.c: fixed typo in construction of file
	chooser, use gtk_dialog_run instead of separate callbacks for
	the responses of the file chooser dialog.

2004-11-08  Sven Neumann  <sven@gimp.org>

	* app/core/gimpdrawable.c (gimp_drawable_mask_bounds)
	(gimp_drawable_mask_intersect): initialize the return values before
	checking if the drawable is attached. Keeps GIMP from going mad if
	this assertion is ever triggered.

2004-11-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/dialog.c: don't connect the help browser to
	the help system.

2004-11-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/selection-round.scm: register the
	compatibility procedure with the correct name.

2004-11-07  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpcolorbutton.c: fixed unused code (tooltip was
	taken from label field).

2004-11-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/ifscompose/ifscompose.c: ported to GtkUIManager.

2004-11-07  Sigurd Gartmann  <sigurd-translate@brogar.org>

	* configure.in: Added support for the new locale nb to ALL_LINGUAS.

2004-11-07  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/channel_mixer.c (query): the menu label should
	have three dots (bug #157580).

2004-11-07  DindinX  <dindinx@gimp.org>

	* plug-ins/gflare/gflare.c: removed #undef GTK_DISABLE_DEPRECATED and
	use a GtkListStore instead of the long-time deprecated GtkList. Done
	some small cleanups, too.

2004-11-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpbrushgenerated.c: changed minimum brush radius from
	1.0 to 0.1.

	* app/widgets/gimpbrusheditor.c: allow a smaller brush radius to
	be set in the brush editor. Fixes bug #157508.

2004-11-06  Sven Neumann  <sven@gimp.org>

	* app/dialogs/scale-dialog.c (scale_dialog_reset): same fix here.

2004-11-06  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c: fixed typo (bug #157513).

2004-11-06  Sven Neumann  <sven@gimp.org>

	* app/dialogs/convert-dialog.c (convert_dialog_new): removed
	trailing period from check button label. Fixes bug #157511.

2004-11-06  Sven Neumann  <sven@gimp.org>

	* app/dialogs/resize-dialog.c (resize_dialog_reset): fixed most of
	the Reset functionality (bug #157495). The offset box is still not
	working correctly.

	* app/widgets/gimpsizebox.c (gimp_size_box_update_resolution):
	check for availability of the size entry before accessing it.

2004-11-06  Sven Neumann  <sven@gimp.org>

	New Win32 icons contributed by Jernej Simoncic:
	
	* app/Makefile.am
	* app/makefile.msc
	* app/gimp.rc
	* app/fileicon.ico: added new file icon for the Win32 build.

	* app/wilber.ico: nicer application icon for the Win32 build.

2004-11-05  Michael Natterer  <mitch@gimp.org>

	* plug-ins/maze/maze.c
	* plug-ins/maze/maze_face.c: some irrelevant cleanups while doing
	code review.

2004-11-05  Michael Natterer  <mitch@gimp.org>

	* plug-ins/flame/flame.c: removed #undef GTK_DISABLE_DEPRECATED
	because it's no longer needed. Cleaned up #defines and
	declarations. Removed tabs and trailing whitespace.

2004-11-04  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpsessioninfo.c: be more tolerant and silently
	skip entries that the dialog factory doesn't recognize.

	* app/widgets/gimpdialogfactory.c: minor cleanup.

2004-11-04  Sven Neumann  <sven@gimp.org>

	* app/dialogs/user-install-dialog.c (user_install_response): don't
	save the (empty) gimprc after migrating the user settings.

2004-11-04  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/uniteditor.c: undeprecated by using a
	GtkUIManager for creating the toolbar. Some cleanup and code
	reordering.

2004-11-04  Michael Natterer  <mitch@gimp.org>

	* configure.in: disable the whole bunch of FOO_DISABLE_DEPRECATED
	only for future versions of GLib, GTK+ and Pango because the
	upcoming new stable versions add no new deprecations that are
	relevant for the GIMP source.

2004-11-04  Michael Natterer  <mitch@gimp.org>

	* plug-ins/ifscompose/ifscompose.c: some undeprecation and
	cleanup. Still uses GtkItemFactory.

2004-11-04  Michael Natterer  <mitch@gimp.org>

	Don't use deprecated GtkToolbar API in GimpTextEditor:

	* app/actions/Makefile.am
	* app/actions/actions.c
	* app/actions/text-editor-actions.[ch]
	* app/actions/text-editor-commands.[ch]: added acions and
	callbacks for the new "text-editor" action group.

	* app/menus/menus.c: register a "<TextEditor>" UI manager.

	* menus/Makefile.am
	* menus/text-editor-toolbar.xml: new file for the toolbar.

	* app/widgets/gimptexteditor.[ch]: use the toolbar created by the
	UI manager instead of constructing it using deprecated API.

	* app/tools/gimptextoptions.c: changed accordingly.

	* app/widgets/gimpwidgets-utils.[ch]: added gimp_text_buffer_load()
	(used by text-editor-commands.c).

2004-11-04  Michael Natterer  <mitch@gimp.org>

	* plug-ins/ifscompose/ifscompose.c: #undef GTK_DISABLE_DEPRECATED.

2004-11-04  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpcolorbutton.[ch]: use a GtkUIManager instead
	of a GtkItemFactory. Added virtual function ::get_action_type()
	and create the manager's actions manually using that action type
	instead of using gtk_action_group_add_actions().

	* app/widgets/gimpcolorpanel.c: override ::get_action_type() so it
	creates GimpActions (which can have a color attached) instead of
	GtkActions. Changed the menu item visibility and color preview
	code accordingly.

	* app/widgets/Makefile.am
	* app/widgets/gimpitemfactory.[ch]: finally removed.

	* configure.in: added -DGTK_DISABLE_DEPRECATED to CPPFLAGS again.

2004-11-04  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpoldwidgets.c: #undef GTK_DISABLE_DEPRECATED

	* libgimpwidgets/gimpunitmenu.h: #include <gtk/gtkoptionmenu.h>
	explicitely and #undef GTK_DISABLE_DEPRECATED only around the
	inclusion if it was defined before.

2004-11-04  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpunitcache.h
	* libgimpbase/gimpchecks.h
	* libgimpbase/gimpdatafiles.h
	* libgimpbase/gimplimits.h
	* libgimpbase/gimpmemsize.h
	* libgimpbase/gimputils.h
	* libgimpbase/gimpwin32-io.h
	* libgimpthumb/gimpthumb-enums.h
	* libgimpthumb/gimpthumb-error.h
	* libgimpwidgets/gimppreviewarea.h: added G_BEGIN_DECLS / G_END_DECLS.

2004-11-04  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/ccanalyze.c
	* plug-ins/common/uniteditor.c
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-preview.c
	* plug-ins/ifscompose/ifscompose.c
	* plug-ins/imagemap/imap_misc.c
	* plug-ins/imagemap/imap_selection.c
	* plug-ins/imagemap/imap_toolbar.c
	* plug-ins/imagemap/imap_tools.c
	* plug-ins/print/gimp_color_window.c: stop using deprecated
	functions, added some #undef GTK_DISABLE_DEPRECATED where needed.

2004-11-03  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/module-dialog.c
	* plug-ins/dbbrowser/gimpprocbrowser.c
	* plug-ins/dbbrowser/plugin-browser.c: use
	gtk_tree_model_get_iter_first() instead of the deprecated
	_get_iter_root().

	* app/display/gimpdisplayshell-callbacks.c: don't include
	"widgets/gimpitemfactory.h".

2004-11-03  Øyvind Kolås  <pippin@gimp.org>

	* app/base/gimphistogram.h: %s/historgam/histogram/
	
2004-11-03  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdasheditor.c (gimp_dash_editor_finalize): don't
	forget to g_free(editor->segments).

2004-11-03  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpscalecombobox.c
	(gimp_scale_combo_box_mru_remove_last)
	* app/widgets/gimpeditor.c (gimp_editor_add_action_button)
	* app/xcf/xcf-load.c (xcf_load_old_path): plugged some small leaks.

2004-11-03  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpfiledialog.c (gimp_file_dialog_add_filters):
	plugged a mem-leak.

	* app/widgets/gimpviewrendererimagefile.c
	(gimp_view_renderer_imagefile_render): don't leak the pixbuf here.

	* app/widgets/gimpviewrenderer-frame.c: added a comment.

2004-11-03  Michael Natterer  <mitch@gimp.org>

	* app/paint-funcs/paint-funcs.c (combine_sub_region): applied
	patch from Joao S. O. Bueno which moves assignments into an "else"
	branch and thus optimizes the (common) "if" branch. Did some
	cosmetic cleanups.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c (script_fu_interface):
	don't silently return when there is already a script running but
	show a message instead. Unfortunately introduces two new strings,
	but bugs are bugs. Fixes bug #123882.

2004-11-02  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagefile.c (gimp_imagefile_save_thumb): minor
	cleanup.

	* libgimpthumb/gimpthumb-utils.c (_gimp_thumbs_delete_others): do
	the right thing. Used to do the wrong thing when called with a
	thumbnail size which is not from the GimpThumbSize enum.

2004-11-02  Sven Neumann  <sven@gimp.org>

	* app/actions/image-commands.c (image_new_from_image_cmd_callback):
	call image_new_dialog_set() unconditionally. Fixes bug #157096.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/drawable_transform.pdb: factored out the
	"invoke" bodies to two utility functions, getting rid of *tons* of
	duplicated code.

	* app/pdb/drawable_transform_cmds.c: regenerated (only whitespace
	and comments changed).

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/drawable_transform.pdb (drawable_*_defaults):
	renamed parameter "interpolation" to "interpolate" as suggested by
	pippin.

	* app/pdb/drawable_transform_cmds.c
	* libgimp/gimpdrawabletransform_pdb.[ch]: regenerated.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/user-install-dialog.c (user_install_migrate_files):
	don't copy pluginrc* and themerc*.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpimage.h: one more s/cmap/colormap/.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/transform_tools.pdb: deprecated all functions.

	* app/pdb/transform_tools_cmds.c
	* libgimp/gimptransformtools_pdb.[ch]: regenerated.

	* plug-ins/common/tiff.c
	* plug-ins/script-fu/scripts/3dTruchet.scm
	* plug-ins/script-fu/scripts/coolmetal-logo.scm
	* plug-ins/script-fu/scripts/image-structure.scm
	* plug-ins/script-fu/scripts/perspective-shadow.scm
	* plug-ins/script-fu/scripts/text-circle.scm
	* plug-ins/script-fu/scripts/truchet.scm: use the new transform API.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/drawable_transform.pdb: added _defaults()
	variants (flip_defaults, rotate_defaults, ...) for all transform
	functions which finally call gimp_drawable_transform_affine().
	The _defaults() functions don't take the whole interpolation_type,
	supersample etc. parameter overkill, but only a "interpolation"
	boolean like the old PDB wrappers.

	* libgimp/gimp.def: changed accordingly.

	* app/pdb/drawable_transform_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpdrawabletransform_pdb.[ch]: regenerated.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/drawable_transform.pdb: renamed flip() and
	rotate() to flip_simple() and rotate_simple(). Renamed flip_free()
	and rotate_free() to flip() and rotate() (the special cases should
	have a special suffix, not the general ones).

	* libgimp/gimp.def: changed accordingly.

	* app/pdb/drawable_transform_cmds.c
	* libgimp/gimpdrawabletransform_pdb.[ch]: regenerated.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/compressor.c (compressors): added missing bzip2
	command lines for Win32.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* plug-ins/bmp/bmpread.c
	* plug-ins/bmp/bmpwrite.c
	* plug-ins/common/CEL.c
	* plug-ins/common/animationplay.c
	* plug-ins/common/animoptimize.c
	* plug-ins/common/autostretch_hsv.c
	* plug-ins/common/c_astretch.c
	* plug-ins/common/ccanalyze.c
	* plug-ins/common/color_enhance.c
	* plug-ins/common/film.c
	* plug-ins/common/gee.c
	* plug-ins/common/gee_zoom.c
	* plug-ins/common/gif.c
	* plug-ins/common/gifload.c
	* plug-ins/common/grid.c
	* plug-ins/common/header.c
	* plug-ins/common/mng.c
	* plug-ins/common/normalize.c
	* plug-ins/common/pcx.c
	* plug-ins/common/png.c
	* plug-ins/common/pnm.c
	* plug-ins/common/postscript.c
	* plug-ins/common/psd.c
	* plug-ins/common/psd_save.c
	* plug-ins/common/raw.c
	* plug-ins/common/sunras.c
	* plug-ins/common/tga.c
	* plug-ins/common/tiff.c
	* plug-ins/common/tile.c
	* plug-ins/common/vinvert.c
	* plug-ins/common/winclipboard.c
	* plug-ins/common/winprint.c
	* plug-ins/common/xbm.c
	* plug-ins/common/xpm.c
	* plug-ins/common/xwd.c
	* plug-ins/fits/fits.c
	* plug-ins/gfli/gfli.c
	* plug-ins/imagemap/imap_preview.c
	* plug-ins/print/print.c
	* plug-ins/pygimp/pygimp-image.c
	* plug-ins/winicon/main.c: use the new "colormap" functions
	instead of the deprecated "cmap" ones.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	More final API cleanup:

	* tools/pdbgen/pdb/image.pdb: added gimp_image_set,get_colormap()
	and deprecated set,get_cmap().

	* libgimpwidgets/gimppreviewarea.[ch]: renamed
	gimp_preview_area_set_cmap() to set_colormap().

	* libgimp/gimp.def
	* libgimp/gimpdrawablepreview.c
	* libgimp/gimpexport.c
	* libgimp/gimpimage.[ch]
	* libgimpwidgets/gimpwidgets.def: changed accordingly.

	* app/pdb/image_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpimage_pdb.[ch]: regenerated.

	(undeprecation of plug-ins will follow...)

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpcroptool.c (crop_recalc): added "gboolean
	recalc_highlight" and call gimp_display_shell_set_highlight() only
	when it's TRUE. Pass TRUE from all places where the crop outline
	actually changed.

	(gimp_crop_tool_control): added back the call to crop_recalc() for
	the RESUME case so the outline gets updated on zoom/scroll, but pass
	recalc_highlight = FALSE because it has not changed.
	Fixes bug #157001.

2004-11-02  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/drawable_transform.pdb (flip): renamed
	parameter "center" to "auto_center" and removed
	"transform_direction". Renamed rotate() to rotate_free() and
	added a "gboolean auto_center" parameter. Added new function
	rotate() which takes enum GimpRotationType instead of an
	arbiatrary angle so the flip and rotate APIs are symmetric.

	* libgimp/gimp.def: added the gimp_drawable_transform_* stuff.

	* app/pdb/drawable_transform_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpdrawabletransform_pdb.[ch]: regenerated.

2004-11-02  Sven Neumann  <sven@gimp.org>

	* app/dialogs/image-scale-dialog.c (image_scale_callback): actually
	use the choosen interpolation type. Fixes bug #157102.

2004-11-02  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gfig/gfig-dobject.h
	* plug-ins/gfig/gfig-preview.c
	* plug-ins/gfig/gfig-style.h
	* plug-ins/gfig/gfig-types.h
	* plug-ins/gfig/gfig.h: some more cleanups. The current_style bug is
	still there :(

2004-11-01  Øyvind Kolås  <pippin@gimp.org>

	* app/xcf/xcf-load.c: applied patch from David Gowers, extra sanity
	checking for the xcf loader, colormaps read from non indexed images
	are discarded. Does not fix bug #134097, but prevents gimp from
	reloading an impossible state.

2004-11-01  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-transform.[ch]
	(gimp_drawable_transform_flip): renamed "center" to "auto_center".

	(gimp_drawable_transform_rotate): added missing parameters so it
	can be used for a to-be-added PDB wrapper offering a
	GimpRotationType based rotate API.

	Both functions: always clip when transforming a whole channel,
	since they must keep their size.

	(gimp_drawable_transform_affine): actually forward the passed
	"clip_result" to transform_tiles_affine() instead of always FALSE.

2004-11-01  Øyvind Kolås  <pippin@gimp.org>

	* app/pdb/color_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpcolor_pdb.c
	* libgimp/gimpcolor_pdb.h: regenerated
	* tools/pdbgen/pdb/color.pdb: added levels-stretch to @procs, removed
	metainformation from deprecated levels-auto.

2004-11-01  Øyvind Kolås  <pippin@gimp.org>

	* app/actions/drawable-actions.c
	* app/actions/drawable-commands.c
	* app/actions/drawable-commands.h
	* app/base/levels.c
	* app/base/levels.h
	* app/core/gimpdrawable-levels.c
	* app/core/gimpdrawable-levels.h
	* app/pdb/color_cmds.c
	* app/tools/gimplevelstool.c
	* libgimp/gimpcolor_pdb.c
	* menus/image-menu.xml
	* menus/image-menu.xml.in
	* tools/pdbgen/pdb/color.pdb: renamed [drawable-]levels-auto
	to [drawable-]levels-stretch, anticipating other ways to automatically
	determine levels settings, old PDB command maintained, but marked
	as deprecated.

2004-11-01  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpfiledialog.c (gimp_file_dialog_add_filters):
	don't check for file_proc->menu_paths. Our load and save procedure
	don't necessarily register a menu path any longer.

	* app/plug-in/plug-ins.c: minor cleanup.

	* app/xcf/xcf.c (xcf_init): no need for adding menu paths for the
	XCF load and save procedures.

	* tools/pdbgen/pdb/fileops.pdb: fixed outdated documentation.

	* app/pdb/fileops_cmds.c
	* libgimp/gimpfileops_pdb.c: regenerated.

2004-11-01  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/drawable_transform.pdb: added "clip_result" to
	the transform_options_args() utility function and changed all
	wrappers accordingly. Removed "interpolation", "supersample" and
	"recursion_level" args from drawable_transform_flip().

	* app/pdb/drawable_transform_cmds.c
	* libgimp/gimpdrawabletransform_pdb.[ch]: regenerated.

2004-11-01  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/tiff.c (query): fixed typo.

2004-11-01  Michael Natterer  <mitch@gimp.org>

	* app/actions/drawable-actions.c: trailing whitespace.

	* app/actions/drawable-commands.[ch]: partly revert alphabetical
	ordering. Instead, group them as in drawable-actions.c and order
	by alphabet inside the groups (different ordering in *-actions.c
	and *-commands.c is inconvenient for the usual workflow of editing
	both files at the same time).

	* app/core/gimpdrawable-levels.h: indentation.

2004-11-01  Michael Natterer  <mitch@gimp.org>

	* themes/Small/gtkrc: don't change GtkDialog::button_spacing and
	::action_area_border because it breaks alignment with all other
	dialog spacings or borders (which are hardcoded).

2004-11-01  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-types.h: new file to hold the types gfig uses.
	This makes the sources easier to read.

	* plug-ins/gfig/Makefile.am: added gfig-types.h

	* plug-ins/gfig/gfig.h: removed some types definitions and put them
	in gfig-types.h and ...

	* plug-ins/gfig/gfig-dobject.h
	* plug-ins/gfig/gfig-style.h: ...into these files.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* Made 2.2-pre1 release.

2004-10-31  Simon Budig  <simon@gimp.org>

	* data/images/gimp-splash.png: new splash based on a great photo
	(and pumpkin) by Seth Burgess <sjburges@gimp.org>.

2004-10-31  Simon Budig  <simon@gimp.org>

	* plug-ins/common/plasma.c: Fixed handling of 1x1 selection and
	selection out of drawable.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* plug-ins/gfig/Makefile.am (EXTRA_DIST): removed pix-data.h.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* configure.in: changed gimp_version to 2.2-pre1, to match the
	naming scheme of the 2.0 pre-releases.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/newsprint.c: removed an unused variable.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* app/dialogs/user-install-dialog.c: when migrating the user
	settings, tolerate errors and create the tmp directory that was
	explicitely not copied.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* app/config/gimpconfig-utils.c (gimp_config_file_copy): copy the
	file permissions also.

	* app/dialogs/user-install-dialog.c: added code to migrate user
	settings from ~/.gimp-2.0. It copies all files (except GIMP swap
	files) and all subdirectories (except tmp) with all files. It
	doesn't recurse into subdirectories.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* app/config/gimpguiconfig.c: disabled the image area by default
	to reduce some clutter.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* app/dialogs/user-install-dialog.c: fixed page logic for migration
	of user settings. Still missing code to actually copy the files.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpmemsizeentry.c: don't use camel case in memory
	size identifiers.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpimageeditor.c (gimp_image_editor_set_context):
	set the active image. Fixes bug #156942.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* app/dialogs/user-install-dialog.c: started to work on migration of
	user settings (bug #156636). Not at all functional yet.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpwidgets.c: allow for mnemonics in radio
	groups created with gimp_radio_group_new().

2004-10-31  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-dobject.c: some more UI improvements.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpsizebox.c: added a size entry to edit the
	resolution. This should close bug #151022.

2004-10-31  Sven Neumann  <sven@gimp.org>

	* app/dialogs/resize-dialog.c: connect the offset controls.

2004-10-30  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gfig/gfig-style.c: fixed some annoying popup messages at
	the price of a smallish mem-leak that I will fix later.

2004-10-30  Sven Neumann  <sven@gimp.org>

	* app/composite/gimp-composite-generic.c
	(gimp_composite_hue_any_any_any_generic): do nothing if the color
	has no saturation. Patch by Joao S. Bueno. Fixes bug #123296.

2004-10-30  Sven Neumann  <sven@gimp.org>

	* app/actions/image-commands.c (image_scale_cmd_callback): destroy
	the scale dialog when the display is disconnected.

	* app/dialogs/resize-dialog.c: fixed a couple of bugs related to
	the offset area. Still work in progress.

2004-10-30  DindinX  <dindinx@gimp.org>

	* plug-ins/common/newsprint.c: Moved the preview to the left, as
	suggested by Joao S. O. Bueno.

2004-10-30  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-line.c
	* plug-ins/gfig/gfig-line.h
	* plug-ins/gfig/gfig-poly.c
	* plug-ins/gfig/gfig-preview.c
	* plug-ins/gfig/gfig-star.c
	* plug-ins/gfig/gfig-style.c
	* plug-ins/gfig/gfig-style.h: some more cleanups and UI tweaks. Still
	work in progress.

	* plug-ins/gfig/pix-data.h: removed this empty, unused file.

2004-10-30  Sven Neumann  <sven@gimp.org>

	* app/config/gimpguiconfig.[ch]
	* app/config/gimprc-blurbs.h
	* app/dialogs/preferences-dialog.c
	* app/tools/gimpmoveoptions.[ch]
	* app/tools/gimpmovetool.[ch]: reverted changes for bug #156801.
	Instead added a gimprc option that allows to get the old behaviour
	back.

2004-10-30  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpmoveoptions.[ch]
	* app/tools/gimpmovetool.[ch]: applied (cleaned up version of) a
	patch from Joao S. O. Bueno that adds a tool-option to restore the
	old Move tool behaviour. Fixes bug #156801.

2004-10-30  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/despeckle.c: applied a patch from Geert Jordaens
	that improves the Despeckle algorithm. See bug #72862.

2004-10-29  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/siod-wrapper.c (init_constants): Updated to
	use convert_string() to change name of constant to Scheme format.

2004-10-30  Sven Neumann  <sven@gimp.org>

	* INSTALL
	* NEWS
	* README: updated for 2.2 pre-releases.

2004-10-30  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/grid.c (run): applied patch by Joao S. O. Bueno
	that implements the opacity parameters the way it is documented.
	Fixes bug #156750.

2004-10-30  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/glasstile.c: applied patch from Yeti, updated by
	Kevin Cozens and modified by me. Fixes bug #85261.

2004-10-29  Øyvind Kolås  <pippin@gimp.org>

	* tools/pdbgen/pdb/color.pdb: moved body of code from here.

	* app/core/gimpdrawable-levels.[ch]: to here.
	* app/core/Makefile.am: added gimpdrawable-levels.[ch].
	* app/pdb/color_cmds.c: regenerated.

	* app/actions/drawable-actions.c
	* app/actions/drawable-commands.[ch]: added drawable-layers-auto
	action.

	* app/widgets/gimphelp-ids.h: added GIMP_HELP_LAYER_WHITE_BALANCE.
	* app/menus/image-menu.xml.in: added new auto/White Balance action.
	* app/menus/image-menu.xml: regenerated.

2004-10-29  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpuimanager.c (gimp_ui_manager_entry_load)
	* app/widgets/gimpclipboard.c (gimp_clipboard_init): only be
	verbose on request.

	* app/plug-in/plug-in.c (plug_in_close): turned warnings into
	messages and respect gimp->be_verbose.

2004-10-29  Øyvind Kolås  <pippin@gimp.org>

	* app/actions/drawable-commands.[ch]
	* app/actions/drawable-actions.[ch]: alphabetized file pending
	addition.

2004-10-29  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/test-sphere.scm: Added notes about
	use of SF-PALETTE.

2004-10-29  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/jpeg.c: pass the name in filesystem encoding to
	gimp_image_set_filename(). Fixes bug #153751 for the JPEG plug-in.

2004-10-29  Sven Neumann  <sven@gimp.org>

	* app/file/file-utils.c (file_utils_uri_to_utf8_filename): when
	the filename cannot be converted to UTF-8, warn and return the URI
	instead. This is a workaround for the crash described in bug #153751.

2004-10-29  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/dialogs.c (toplevel_entries): added foreign entries
	for the keyboard shortcut and the controller action dialogs.

	* app/dialogs/preferences-dialog.c
	* app/widgets/gimpcontrollereditor.c: register the dialogs with
	the "toplevel" dialog factory so they remember their size and
	position.

2004-10-29  Michael Natterer  <mitch@gimp.org>

	* plug-ins/dbbrowser/gimpprocbrowser.c
	* plug-ins/dbbrowser/plugin-browser.c: don't say "1 Procedures" or
	"1 Plug-In Interfaces" but use the singular form instead.

2004-10-29  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/flarefx.c
	* plug-ins/common/nova.c: changed preview cursors to GDK_CROSSHAIR.

	* plug-ins/common/iwarp.c
	* plug-ins/gflare/gflare.c
	* plug-ins/ifscompose/ifscompose.c: added GDK_CROSSHAIR preview
	cursors. Not quite perfect for IfsCompose (actually needs tool-
	and constext-sensitive cursors) but definitely better than
	before. Fixes bug #90519.

2004-10-29  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/edit.pdb: mention gimp_drawable_fill() in the
	docs for gimp_edit_fill().

	* app/pdb/edit_cmds.c
	* libgimp/gimpedit_pdb.c: regenerated.

2004-10-28  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-arc.c
	* plug-ins/gfig/gfig-bezier.c
	* plug-ins/gfig/gfig-bezier.h
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-dialog.h
	* plug-ins/gfig/gfig-dobject.c
	* plug-ins/gfig/gfig-dobject.h
	* plug-ins/gfig/gfig-ellipse.c
	* plug-ins/gfig/gfig-grid.c
	* plug-ins/gfig/gfig-grid.h
	* plug-ins/gfig/gfig.c: small cleanups

2004-10-28  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpdrawablecombobox.c
	* libgimp/gimpimagecombobox.c: changed the API docs to suggest to
	use gimp_int_combo_box_connect() with these widgets. We don't want
	more people to be caught by bug #156659.

2004-10-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/grid.c: fixed a long-standing cut'n'paste bug
	which caused the intersection color to be drawn with the wrong
	shade of gray when drawing on a grayscale drawable.

2004-10-28  Sven Neumann  <sven@gimp.org>

	* app/dialogs/resize-dialog.c: added the offset area back. Still
	work in progress.

2004-10-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/dialog.c: only create a "Document not
	found" error page if the requested URL was a page to load, not a
	supplementary URL like an image. Fixes bug #138275.

2004-10-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/bmp/bmp.c
	* plug-ins/common/CEL.c
	* plug-ins/common/aa.c
	* plug-ins/common/compressor.c
	* plug-ins/common/csource.c
	* plug-ins/common/dicom.c
	* plug-ins/common/gbr.c
	* plug-ins/common/gif.c
	* plug-ins/common/gifload.c
	* plug-ins/common/gih.c
	* plug-ins/common/gtm.c
	* plug-ins/common/header.c
	* plug-ins/common/jpeg.c
	* plug-ins/common/mng.c
	* plug-ins/common/pat.c
	* plug-ins/common/pcx.c
	* plug-ins/common/pix.c
	* plug-ins/common/png.c
	* plug-ins/common/pnm.c
	* plug-ins/common/postscript.c
	* plug-ins/common/psd.c
	* plug-ins/common/psd_save.c
	* plug-ins/common/psp.c
	* plug-ins/common/sunras.c
	* plug-ins/common/svg.c
	* plug-ins/common/tga.c
	* plug-ins/common/tiff.c
	* plug-ins/common/url.c
	* plug-ins/common/wmf.c
	* plug-ins/common/xbm.c
	* plug-ins/common/xpm.c
	* plug-ins/common/xwd.c
	* plug-ins/faxg3/faxg3.c
	* plug-ins/fits/fits.c
	* plug-ins/gfli/gfli.c
	* plug-ins/sgi/sgi.c
	* plug-ins/winicon/main.c
	* plug-ins/xjt/xjt.c: removed the calls to gimp_plugin_menu_register()
	from all plug-ins. File plug-ins don't register into a menu any longer.

2004-10-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/raw.c (query): do not install an extension for
	the raw plug-in to avoid confusion with the dcraw format.

2004-10-28  Sven Neumann  <sven@gimp.org>

	* app/actions/layers-actions.c (layers_actions_update): do not set
	the "layers-mask-add" action insensitive if there's no alpha channel.

	* app/actions/layers-commands.c (layers_add_mask_response): add an
	alpha channel if there isn't one already. Fixes bug #156676.

2004-10-28  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c (script_fu_interface):
	use gimp_int_combo_box_connect() so that the initial selection
	causes the "changed" callback to be run. Should fix bug #156659.

2004-10-28  Øyvind Kolås  <pippin@gimp.org>

	* app/display/gimpdisplayshell-preview.c: Improve preview accuracy of
	perspective transform, by subdiving into a 5x5 grid.

	Fixes bug #152222.

2004-10-27  Philip Lafleur  <plafleur@cvs.gnome.org>

	* app/display/gimpdisplayshell-preview.c: Really fixed all cases
	of the perspective tool preview breaking with certain orientations by
	using triangles instead of quads.

2004-10-27  Philip Lafleur  <plafleur@cvs.gnome.org>

	* app/display/gimpdisplayshell-preview.c: Hopefully fixed all cases
	of the perspective tool preview breaking with certain orientations.

2004-10-27  Manish Singh  <yosh@gimp.org>

	* tools/pdbgen/enumcode.pl: Don't declare $first twice.

	* libgimp/Makefile.am: Be sure to distribute gimpenums.c.tail.

	* libgimp/gimpenums.c.tail: Added into CVS.

2004-10-27  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-bezier.[ch]: added a notebook page for the
	bezier tool options instead of yet another popup window.

	* plug-ins/gfig/gfig-dialog.c: modified accordingly and HIGed a bit.

2004-10-27  Øyvind Kolås  <pippin@gimp.org>

	* app/core/gimpdrawable-transform.c: made the fixed point used in
	supersampling configurable (in source) and changed from 15.16 to
	21.10 fixed point.
	
	Fixes bug #128594 for drawables less than 2G wide.

2004-10-27  Michael Schumacher <schumaml@gmx.de>

	* app/widgets/gimpwidgets-utils.c: fixed a typo in
	#include "libgimpbase/gimpwin32-io.h"

2004-10-27  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-dialog.[ch]
	* plug-ins/gfig/gfig-poly.[ch]
	* plug-ins/gfig/gfig-spiral.[ch]
	* plug-ins/gfig/gfig-star.[ch]
	* plug-ins/gfig/gfig.h: first step of moving all the hidden popup
	dialogs for the tool options in a GtkNotebook showing the options
	within one page for each tool.

2004-10-27  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/enumcode.pl: removed trailing commmas from output.

2004-10-27  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/enumcode.pl: fixed loop control in
	_gimp_enums_init(). This caused all plug-ins to crash immidiately.
	You will need to make sure that libgimp/gimpenums.c.tail is
	recreated and appended to libgimp/gimpenums.c

2004-10-27  Michael Natterer  <mitch@gimp.org>

	* app/core/gimp-transform-utils.[ch]. switch from x1,y1,x2,y2
	bounding boxes to x,y,width,height ones. Added
	gimp_transform_matrix_flip_free(). Renamed some parameters to be
	consistent with others. Some internal cleanup.

	* app/tools/gimpperspectivetool.c
	* app/tools/gimpscaletool.c
	* app/tools/gimpsheartool.c
	* tools/pdbgen/pdb/drawable_transform.pdb
	* tools/pdbgen/pdb/transform_tools.pdb: changed accordingly.

	* tools/pdbgen/pdb/drawable_transform.pdb
	* tools/pdbgen/pdb/transform_tools.pdb: guard all transform
	wrappers with if(gimp_drawable_mask_intersect(...)), also the
	ones which don't need the returned bounding box.

	* tools/pdbgen/pdb/drawable_transform.pdb: renamed some parameters
	and added gimp_drawable_transform_matrix() which takes the 9
	coefficients of a 3x3 matrix for ultimate flexibility ;)

	* app/pdb/drawable_transform_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/transform_tools_cmds.c
	* libgimp/gimpdrawabletransform_pdb.[ch]: regenerated.

2004-10-27  Sven Neumann  <sven@gimp.org>

	* app/actions/dockable-actions.c (dockable_toggle_actions): changed
	menu label from "Show Image Menu" to "Show Image Selection".

	* app/widgets/gimpsizebox.c: unmarked a string for translation.

	* app/dialogs/scale-dialog.c: added back the message when scaling
	an indexed image.

2004-10-27  DindinX  <dindinx@gimp.org>

	* libgimp/gimpaspectpreview.c: really use the second parameter of
	gimp_aspect_preview_new (), so plug-ins can now really remember the
	state of the preview between invocations.

	* libgimpwidgets/gimpscrolledpreview.c: fix a little typo

	* plug-ins/common/channel_mixer.c: fix a warning by using TRUE for a
	boolean value (initial state of the preview) instead of a weird NULL.

2004-10-27  Michael Natterer  <mitch@gimp.org>

	* modules/controller_linux_input.c
	* modules/controller_midi.c: don't g_free(error) but
	g_clear_error(&error) the GError.

2004-10-27  Sven Neumann  <sven@gimp.org>

	* app/dialogs/resize-dialog.[ch]: started to redo the Resize
	dialog in the style of the new Scale dialog. Only halfway done but
	at least the new API is there.

	* app/actions/image-commands.c
	* app/actions/layers-commands.c: changed accordingly.

	* app/dialogs/image-scale-dialog.c: cosmetics.

2004-10-27  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/*[ch]: preliminary cleanups: removed all trailing
	spaces.

2004-10-26  Manish Singh  <yosh@gimp.org>

	* tools/pdbgen/pdb/drawable_transform.pdb: removed abuse of init,
	called pdb_misc in all procedures.

	* app/pdb/drawable_transform_cmds.c
	* libgimp/gimpdrawabletransform_pdb.c: regenerated.

2004-10-27  Sven Neumann  <sven@gimp.org>

	* libgimp/Makefile.am (PDB_WRAPPERS_H, PDB_WRAPPERS_C): added new
	files gimpdrawabletranform_pdb.[ch].

2004-10-27  Sven Neumann  <sven@gimp.org>

	* app/dialogs/Makefile.am
	* app/dialogs/image-scale-dialog.[ch]: a wrapper around the scale
	dialog that takes care of verifying the user input and optionally
	asking for confirmation. Most of this moved out of image-commands.c.

	* app/actions/image-commands.c: use the new image scale dialog
	even though it doesn't allow to edit the resolution yet. That's a
	temporary regression that will get fixed soon.

	* app/actions/layers-commands.c: cosmetics.

	* app/dialogs/scale-dialog.c (scale_dialog_reset): also reset the
	resolution.

	* app/widgets/gimpsizebox.c: fixed cut'n'paste error.

2004-10-27  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpsizebox.[ch]: added a resolution label similar
	to one in the template editor. Prepared for editable resolution,
	work in progress...

	* app/dialogs/scale-dialog.[ch]: added resolution and resolution
	unit parameters to ScaleDialogCallback.

	* app/actions/layers-commands.c: changed accordingly.

2004-10-26  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimptemplateeditor.c: commented out the memory size
	label. The visual clutter of it's bold appearance was IMO not
	appropriate. I think the dialog is better without it.

	* app/widgets/gimpsizebox.c: added a pixel size label as in the
	Image New dialog.

2004-10-26  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/enumcode.pl: added gtk-doc comment for
	gimp_enums_get_type_names().

2004-10-26  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/retinex.c: applied patch by Geert Jordaens that
	lets Retinex deal with RGBA drawables. Closes bug #135594 again.

2004-10-26  Sven Neumann  <sven@gimp.org>

	Added new drawable transform API to the PDB. Largely based on
	patches from Joao S. O. Bueno. Fixes bug #137053.

	* app/core/gimpdrawable-transform.[ch]: added missing parameters
	to gimp_drawable_transform_flip().

	* tools/pdbgen/pdb/transform_tools.pdb: changed accordinly.

	* app/base/base-enums.h
	* app/core/core-enums.h: removed pdp-skip for GimpInterpolationType
	and GimpTransformDirection enums.

	* libgimp/gimpenums.h
	* plug-ins/pygimp/gimpenums.py
	* tools/pdbgen/enums.pl
	* tools/pdbgen/groups.pl: regenerated.

	* tools/pdbgen/Makefile.am
	* tools/pdbgen/pdb/drawable_transform.pdb: added new file defining
	the new PDB calls.

	* app/pdb/Makefile.am
	* app/pdb/drawable_transform_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/transform_tools_cmds.c
	* libgimp/gimp_pdb.h
	* libgimp/gimpdrawabletransform_pdb.[ch]: regenerated.

2004-10-26  Michael Natterer  <mitch@gimp.org>

	* modules/controller_linux_input.c
	* modules/controller_midi.c: don't enter an infinite blocking loop
	when the user selects an input file that can be opened, but not
	read (like a directory).

2004-10-26  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpactionview.[ch] (gimp_action_view_new): added
	parameter "const gchar *select_action" and preselect the passed
	action if non-NULL. Made the column enum public to users of this
	widget can get data from its tree store.

	* app/dialogs/preferences-dialog.c (prefs_keyboard_shortcuts_dialog):
	pass NULL because we don't want a preselected action here.

	* app/widgets/gimpcontrollereditor.[ch]: added "Edit" and "Delete"
	buttons to change the event -> action mapping. Implement a action
	chooser dialog using GimpActionView. Fixes bug #106920.

2004-10-26  Sven Neumann  <sven@gimp.org>

	* app/actions/channels-commands.c
	* app/core/gimpchannel-select.c
	* app/core/gimpimagefile.c
	* app/core/gimpundo.c
	* app/widgets/gimpcomponenteditor.c: use the new enum utility
	functions from libgimpbase instead of accessing enum_value->value_name.

2004-10-26  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/quit-dialog.c (quit_dialog_container_changed): when
	changing the button's label to "Quit", also make it the default
	action.

2004-10-26  Michael Natterer  <mitch@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpcontrollereditor.[ch]: new widget built from
	preliminary code from the prefs dialog. Prerequisite for finally
	fixing bug #106920.

	* app/dialogs/preferences-dialog.c: use the new widget.

2004-10-26  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/retinex.c: cleaned up the GUI and GIMP-specific
	code a bit. Use gimp_drawable_mask_intersect().

2004-10-25  Manish Singh  <yosh@gimp.org>

	* tools/pdbgen/enumcode.pl: Use $1 instead of deprecated \1 for
	regexp group.

2004-10-26  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/siod-wrapper.c (marshall_proc_db_call):
	my last change removed the sanity check for array_length >= 0.
	Put it back.

2004-10-26  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimpbase.def: updated.

2004-10-25  DindinX  <dindinx@gimp.org>

	* plug-ins/common/retinex.c: added this new plug-in.
	Addresses bug #135594

	* plug-ins/common/plugin-defs.pl: modified accordingly.

	* plug-ins/common/.cvsignore
	* plug-ins/common/Makefile.am: regenerated.

	* plug-ins/gfig/gfig-arc.c
	* plug-ins/gfig/gfig-arc.h
	* plug-ins/gfig/gfig-circle.c
	* plug-ins/gfig/gfig-circle.h
	* plug-ins/gfig/gfig-dialog.c: smallish style cleanups

2004-10-25  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/siod-wrapper.c (marshall_proc_db_call):
	silently accept arrays which are longer than specified. Nothing
	bad can happen and it's common practice to resize arrays in fixed
	size chunks so avoid frequent resizing. Fixes bug #155359.

2004-10-25  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/siod-wrapper.c (init_constants): removed
	debugging output i forgot.

2004-10-25  Sven Neumann  <sven@gimp.org>

	* app/dialogs/quit-dialog.c: change the action button's label to
	"Quit" if there are no images with unsaved changes.

2004-10-25  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimpbaseenums.[ch]: register some missing enums.

	* tools/pdbgen/enumcode.pl: removed code to generate 
	plug-ins/script-fu/script-fu-constants.c, generate code to
	explicitely initialize and query all of libgimp*'s enums
	and write it to libgimp/gimpenums.c.tail

	* libgimp/gimpenums.h: regenerated.

	* libgimp/Makefile.am: append gimpenums.c.tail to gimpenums.c

	* libgimp/gimp.c (gimp_main): call g_type_init() and
	_gimp_enums_init().

	* libgimp/gimp.def: added gimp_enums_get_type_names().

	* plug-ins/script-fu/Makefile.am
	* plug-ins/script-fu/script-fu-constants.[ch]: removed these files.

	* plug-ins/script-fu/siod-wrapper.c: dynamically register all
	constants using gimp_enums_get_type_names() and introspection.
	Also register the built-in unit types.

	* plug-ins/script-fu/script-fu.c: changed accordingly.

2004-10-25  Michael Natterer  <mitch@gimp.org>

	Don't store human readable and translatable enum/flag strings in
	GEnumValue's and GTypeValue's fields but attach them to their
	GType using separate structs and utility functions:

	* tools/gimp-mkenums: added params and perl voodoo to support
	generating a second array of values, which is used by the
	Makefiles below to create and register arrays of value
	descriptions.

	* libgimpbase/gimpbasetypes.[ch]: added API to attach/retreive
	arrays of translatable strings to/from enum and flags types. Added
	structs GimpEnumDesc and GimpFlagsDesc for that purpose.

	* libgimpbase/gimputils.[ch]: changed existing enum utility
	functions, added new ones and added a symmetric API for flags.

	* app/base/Makefile.am
	* app/core/Makefile.am
	* app/display/Makefile.am
	* app/paint/Makefile.am
	* app/text/Makefile.am
	* app/tools/Makefile.am
	* app/widgets/Makefile.am
	* libgimp/Makefile.am
	* libgimpbase/Makefile.am: changed *-enums.c generation rules
	accordingly.

	* app/base/base-enums.c
	* app/core/core-enums.c
	* app/display/display-enums.c
	* app/paint/paint-enums.c
	* app/text/text-enums.c
	* app/tools/tools-enums.c
	* app/widgets/widgets-enums.c
	* libgimpbase/gimpbaseenums.c: regenerated.

	* app/widgets/gimpenumstore.c
	* app/widgets/gimpenumwidgets.c
	* app/widgets/gimptemplateeditor.c
	* libgimpwidgets/gimppreviewarea.c: follow the enum utility
	function API changes.

2004-10-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_cmd_gimp_guides.c
	* plug-ins/imagemap/imap_edit_area_info.c
	* plug-ins/imagemap/imap_main.c
	* plug-ins/imagemap/imap_menu.[ch]
	* plug-ins/imagemap/imap_menu_funcs.[ch]
	* plug-ins/imagemap/imap_misc.c
	* plug-ins/imagemap/imap_settings.c
	* plug-ins/imagemap/imap_source.c: added a menu entry for Help.
	Did more minor layout adjustments for HIG compliance.

2004-10-25  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpobject.c: #include "libgimpbase/gimpbase.h", not
	just gimputils.h

2004-10-25  Michael Natterer  <mitch@gimp.org>

	* menus/toolbox-menu.xml.in: commented out the "Debug" submenu.
	Should do this via an xsltproc --param actually...

2004-10-25  DindinX  <dindinx@gimp.org>

	* plug-ins/common/newsprint.c: removed debugging g_print and
	remove my memory fix, since it was buggy and shouldn't be done.
	My fix just broke this plug-in (reported by Joao S. O. Bueno
	Calligaris)

2004-10-25  Simon Budig  <simon@gimp.org>

	* app/tools/gimpvectortool.c: Switch to design mode when
	Escape gets pressed. Untabbified.

2004-10-25  Michael Natterer  <mitch@gimp.org>

	* app/actions/gradient-editor-commands.c
	* app/display/gimpdisplayshell-preview.c: irrelevant coding style
	and spacing cleanups.

	* app/widgets/gimpimageeditor.c: removed utility function
	gimp_image_editor_context_changed() and connect
	gimp_image_editor_set_image() directly using
	g_signal_connect_swapped().

2004-10-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_circle.c
	* plug-ins/imagemap/imap_cmd_gimp_guides.c
	* plug-ins/imagemap/imap_cmd_guides.c
	* plug-ins/imagemap/imap_default_dialog.[ch]
	* plug-ins/imagemap/imap_edit_area_info.c
	* plug-ins/imagemap/imap_grid.c
	* plug-ins/imagemap/imap_main.c
	* plug-ins/imagemap/imap_misc.c
	* plug-ins/imagemap/imap_polygon.c
	* plug-ins/imagemap/imap_preferences.c
	* plug-ins/imagemap/imap_rectangle.c
	* plug-ins/imagemap/imap_selection.c
	* plug-ins/imagemap/imap_source.c
	* plug-ins/imagemap/imap_toolbar.c
	* plug-ins/imagemap/imap_tools.c: reviewed for HIG
	compliance. Various other minor fixes. Closes bug #150004.

2004-10-25 Kevin Cozens <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/test-sphere.scm: Added parameter
	missing from argument list.

2004-10-25  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/enumcode.pl
	* libgimp/Makefile.am: register all enums in libgimp/gimpenums.h
	with the type system.

	* libgimp/gimpenums.h: regenerated.

	* libgimp/gimp.def: updated.

2004-10-25  Sven Neumann  <sven@gimp.org>

	* configure.in: gimp_user_version should be 2.2.

	* libgimpmodule/Makefile.am (AM_CPPFLAGS): cleanup.

2004-10-25  Sven Neumann  <sven@gimp.org>

	* configure.in:
	* app/Makefile.am
	* tools/Makefile.am: bumped version to 2.2.0-pre1, set app version
	to 2.2, reset other versions to 2.0. Changed library versioning so
	we install with the same soname as gimp-2.0 again.

2004-10-25  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagefile.c (gimp_imagefile_get_desc_string): say
	"Click to create preview" if no preview is available.

2004-10-25  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpwidgets-utils.[ch]: added gimp_text_buffer_save()
	which saves a GtkTextBuffer's contents to a file.

	* app/widgets/gimperrorconsole.c: use
	gimp_editor_add_action_button() and removed all "clicked"
	callbacks, including all file saving code.

	* app/actions/error-console-actions.c
	* app/actions/error-console-commands.[ch]: added the code removed
	above to the action callbacks. Use gimp_text_buffer_save().

2004-10-24  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpgradienteditor.[ch]
	* app/widgets/gimppaletteeditor.[ch]: added public APIs for
	zooming the editors. Use gimp_editor_add_action_button() to create
	all buttons. Removed all button callbacks and all duplicated
	button sensitivity logic.

	* app/widgets/gimpdataeditor.c (gimp_data_editor_set_data): update
	the editor's UI manager if it exists.

	* app/actions/gradient-editor-actions.c
	* app/actions/gradient-editor-commands.[ch]: added zoom actions
	and callback and call gimp_gradient_editor_zoom(). Fixed
	gradient_editor_actions_update() to actually set all items'
	sensitivity (it was possible to modify read-only gradients and
	even to crash GIMP).

	* app/actions/palette-editor-actions.c
	* app/actions/palette-editor-commands.[ch]: changed "new" and
	"zoom" actions to actually do their job instead of calling
	gtk_button_clicked(editor->foo_button).

2004-10-24  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcolormapeditor.c: removed the "Edit Color"
	dialog callbacks and use gimp_editor_add_action_button() for
	the edit button. Removed button sensitivity logic. Hide the
	color dialog when the image's mode changes.

	* app/actions/colormap-editor-actions.c: added missing tooltip
	for the edit action.

	* app/actions/colormap-editor-commands.c: implement the dialog
	here.

2004-10-24  DindinX  <dindinx@gimp.org>

	* app/core/gimpdrawable-desaturate.c: only return early if there's
	nothing to desaturate.

2004-10-24  Michael Natterer  <mitch@gimp.org>

	* app/actions/vectors-commands.c: don't leak the filenames of the
	import and export dialogs.

2004-10-24  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/Makefile.am
	* app/dialogs/vectors-export-dialog.[ch]
	* app/dialogs/vectors-import-dialog.[ch]: new files.

	* app/actions/vectors-commands.c: use the new dialogs and remember
	their last values.

2004-10-23  Sven Neumann  <sven@gimp.org>

	* app/actions/vectors-commands.c: added missing controls to the
	path import and export dialogs.

2004-10-23  DindinX  <dindinx@gimp.org>

	* plug-ins/common/newsprint.c: cleaned it up, fixed a (documented)
	memory leak and the weird behaviour of the resolution scales.

2004-10-23  DindinX  <dindinx@gimp.org>

	* plug-ins/common/newsprint.c: added a preview.

2004-10-23  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpaspectpreview.h
	* libgimp/gimpdrawablepreview.h
	* libgimp/gimpprogressbar.h
	* libgimpwidgets/gimpcellrenderercolor.h
	* libgimpwidgets/gimpcellrenderertoggle.h
	* libgimpwidgets/gimpframe.h
	* libgimpwidgets/gimpintcombobox.h
	* libgimpwidgets/gimpintstore.h
	* libgimpwidgets/gimppreview.h
	* libgimpwidgets/gimppreviewarea.h
	* libgimpwidgets/gimpscrolledpreview.h: added padding to all class
	structs which have been added since 2.0.

2004-10-23  Michael Natterer  <mitch@gimp.org>

	* app/actions/file-commands.c (file_save_cmd_callback): don't
	g_return_if_fail() if there is no active drawable, just silently
	return.

	* app/actions/image-commands.c: remember the last merge_type of
	the "Merge Visible Layers" dialog.

	* app/actions/layers-commands.c: remeber the last values of the
	"Add Layer Mask" dialog.

	* app/actions/select-commands.c: renamed a bunch of static
	variables to be consistent with other variables used to remember
	dialog values.

	* app/actions/view-commands.c (view_fullscreen_cmd_callback): it's
	useless to update the "view-fullscreen" actions here because the
	"fullscreen" state of the shell changes asynchronously

2004-10-23  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/image-merge-layers-dialog.c
	* app/dialogs/layer-add-mask-dialog.c: made them not resizable.

	* app/dialogs/convert-dialog.c
	* app/dialogs/offset-dialog.c: renamed ugly variables.

	* app/dialogs/image-new-dialog.c
	* app/dialogs/stroke-dialog.c: irrelevant pedantic code reordering.

2004-10-23  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/Makefile.am
	* app/dialogs/image-merge-layers-dialog.[ch]: one more dialog split
	out of actions/.

	* app/actions/image-commands.c: removed it here. Some cleanup.

2004-10-23  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumb-utils.[ch]
	* libgimpthumb/gimpthumbnail.[ch]
	* libgimpthumb/gimpthumb.def: added missing API, mainly for deleting
	thumbnails.

	* app/core/gimpimagefile.[ch]: when saving a thumbnail, delete a
	failure thumbnail if one exists. Unless the thumbnail was created
	explicitely, remove all other thumbnails for this image.

	* app/actions/documents-commands.c: changed accordingly.

	* app/file/file-open.c: only save a thumbnail if there isn't a
	valid thumbnail already.

	* app/widgets/gimpthumbbox.c: before attempting to create a new
	thumbnail, check if there's an uptodate failure thumbnail.

2004-10-23  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/Makefile.am
	* app/dialogs/layer-add-mask-dialog.[ch]: one more dialog split
	out of actions/.

	* app/actions/layers-commands.c: removed it here. Some cleanup.

2004-10-23  Michael Natterer  <mitch@gimp.org>

	* autogen.sh: don't tell nonsense by printing "I am going to run
	./configure with no arguments", because we always pass at least
	--enable-maintainer-mode. Instead, simply always print all
	arguments. Also removed --copy from the calls to glib-gettextize
	and intltoolize.

2004-10-23  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpstock.c: added labels ("_Stroke") to the
	SLEECTION_STROKE and PATH_STROKE stock items so they can be used
	in action areas.

	* app/widgets/gimpstrokeeditor.c: changed mnemonic to no clash
	with "_Stroke" and reordered some code.

	* app/dialogs/stroke-dialog.[ch]: use the passed stock_id instead
	of GTK_STOCK_OK. Added parameters to specify the dialog's title
	so it doesn't say "Stroke Options".

	* app/actions/select-commands.c
	* app/actions/vectors-commands.c
	* app/tools/gimpvectortool.c: pass "Stroke Selection" and "Stroke
	Path" as dialog titles.

2004-10-23  Michael Natterer  <mitch@gimp.org>

	When there are variants of actions with and without dialog, let
	the dialog-less actions try to use the values from the last dialog
	invocation:

	* app/actions/channels-actions.c
	* app/actions/channels-commands.[ch]
	* app/actions/layers-actions.c
	* app/actions/layers-commands.[ch]
	* app/actions/vectors-actions.c
	* app/actions/vectors-commands.[ch]: renamed the foo-new-defaults
	actions to foo-new-last-values and use the last values entered in
	the dialogs.

	* app/widgets/gimpchanneltreeview.c
	* app/widgets/gimpitemtreeview.c
	* app/widgets/gimplayertreeview.c
	* app/widgets/gimpvectorstreeview.c: changed accordingly. Show
	the dialog on clicking "New" and call the last-values action on
	<shift>+click.

	* app/actions/select-actions.c
	* app/actions/vectors-commands.c: renamed the foo-stroke-last-vals
	to -last-values.

	* app/widgets/gimpselectioneditor.c
	* app/widgets/gimpvectorstreeview.c: stroke with last values on
	<shift> clicking the stroke buttons.

2004-10-23  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.c (gimp_thumbnail_save): save to a
	temporary file to avoid problems with concurrent thumbnail
	creation.

2004-10-23  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/Makefile.am
	* app/dialogs/layer-options-dialog.[ch]: the new/edit layer dialog.

	* app/actions/layers-commands.c: use it here.

2004-10-22  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpimagemaptool.[ch]
	* app/tools/gimpcurvestool.c
	* app/tools/gimplevelstool.c: allow to Shift-click the Load and
	Save buttons to skip the file chooser dialog and reuse the last
	used filename. Fixes bug #75558.

2004-10-22  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/Makefile.am
	* app/dialogs/template-options-dialog.[ch]: the new/edit template
	dialog.

	* app/actions/templates-commands.c: removed the code here and use
	template_options_dialog_new(). Removed utility functions. Some
	cleanup.

2004-10-22  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpeditor.c (gimp_editor_ensure_button_box): make
	sure the button_box is always interted at the very bottom of the
	editor.

	* app/widgets/gimpviewabledialog.c: changed the "description"
	property from CONSTRUCT_ONLY to CONSTRUCT.

	* app/widgets/gimpcolormapeditor.c: show the index of the edited
	color in the color dialog and use the correct icon. Replaced label
	"Hex triplet" by "HTML notation" to be consistent with the color
	dialog. Removed wrong 2 pixel border around the table below the
	preview.

2004-10-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/wmf.c: fixed non-interactive call with default
	values.

2004-10-22  Sven Neumann  <sven@gimp.org>

	* app/actions/colormap-editor-actions.c
	* app/actions/dialogs-actions.c
	* app/core/gimpimage-colormap.c
	* app/dialogs/convert-dialog.c
	* app/dialogs/dialogs.c
	* app/widgets/gimpcolormapeditor.c: use the term "Colormap"
	instead of "Indexed Palette". Fixes bug #155829.

2004-10-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/wmf.c: applied a patch by Karine Proot that adds
	a preview to the load dialog and a similar UI as the SVG loader.
	Fixes bug #133519 and bug #133521.

2004-10-22  Michael Natterer  <mitch@gimp.org>

	* app/core/core-enums.[ch]: added new enum GimpStrokeMethod which
	can be one of { LIBART, PAINT_CORE }.

	* app/core/Makefile.am
	* app/core/core-types.h
	* app/core/gimpstrokedesc.[ch]: new object which encapsulates
	the params and setup logic for the different stroke methods.

	* app/core/gimpitem.[ch]: use it in GimpItem::stroke() and
	in the gimp_item_stroke() wrapper.

	* app/core/gimpchannel.c (gimp_channel_stroke)
	* app/core/gimpselection.c (gimp_selection_stroke)
	* app/vectors/gimpvectors.c (gimp_vectors_stroke): changed accprdingly.

	* app/actions/select-commands.c
	* app/actions/vectors-commands.c
	* app/dialogs/stroke-dialog.c
	* tools/pdbgen/pdb/edit.pdb
	* tools/pdbgen/pdb/paths.pdb: use GimpStrokeDesc. Simplifies the
	code quite a bit.

	* app/pdb/edit_cmds.c
	* app/pdb/paths_cmds.c: regenerated.

2004-10-22  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimppropwidgets.c: remember the param_spec with each
	radio button instead of with the box/frame around them.

2004-10-21 Kevin Cozens <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/script-fu.c: Removed _() tag from two strings
	that should not have been marked for translation.

2004-10-21  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts-fu.c: Fixed spelling error.

2004-10-21  Michael Natterer  <mitch@gimp.org>

	* app/actions/select-actions.c
	* app/actions/select-commands.[ch]
	* app/actions/vectors-actions.c
	* app/actions/vectors-commands.[ch]: added actions and callbacks
	to stroke with the last values used without showing the stroke
	dialog. The actions have no menu entries but can be called via
	shortcuts. Fixes bug #135746.

	(Disclaimer: the uglyness of the callbacks shows the need for a
	stroke API overhaul).

2004-10-20  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable-stroke.c
	(gimp_drawable_stroke_scan_convert): Replacing the call to
	gimp_channel_is_empty() by a simple gimp_drawable_mask_intersect()
	was wrong because gimp_channel_is_empty() makes sure that the
	selection doesn't mask itself while being stroked.

2004-10-20  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/raw.c: ported to GimpPreviewArea.

2004-10-20  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/raw.c: new plug-in from Tim Copperfield, made
	work with the GIMP 2.1 API by Philipp Gühring, then heavily
	cleaned up and undeprecated by myself. Fixes bug #144943.
	
	(still uses GtkPreview, but i wanted a sane state in cvs to diff
	 against before replacing it)

	* plug-ins/common/plugin-defs.pl: changed accordingly.

	* plug-ins/common/Makefile.am: regenerated.

2004-10-20  Michael Natterer  <mitch@gimp.org>

	Fixed bug #155733 for libgimp:

	* tools/pdbgen/pdb/drawable.pdb: export drawable_mask_intersect()
	to the PDB and improved documentation for drawable_mask_bounds().

	* app/pdb/drawable_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpdrawable_pdb.[ch]: regenerated.

	* libgimp/gimp.def: changed accordingly.

2004-10-20  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpdrawable.[ch]: added gimp_drawable_mask_intersect()
	which returns the same bounding box as gimp_drawable_mask_bounds(),
	but returns TRUE only if there is a non-empty intersection between
	the drawable and the selection, or no selection at all. It also
	returns the intersection as x,y,width,height instead of the
	eeky x1,y1,x2,y2.

	* app/core/gimp-edit.c
	* app/core/gimpdrawable-blend.c
	* app/core/gimpdrawable-bucket-fill.c
	* app/core/gimpdrawable-desaturate.c
	* app/core/gimpdrawable-equalize.c
	* app/core/gimpdrawable-histogram.c
	* app/core/gimpdrawable-invert.c
	* app/core/gimpdrawable-stroke.c
	* app/core/gimpimagemap.c
	* app/core/gimpselection.c
	* tools/pdbgen/pdb/color.pdb
	* tools/pdbgen/pdb/transform_tools.pdb: either switch from
	gimp_drawable_mask_bounds() to _intersect() or check the return
	values of _mask_bounds() manually to avoid operations on empty
	areas. Return successfully because it's a nop, not a failure.
	Fixes bug #155733 for the core.

	* app/pdb/color_cmds.c
	* app/pdb/transform_tools_cmds.c: regenerated.

2004-10-19  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimptextoptions.c (gimp_text_options_gui): removed
	3 mnemonics. No other tool options label has a mnemonic.
	Addresses bug #155861.

2004-10-19  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/Makefile.am
	* app/dialogs/vectors-options-dialog.[ch]: one more dialog split
	out of actions/.

	* app/actions/vectors-commands.c: removed it here. Merged more
	utility functions into their only callers.

	* app/actions/dockable-commands.c
	* app/actions/edit-commands.c
	* app/actions/file-commands.c
	* app/actions/palettes-commands.c
	* app/actions/tool-options-commands.c
	* app/actions/view-commands.c: renamed "qbox" and "query_box"
	variables to "dialog".

2004-10-19  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/screenshot.c (shoot_dialog): don't forget to set
	the mnemonic widgets for the labels. Fixes bug #155811.

2004-10-19  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/Makefile.am
	* app/dialogs/channel-options-dialog.[ch]: new files implementing
	the channel options dialog with a horrid number of 13 construction
	parameters. Still better than having the same code twice, only
	differing in strings used...

	* app/actions/channels-commands.c
	* app/actions/qmask-commands.c: removed the dialog code here and
	use channel_options_dialog_new().

2004-10-19  Jay Cox  <jaycox@gimp.org>

	* plug-ins/common/psd_save.c: don't try to save psd files that are
	larger than 30000 pixels in either direction.  Fixed the rle code
	to compress more compactly.  Fixed a memmory leak in
	save_channel_data.

2004-10-18  Michael Natterer  <mitch@gimp.org>

	Action code review and pre-release consistency cleanup:

	* app/actions/*-actions.c: added some missing and resolved
	conflicting mnemonics, added missing help IDs. Cleaned up the
	*_actions_update() functions.

	* app/actions/channels-actions.c
	* app/actions/layers-actions.c
	* app/actions/vectors-actions.c (*_actions_update): simplified
	the code that figures the prev and next channel,layer,vectors.

	* app/actions/qmask-actions.c: use the same accelerator for
	"qmask-active" and "qmask-toggle". Fixed action sensitivity.

	* app/actions/channels-commands.c
	* app/actions/dockable-commands.c
	* app/actions/documents-commands.c
	* app/actions/gradients-commands.c
	* app/actions/layers-commands.c
	* app/actions/palettes-commands.c
	* app/actions/image-commands.c
	* app/actions/select-commands.c
	* app/actions/vectors-commands.c: folded tons of private utility
	functions into their only callers (they used to be public and
	called from outside before the switch to action based menus).
	Renamed functions and variables saying "query" or "qbox" to
	"dialog". Moved static functions to the end of the files. Misc
	minor cleanups.

	* app/actions/drawable-actions.c
	* app/actions/drawable-commands.c: made the "drawable-visible" and
	"drawable-linked" actions affect the layer if the active drawable
	is a layer mask.

	* app/actions/select-commands.c: added action to stroke with the
	last values used in an attempt to address bug #135746 but #if 0'ed
	it because the approach is too ugly.

	* app/tools/gimpiscissorstool.c: changed mnemonic from I to S.

	* menus/image-menu-xml.in: added more stuff to the (commented out)
	"context" menu.

2004-10-17  DindinX  <dindinx@gimp.org>

	* libgimp/gimppixelrgn.c: some more clues in the documentation
	(suggested by nomis)

2004-10-17  DindinX  <dindinx@gimp.org>

	* libgimp/gimppixelrgn.c: clarify some usecases for
	gimp_pixel_rgn_init().

2004-10-17  DindinX  <dindinx@gimp.org>

	* plug-ins/common/colortoalpha.c: Added a preview.

2004-10-17  DindinX  <dindinx@gimp.org>

	* plug-ins/common/glasstile.c: use a GimpDrawablePreview.

2004-10-17  DindinX  <dindinx@gimp.org>

	* plug-ins/common/borderaverage.c: smallish cleanups.

2004-10-17  DindinX  <dindinx@gimp.org>

	* plug-ins/common/displace.c: Added a preview and minor cleanups.
	Can someone provide useful testcases for this plug-in?

2004-10-16  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpitemtreeview.[ch]: moved "item_type" and
	"signal_name" from GimpItemTreeView to GimpItemTreeViewClass.
	Removed them from gimp_item_tree_view_new(). Require the view_type
	instead of item_type in gimp_item_tree_view_new().

	* app/widgets/gimpitemtreeview.c
	* app/widgets/gimpdrawabletreeview.c (get_type): made them
	abstract base classes.

	* app/widgets/gimpchanneltreeview.c
	* app/widgets/gimplayertreeview.c
	* app/widgets/gimpvectorstreeview.c (class_init): set the
	item_type and signal_name members if GimpItemTreeViewClass.

	* app/dialogs/dialogs-constructors.c: changed accordingly.

2004-10-16  Manish Singh  <yosh@gimp.org>

	* autogen.sh: Add support for automake 1.9. Also rm autom4te.cache,
	since it might interfere with differing autoconf versions.

2004-10-16  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpuimanager.[ch]: added utility function
	gimp_ui_manager_get_action() which takes "group_name" and
	"action_name".

	* app/display/gimpdisplayshell-close.c
	* app/widgets/gimpitemtreeview.c
	* app/widgets/gimptoolbox.c
	* app/widgets/gimptooloptionseditor.c: use it.

2004-10-16  Michael Natterer  <mitch@gimp.org>

	* app/actions/channels-actions.c
	* app/actions/colormap-editor-actions.c
	* app/actions/documents-actions.c
	* app/actions/tool-options-actions.c
	* app/actions/vectors-actions.c: added more tooltips for actions
	which are used as extended dialog button callbacks.

	* app/widgets/gimpeditor.c (gimp_editor_add_action_button): keep
	the list of extended actions in reverse order.

	* app/widgets/gimpchanneltreeview.c
	* app/widgets/gimpcolormapeditor.c
	* app/widgets/gimpdocumentview.c
	* app/widgets/gimpitemtreeview.c
	* app/widgets/gimplayertreeview.c
	* app/widgets/gimpselectioneditor.c
	* app/widgets/gimptooloptionseditor.c
	* app/widgets/gimpvectorstreeview.c: don't set the tooltips
	manually. Removes another bunch of insane translatable multiline
	format strings. Pass the extended actions in the right order
	to gimp_editor_add_action_button().

2004-10-16  Michael Natterer  <mitch@gimp.org>

	* app/actions/vectors-commands.c (vectors_linked_cmd_callback):
	call gimp_item_set_linked(), not gimp_item_set_visible().
	Fixes bug #155578

2004-10-16  Michael Natterer  <mitch@gimp.org>

	Ported the layers, channels and paths dialogs from
	gimp_editor_add_button() to gimp_editor_add_action_button(),
	removing a massive amount of duplicated code, sensitivity logic
	and confusing utility functions.

	* app/actions/channels-actions.c
	* app/actions/channels-commands.[ch]
	* app/actions/layers-actions.c
	* app/actions/layers-commands.[ch]
	* app/actions/vectors-actions.c
	* app/actions/vectors-commands.[ch]: added "foo-new-default"
	actions and callbacks which create items without a dialog,
	optionally using default values from a passed template. Removed
	all public utility function that were passed as function pointers
	to widget construtors. Added tooltips to all actions which are now
	used for dialog buttons.

	* app/widgets/gimpeditor.c (gimp_editor_add_action_button):
	automatically create multi-line tooltips showing the modifiers for
	extended action buttons. Removes the need for lots of insane
	format strings that need to be translated correctly.

	* app/widgets/gimpitemtreeview.[ch] (struct GimpItemTreeViewClass):
	replaced tooltip and help_id strings by action names.

	(struct GimpItemTreeView)
	(gimp_item_tree_view_new): removed "edit", "new" and "activate"
	function pointers.

	(gimp_item_tree_view_constructor): create all buttons
	with gimp_editor_add_action_button(), using the action names
	from GimpItemTreeViewClass.

	Removed tons of "clicked" callbacks and all code which sets the
	buttons' sensitivity. They are not needed any longer.

	Require all subclasses to implement GimpItemTreeView::new_item(),
	a new virtual function which creates a plain new item without
	showing a dialog.

	* app/widgets/gimpdrawabletreeview.c
	* app/widgets/gimpchanneltreeview.c
	* app/widgets/gimplayertreeview.c
	* app/widgets/gimpvectorstreeview.c: fill in the action names and
	implement GimpItemTreeView::new_item(). Removed all button
	sensitivity logic.

	* app/dialogs/dialogs-constructors.c: changed accordingly. Doesn't
	include anything from actions/ any more.

2004-10-15  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/layer.pdb: fixed parameter descriptions for
	layer_add_mask() and layer_remove_mask().

	* app/pdb/layer_cmds.c
	* libgimp/gimplayer_pdb.c: regenerated.

2004-10-15  Michael Natterer  <mitch@gimp.org>

	* app/actions/images-commands.[ch]
	* app/actions/templates-commands.[ch]: made some public functions
	private or removed them entirely by folding their code into their
	callers. They used to be passed as function pointers to widgets in
	the pre action-based dialog buttons era.

2004-10-15  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/quit-dialog.c: raise the image's displays on
	double-click in the dirty image list.

2004-10-15  Michael Natterer  <mitch@gimp.org>

	Fixed bug #155328:

	* app/actions/vectors-actions.c (vectors_actions_update): don't
	set the "selection to path" actions sensitive if there is no
	image.

	* app/widgets/gimpitemtreeview.c: update the UI manager after
	setting the view's image. Connect to GimpImage::flush() and
	update the UI manager in the callback, too.

2004-10-15  Michael Natterer  <mitch@gimp.org>

	* app/actions/view-actions.c (view_zoom_actions): removed
	duplicate "view-zoom-in" action (cut'n'paste error) and fixed the
	swapped "zoom in/out a lot" actions. Fixes bug #155446.

2004-10-15  Sven Neumann  <sven@gimp.org>

	* Made 2.1.7 release.

2004-10-15  Sven Neumann  <sven@gimp.org>

	* app/tools/gimptransformoptions.c: removed the "Density" label.
	It wasn't helpful and caused the transform options to be wider than
	necessary.

	* app/tools/gimpblendoptions.c
	* app/tools/gimppaintoptions-gui.c
	* app/tools/gimptransformoptions.c: let combo boxes expand
	horizontally like we do in other (all?) dialogs.

	* app/widgets/gimptemplateeditor.c
	(gimp_template_editor_aspect_callback): update the pixel size label.

2004-10-15  Sven Neumann  <sven@gimp.org>

	* data/images/gimp-splash.png: new splash by Jimmac.

2004-10-15  DindinX  <dindinx@gimp.org>

	* plug-ins/common/scatter_hsv.c: ported to GimpDrawablePreview, and
	removed many lines of codes.

2004-10-14  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/neon.scm: Fixed minor error in script.
	(Related to bug #153900 and compatability with Tiny-Fu)

2004-10-14  DindinX  <dindinx@gimp.org>

	* plug-ins/common/neon.c: fixed the handling of drawable with alpha.

2004-10-14  DindinX  <dindinx@gimp.org>

	* plug-ins/common/nlfilt.c: Ported to GimpDrawablePreview, the
	previous preview was absolutely useless. Done some cleanups, too.

	* plug-ins/common/spread.c: remember the preview state between
	invocations.

2004-10-14  DindinX  <dindinx@gimp.org>

	* plug-ins/common/emboss.c: use a GimpDrawablePreview instead of a
	GimpAspectPreview, since this plug-in is somewhat edge-oriented and
	this makes the code simpler ;)

2004-10-14  Michael Natterer  <mitch@gimp.org>

	* themes/Default/images/stock-gradient-bilinear-16.png
	* themes/Default/images/stock-gradient-linear-16.png: rotate them
	by 90 degrees. All our gradient previews and icons go left->right,
	not top->bottom.

2004-10-14  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/bmpread.c: Make sure we have a bpp value we can
	handle, and fail gracefully if not. Fixes bug #155401.

2004-10-14  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpwidgets.c
	* app/widgets/gimpenumwidgets.[ch]
	* app/widgets/gimppropwidgets.c
	* app/actions/layers-commands.c
	* app/dialogs/convert-dialog.c
	* app/tools/gimpblendoptions.c
	* app/tools/gimpbucketfilloptions.c
	* app/tools/gimpcolorbalancetool.c
	* app/tools/gimpcolorizetool.c
	* app/tools/gimpcoloroptions.c
	* app/tools/gimpcurvestool.c
	* app/tools/gimphuesaturationtool.c
	* app/tools/gimpinkoptions-gui.c
	* app/tools/gimplevelstool.c
	* app/tools/gimppaintoptions-gui.c
	* app/tools/gimpselectionoptions.c
	* app/tools/gimptransformoptions.c: the child of a GimpFrame must
	not have any border width. Fixes many subtle misalignments.

2004-10-14  Sven Neumann  <sven@gimp.org>

	* app/core/gimpprogress.[ch]: added "message" function to the
	GimpProgress interface. Call gimp_message() if it is unimplemented.

	* app/plug-in/plug-in-progress.[ch]: added new function
	plug_in_progress_message() that passes the message to the current
	proc_frame's progress.

	* app/widgets/gimpthumbbox.c: implement GimpProgress::message.
	Just do nothing in the implementation. We don't want to see
	messages from file plug-ins that we use to create the thumbnails.

	* tools/pdbgen/pdb/message.pdb
	* app/pdb/message_cmds.c: if there's a current plug-in, dispatch
	the message by calling plug_in_progress_message().

	* app/display/gimpdisplayshell-close.c: fixed wrong types in
	function calls.

2004-10-14  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcolordialog.c (gimp_color_dialog_new): use
	GIMP_HELP_COLOR_DIALOG as help_id.

2004-10-14  Michael Natterer  <mitch@gimp.org>

	* app/actions/dialogs-commands.c: purely cosmetic.

2004-10-14  Michael Natterer  <mitch@gimp.org>

	* app/core/core-enums.[ch]: register GimpConvertPaletteType with
	the type system.

	* tools/pdbgen/enums.pl: regenerated.

	* app/widgets/gimpwidgets-utils.c (gimp_enum_radio_frame_add):
	fixed to insert the widget at the right place in the radio box.

	* app/dialogs/convert-dialog.c: use enum widgets and
	gimp_enum_radio_frame_add(), resulting in a much better looking
	dialog with much less lines of code.

2004-10-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/dialog.c: changed "Home" button to "Index".
	"Home" is misleading and leads to problems in some locales (see
	bug #148120).

2004-10-14  Michael Natterer  <mitch@gimp.org>

	* tools/authorsgen/contributors: correct UTF-8 spelling of
	João S. O. Bueno Calligaris.

	* AUTHORS
	* app/dialogs/authors.h: regenerated.

2004-10-14  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/circuit.scm: Fixed to allow use of
	script on original layer.  (bug #155358)  Fixed spelling error.

2004-10-13  Manish Singh  <yosh@gimp.org>

	* tools/pdbgen/Makefile.am: Remove stamp files during
	maintainer-clean. Addresses bug #155357. Also flesh out the
	dependencies some so rebuilds get triggered when all their
	dependent files change.

2004-10-14  Sven Neumann  <sven@gimp.org>

	* app/actions/file-commands.c (file_revert_cmd_callback): creata
	an UTF-8 filename from the image URI and display that instead of
	the URI.

	* app/dialogs/convert-dialog.c (convert_dialog_new): removed the
	palette size warning for transparent images. The number of colors
	is already adjusted to 255. This text was IMO more frightening
	than helpful.

2004-10-13  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/add-bevel.scm: two variables were
	not defined before first use (bug #153900).

2004-10-13  Kevin Cozens  <kcozens@cvs.gimp.org>

	* app/widgets/gimpactionview.c: Fixed a spelling error.

2004-10-13  DindinX  <dindinx@gimp.org>

	* plug-ins/common/colorify.c: Added a preview.

2004-10-13  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppreview.c: removed trailing whitespace.

	* libgimpwidgets/gimpwidgets.def: added
	gimp_preview_set_default_cursor.

2004-10-13  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpmessagedialog.c: improved handling of parent
	widget; probably just being paranoid here.

	* app/actions/image-commands.c
	* app/dialogs/image-new-dialog.c: ported memory size confirmation
	dialogs to GimpMessageDialog.

2004-10-13  DindinX  <dindinx@gimp.org>

	* libgimpwidgets/gimppreview.[ch]: added a new function to set the
	default cursor on preview: gimp_preview_set_default_cursor().

	* libgimpwidgets/gimpscrolledpreview.c: changed accordlingly.

	* plug-ins/common/flarefx.c:
	* plug-ins/common/nova.c: use this function.

	This addresses bug #90519.

2004-10-13  DindinX  <dindinx@gimp.org>

	* plug-ins/common/cubism.c: Added a preview and done some cleanups.

2004-10-13  Sven Neumann  <sven@gimp.org>

	* app/actions/plug-in-commands.c
	* app/actions/templates-commands.c
	* app/actions/tool-options-commands.c: ported more boolean queries
	to GimpMessageDialog.

2004-10-13  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpmessagedialog.c: handle parent widget not being
	a GtkWindow by calling gtk_widget_get_toplevel().

	* app/actions/data-commands.c
	* app/actions/edit-commands.c
	* app/actions/file-commands.c: ported more boolean queries to
	GimpMessageDialog.

2004-10-13  Sven Neumann  <sven@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpmessagedialog.[ch]: added a simple message
	dialog to avoid code duplication.

	* app/widgets/gimpmessagebox.c: set the border width to 12 pixels.

	* app/dialogs/file-save-dialog.c
	* app/dialogs/quit-dialog.c
	* app/display/gimpdisplayshell-close.c
	* app/widgets/gimperrordialog.c
	* app/widgets/gimphelp.c
	* app/widgets/gimpactionview.c: use the new GimpMessageDialog.

2004-10-13  Michael Natterer  <mitch@gimp.org>

	* app/actions/image-actions.c
	* menus/image-menu.xml.in: added menu branch "<Image>/Image/Guides".

	* plug-ins/script-fu/scripts/Makefile.am
	* plug-ins/script-fu/scripts/guides-from-selection.scm
	* plug-ins/script-fu/scripts/guides-new-percent.scm
	* plug-ins/script-fu/scripts/guides-new.scm
	* plug-ins/script-fu/scripts/guides-remove-all.scm: added new
	scripts from Alan Horkan. Fixes bug #119667.

2004-10-13  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/flarefx.c: cleaned up and simplified the
	FlareCenter code even more.

	* plug-ins/common/nova.c: did the same changes for the NovaCenter
	stuff.

	Also added code which sets an appropriate cursor on "realize" to
	fix bug #90519, but GimpPreview currently prevents this from
	working correctly...

2004-10-13  Sven Neumann  <sven@gimp.org>

	* app/widgets/widgets-enums.[ch]: changed the description for
	GIMP_HELP_BROWSER_GIMP.

	* app/dialogs/file-save-dialog.c:
	* app/widgets/gimphelp.c: use a GimpDialog embedding a
	GimpMessageBox instead of gimp_query_boolean_box which looks
	somewhat old fashioned.

2004-10-13  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.c: improved error messages on missing help
	browser plug-in.

	* libgimpthumb/gimpthumb-utils.c
	* libgimpthumb/gimpthumbnail.c: improved documentation.

2004-10-13  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-close.c
	(gimp_display_shell_close_dialog): changed button label.

2004-10-12  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/asc2img.scm: Fixed error in name of
	script used in second register line.

2004-10-13  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-close.c: changed rounding.

2004-10-13  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/image-new-dialog.c (image_new_response): don't
	forget to reset the template combo on RESPONSE_RESET.

2004-10-13  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplay-foreach.c: keep the container of dirty
	images up to date.

	* app/dialogs/quit-dialog.c: fixed model/view behavior here, too.

	(both are still far from perfect)

2004-10-13  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-close.c
	(gimp_display_shell_close_dialog): keep the time uptodate.

2004-10-13  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagefile.c (gimp_imagefile_create_thumbnail): ref
	the imagefile while creating the thumbnail.

	* app/core/gimpimagefile.[ch]
	* app/widgets/gimpthumbbox.c (gimp_thumb_box_auto_thumbnail): moved
	the tricky part about thumbnail creation into the new function
	gimp_imagefile_create_thumbnail_weak().

2004-10-13  Michael Natterer  <mitch@gimp.org>

	* plug-ins/pagecurl/pagecurl.c: forgot to remove N_() from
	gimp_plugin_menu_register().

2004-10-13  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/preferences-dialog.c (prefs_dialog_new): added
	missing and resolved conflicting mnemonics.

2004-10-12  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/selection-round.scm: moved out of the
	"Modify" placeholder. Using placeholders from Script-Fu breaks
	i18n.  We will need to change menu registration for scripts but
	this will have to wait..

2004-10-12  Michael Natterer  <mitch@gimp.org>

	* plug-ins/*/*.c: all plug-ins except script-fu: removed the
	translation marks from the menu paths passed to
	gimp_plugin_menu_register(). All default menu branches used by
	included plug-ins are created and translated by the core now.

2004-10-12  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.[ch]: renamed struct member "unit" to
	"resolution_unit".

	* app/actions/image-commands.c
	* app/core/gimp-edit.c
	* app/core/gimpimage-duplicate.c
	* app/core/gimpimage-undo-push.c
	* app/dialogs/info-window.c
	* app/vectors/gimpvectors-export.c
	* app/widgets/gimptoolbox-dnd.c:
	* app/xcf/xcf-load.c
	* app/xcf/xcf-save.c: changed accordingly. Use gimp_image_get_unit()
	where appropriate.

	* app/core/gimptemplate.c (gimp_template_set_from_image): fixed
	unit handling. Don't touch the template unit, it is used as the
	initial display unit. This will need further changes...

2004-10-12  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpwidgets-utils.c (gimp_enum_radio_frame_add):
	need to pack the widget expanding. Fixes pattern container
	entries.

2004-10-12  Sven Neumann  <sven@gimp.org>

	* app/dialogs/info-window.[ch]: fixed unit handling. Right-align
	the labels displaying the cursor position. Renamed the "Extended"
	tab to "Cursor". Renamed the API accordingly.

	* app/display/gimpdisplayshell-cursor.c: changed accordingly.

2004-10-12  Michael Natterer  <mitch@gimp.org>

	* app/actions/drawable-commands.c (drawable_rotate_cmd_callback):
	if the drawable is a channel, pass clip_result as FALSE. Need to
	do this here for rotating only because it can't be decided
	generically in GimpChannel. Fixes crash when rotating channels
	or layer masks.

	Use the undo_desc from GimpItemClass instead of passing "Flip
	Layer" and "Rotate Layer".

2004-10-12  Sven Neumann  <sven@gimp.org>

	* app/file/file-open.c: minor cleanup.

	* app/file/file-save.c (file_save_as): no need to fiddle with the
	image name, the URI is taken from the imagefile anyway.

2004-10-12  Sven Neumann  <sven@gimp.org>

	* app/actions/layers-actions.c (layers_actions_update): set
	"layers-crop" insensitive if the selection is empty.

	* plug-ins/script-fu/scripts/alien-glow-button.scm
	* plug-ins/script-fu/scripts/alien-glow-logo.scm
	* plug-ins/script-fu/scripts/basic2-logo.scm
	* plug-ins/script-fu/scripts/gradient-bevel-logo.scm: use "Sans
	Bold" instead of "Futura_Poster". The underscore in the font name
	used to confuse intltool (bug #137029) and the freefont package
	isn't that widely used any longer anyway.

2004-10-12  Sven Neumann  <sven@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpsizebox.[ch]: added new widget GimpSizeBox.

	* app/widgets/gimppropwidgets.c: the order of setting the X and Y
	properties does matter.

	* app/dialogs/Makefile.am
	* app/dialogs/scale-dialog.[ch]: added first version of a new
	Scale dialog in an attempt to address bug #151022.

	* app/actions/layers-commands.c: use the new scale dialog.

2004-10-12  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimptemplateeditor.c: added mnemonics for the size
	entries.

2004-10-12  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpwidgets.c (gimp_table_attach_aligned):
	instead of simply using the passed widget as mnemonic_widget for
	the GtkLabel, call the new utility function find_mnemonic_widget()
	which recursively searches the passed widget until it finds one
	that actually can be mnemonic-activated. Fixes lots of mnemonics
	where the attached widget is e.g. a GtkEventBox or GtkComboBox.

2004-10-12  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimptooloptions-gui.[ch]: removed the recently added
	utility functions again.

	* app/widgets/Makefile.am
	* app/widgets/gimpviewablebox.[ch]
	* app/widgets/gimpwidgets-utils.[ch]: and added cleaned up
	versions here.

	* app/tools/gimpbucketfilloptions.c
	* app/tools/gimpclonetool.c
	* app/tools/gimppaintoptions-gui.c
	* app/tools/gimptextoptions.c: changed accordingly.

	* app/dialogs/convert-dialog.c: use gimp_palette_box_new() instead
	of reinventing the wheel.

2004-10-12  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpaction.c (gimp_action_set_proxy): use a larger
	icon size for GimpImagefile views.

	* themes/Default/images/stock-frame-64.png: removed the 1 pixel
	wide empty border around the frame.

	* app/widgets/gimpviewrenderer-frame.c: adjusted the hardcoded values.

2004-10-12  Sven Neumann  <sven@gimp.org>

	* Makefile.am: defined DISTCHECK_CONFIGURE_FLAGS with the
	configure options that are needed to run 'make dist'.

2004-10-12  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimptemplateeditor.c: tweaked table spacings to get
	the Height label aligned with the entry again.

2004-10-12  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpprogressdialog.c (gimp_progress_dialog_new): set
	the "skip_taskbar_hint" and "skip_pager_hint" properties on the
	progress window.

2004-10-11  Manish Singh  <yosh@gimp.org>

	* plug-ins/fp/fp.c: Moved from here...

	* plug-ins/common/fp.c: ... to here.

	* plug-ins/common/plugin-defs.pl: changed accordingly.

	* plug-ins/common/.cvsignore
	* plug-ins/common/Makefile.am: regenerated.

	* configure.in
	* plug-ins/Makefile.am
	* plug-ins/fp: Removed directory.

2004-10-11  DindinX  <dindinx@gimp.org>

	* plug-ins/common/jigsaw.c: ported to GimpAspectPreview.

2004-10-11  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/flarefx.c: use a GimpSizeEntry for specifying
	the flare center. Fixed flare center dragging. Lots of cleanup.

2004-10-11  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/dialogs-types.h: removed ColorDialog typedef.

2004-10-11  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimptooloptions-gui.[ch]: added utility functions
	which create a GimpViewableButton+GimpContainerEntry combo for
	brushes, patterns, gradients and fonts and a very ugly utility
	function which packs one of these combos into a GtkFrame returned
	by gimp_prop_enum_radio_frame_new(). This stuff does not really
	belong here but is too ugly to be moved to a more general place.

	* app/tools/gimpbucketfilloptions.c
	* app/tools/gimppaintoptions-gui.c
	* app/tools/gimptextoptions.c: use the new utility functions. Moved
	the pattern previews into the radio frame where using the pattern
	is selected. Make them insensitive if using the pattern is not
	selected.

2004-10-11  Sven Neumann  <sven@gimp.org>

	* app/config/gimprc-blurbs.h: tweaked the thumbnail related blurbs.

	* app/dialogs/preferences-dialog.c: group the thumbnail related
	controls together. Could probably still be improved...

2004-10-11  Sven Neumann  <sven@gimp.org>

	* app/actions/documents-commands.c
	(documents_recreate_preview_cmd_callback): when recreating the
	thumbnail, delete old thumbnails and create it in the configured
	thumbnail size instead of the container view preview size.

	* libgimpthumb/gimpthumbnail.c (gimp_thumbnail_update_thumb):
	reset the image info when the thumbnail state changes.

2004-10-11  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpfiledialog.c: construct a case-insensitive glob
	pattern to use when filtering for file extensions.

2004-10-11  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpthumbbox.c (gimp_thumb_box_create_thumbnails):
	user-visible counting starts at 1, not 0.

2004-10-11  Michael Natterer  <mitch@gimp.org>

	* tools/authorsgen/contributors: added missing contributors.
	Thanks to Kevin Cozens for going through ChangeLog and making a list.

	* AUTHORS
	* app/dialogs/authors.h: regenerated.

2004-10-11  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.c: ooops, forgot to disable the debug
	output again.

2004-10-11  Sven Neumann  <sven@gimp.org>

	* app/batch.c: clarified.

2004-10-08  Kevin Cozens  <kcozens@cvs.gimp.org>

	* configure.in: removed duplicate GETTEXT_PACKAGE line.

2004-10-11  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumb-utils.[ch]
	* libgimpthumb/gimpthumb.def: added an API to delete thumbnails.

	* app/widgets/gimpthumbbox.c (gimp_thumb_box_create_thumbnail):
	when recreating a thumbnail on user request, delete all existing
	thumbnails for it.

	* plug-ins/common/AlienMap2.c: removed unused variable.

2004-10-10  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumb-utils.[ch]
	* libgimpthumb/gimpthumb.def
	* libgimpthumb/gimpthumbnail.c: added support for local thumbnails
	as introduced by version 0.7 of the thumbnail spec. Untested, but
	at least the API is there.

2004-10-10  DindinX  <dindinx@gimp.org>

	* plug-ins/common/AlienMap2.c: ported to GimpAspectPreview, and some
	minor cleanups.

2004-10-10  DindinX  <dindinx@gimp.org>

	* plug-ins/common/vpropagate.c: added a preview.

2004-10-10  DindinX  <dindinx@gimp.org>

	* plug-ins/common/flarefx.c
	* plug-ins/common/waves.c: cleanups and ported to GimpAspectPreview.

2004-10-10  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcontainerview.c (gimp_container_view_lookup):
	handle NULL as viewable parameter as a workaround for bug #149906.

	* app/widgets/gimpthumbbox.c (gimp_thumb_box_auto_thumbnail): made
	the code more robust.

	* app/xcf/xcf-private.h
	* app/xcf/xcf.c: added a const qualifier.

2004-10-09  DindinX  <dindinx@gimp.org>

	* app/dialogs/dialogs.h: fixed a typo in the double-inclusion guard.

2004-10-09  Sven Neumann  <sven@gimp.org>

	* AUTHORS
	* app/dialogs/authors.h: regenerated. Someone should look into
	updating the list of contributors for the 2.2 release ...

2004-10-08  Kevin Cozens  <kcozens@cvs.gimp.org>

	* tools/authorsgen/contributors: Added my name to the
	list of contributors.

2004-10-08  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpthumbbox.c: tweaked the text shown while
	updating the preview so that the dialog doesn't need to resize.

2004-10-08  Sven Neumann  <sven@gimp.org>

	* app/config/gimpcoreconfig.[ch]
	* app/config/gimprc-blurbs.h: added new gimprc option
	"thumbnail-filesize-limit" that allows to control the maximum
	filesize for automatic thumbnail creation.

	* app/dialogs/preferences-dialog.c: added a GUI for it, needs
	review.

	* app/core/gimpimagefile.[ch]: minor cleanups. Moved call to
	gimp_thumbnail_peek_image() from gimp_imagefile_save_thumb() to
	 gimp_imagefile_save_thumbnail() to avoid it being called twice.

	* app/file/file-utils.[ch]: export utility function
	file_utils_find_proc_by_extension() that allows to check for a
	file plug-in by looking at the filename extension only.

	* app/widgets/gimpthumbbox.[ch]: automatically create or update
	thumbnails for image files with a known extension that are smaller
	than "thumbnail-filesize-limit".  Fixes bug #137176.

2004-10-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/ripple.c: handle the tile parameter identically
	for preview and final result. Set Edges options insensitive when
	"Retain tileability" is checked. Reported by Olivier.

2004-10-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/apply_lens.c (lens_dialog): invalidate the
	preview when the toggle buttons are used. Reported by Olivier.

	* app/widgets/gimpview.c: minor cleanup.

2004-10-08  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpmeasuretool.c: implement GimpTool::key_press() and
	cancel the tool on GDK_Escape. Come cleanup.

2004-10-08  Michael Natterer  <mitch@gimp.org>

	Made the text options about two toolbox grid columns smaller.
	Addresses bug #122862.

	* app/widgets/gimppropwidgets.c (gimp_prop_size_entry_new): use
	the number of digits of the property's max_val plus two as number
	of chars for the sizeentry'y spinbutton (instead of always 10 as
	before).

	* app/tools/gimptextoptions.c (gimp_text_options_gui): GtkEntry
	has a minimal width of 150 pixels (eek). Set a silly small minimal
	width instead (the entry expands to the available width anyway).

2004-10-08  Sven Neumann  <sven@gimp.org>

	* app/file/file-utils.c: added lots of const qualifiers.

2004-10-08  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimppaintoptions-gui.c: the gradient button in blend
	options got lost, added it back. Also moved creation of the brush,
	pattern and gradient buttons to utility functions and cleaned up
	the whole file a bit.

2004-10-08  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell.c (gimp_display_shell_real_scaled)
	(gimp_display_shell_flush)
	* app/gui/gui-vtable.c (gui_display_create): always pass a
	GimpDisplay, not a GimpDisplayShell as "data" to
	gimp_ui_manager_update().

	* app/actions/actions.c (action_data_get_*): removed checks if the
	passed data is a GimpDisplayShell and temporarily added g_assert()
	to be sure. The assertions will be removed before 2.2.

2004-10-07  Sven Neumann  <sven@gimp.org>

	* libgimpthumb/gimpthumbnail.c: added some (disabled) debug output.

	* app/widgets/gimpviewrenderer-frame.[ch]: added a way to retrieve
	the size of the frame borders.

	* app/widgets/gimpthumbbox.c: don't set an arbitrary padding but
	exactly the size of the frame borders. Otherwise we get large
	thumbnails (scaled down) if we request normal sized ones.

2004-10-07  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/scripts/selection-round.scm: Changed deprecated
	constant ADD to CHANNEL-OP-ADD.

2004-10-07  Michael Natterer  <mitch@gimp.org>

	Merged the gz and bz2 plug-ins into one generic compression
	handler that can be extended by adding entries to a table of
	compressor definitions:

	* configure.in: removed bz2 special casing for win32.

	* plug-ins/common/bz2.c
	* plug-ins/common/gz.c: removed.

	* plug-ins/common/compressor.c: new plug-in.

	* plug-ins/common/plugin-defs.pl: changed accordingly.

	* plug-ins/common/.cvsignore
	* plug-ins/common/Makefile.am: regenerated.

2004-10-07  Simon Budig  <simon@gimp.org>

	* app/actions/view-commands.c: fill in the formula...  :-)
	untabbified.

	* app/display/gimpdisplayshell-scale.c: Micro-Cleanup, untabbified.

2004-10-07  Michael Natterer  <mitch@gimp.org>

	* app/actions/view-actions.c: changed zoom actions to be
	GimpEnumActions using the GimpActionSelectType enum. Enables
	keyboard shortcuts for useless stuff like "zoom out a lot", and
	makes them better accessible for external controllers.

	* app/actions/view-commands.[ch]: renamed view_zoom_cmd_callback()
	to view_zoom_explicit_cmd_callback(), removed the zoom_in and
	zoom_out callbacks and added a new view_zoom_cmd_callback() for
	the new GimpActionSelectType-based actions. The implementation of
	the new zoom types is questionable but now there is a place where
	nomis can fill in nice formulas...

2004-10-06  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpeditselectiontool.[ch]: added new parameter
	"gboolean propagate_release" to gimp_edit_slection_tool_start()
	and remember it in the GimpEditSelectionTool struct. If requested,
	propagate GimpTool::button_release() to the tool below in the tool
	stack.

	* app/tools/gimpselectiontool.c (gimp_selection_tool_start_edit):
	pass FALSE so we don't get the button_release().

	* app/tools/gimpmovetool.[ch]: pass TRUE so we get
	button_release(). If moving a layer or path in "pick active" mode,
	remember the old active layer/path and switch back to it in
	button_release(). Fixes bug #97734.

	Unrelated:

	* app/tools/gimpeditselectiontool.c
	(gimp_edit_selection_tool_motion): set "first_move" to FALSE only
	if a move actually happened. Fixes un-undoable moves at high zoom
	factors.

2004-10-06  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdnd.c (gimp_dnd_data_drag_begin): remember for
	which GdkDragContext the icon_widget was made.

	(gimp_dnd_data_drag_end): destroy the icon_widget only if it was
	created for this GdkDragContext. Fixes broken DND icon_widgets
	when dragging the same source again while the old icon_widget is
	still floating back from an unsuccessful drop. Fixes bug #139337.

2004-10-05  Manish Singh  <yosh@gimp.org>

	* tools/pdbgen/lib.pl: Slight cleanup of doc generating code.

2004-10-06  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/lib.pl: for deprecated procedures, create a gtk-doc
	comment that contains a link to the replacement procedure and
	doesn't contain redundant information.

	* tools/pdbgen/pdb/text_tool.pdb: fixed names of replacement
	procedures.

	* libgimp/gimpbrushes.c
	* libgimp/gimpgradients.c
	* libgimp/gimppalettes.c
	* libgimp/gimppatterns.c: made the handwritten gtk-doc comments of
	deprecated procedures look like the generated ones.

	* app/pdb/text_tool_cmds.c
	* libgimp/gimpbrushes_pdb.c
	* libgimp/gimpgradients_pdb.c
	* libgimp/gimppalettes_pdb.c
	* libgimp/gimppatterns_pdb.c
	* libgimp/gimptexttool_pdb.c: regenerated.

2004-10-06  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimp-tools.c (gimp_tools_restore): reset the tool
	options before deserializing so they have the correct default
	values. Fixes bug #120832.

	* app/tools/gimpbucketfilloptions.c
	* app/tools/gimpmagnifyoptions.c
	* app/tools/gimpselectionoptions.c
	* app/tools/gimptransformoptions.c: removed all set_defaults()
	utility functions and moved their code to reset(). The change
	above calls them automatically so there is no need to call them
	from the GUI constructors any more.

2004-10-06  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scripts/selection-round.scm: use a
	scale_entry instead of a spinbutton, changed mnemonic from "R" to
	"E", indentation.

	* plug-ins/script-fu/scripts/test-sphere.scm: s/SF_BRUSH/SF-BRUSH/
	in a comment.

2004-10-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/selection-round.scm: applied patch by
	Alan Horkan that improves usability and usefulness of this script.
	Did some code cleanup and added the old procedure for backward
	compatibility. Fixes bug #145147.

	* menus/image-menu.xml.in: renamed placeholder in Image->Select
	from "Outline" to "Modify".

2004-10-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/postscript.c (ps_open): tweaked error message.

2004-10-06  Michael Natterer  <mitch@gimp.org>

	* app/pdb/procedural_db.h (struct ProcRecord): changed new member
	"deprecated" from "gboolean" to a "gchar*" which holds the name of
	the replacement procedure.

	* tools/pdbgen/app.pl: changed accordingly.

	* app/plug-in/plug-in-message.c (plug_in_handle_proc_run): show
	the name of the replacement procedure in the warning message.

	* tools/pdbgen/stddefs.pdb: added utility function
	std_pdb_deprecated() which takes the name of the replacement
	procedure and fills the blurb, help, author, copyright, date and
	deprecated fields of the procedure definition.

	* tools/pdbgen/pdb/brushes.pdb
	* tools/pdbgen/pdb/gradients.pdb
	* tools/pdbgen/pdb/image.pdb
	* tools/pdbgen/pdb/palettes.pdb
	* tools/pdbgen/pdb/patterns.pdb
	* tools/pdbgen/pdb/text_tool.pdb: use it instead of duplicating
	the same code and strings for all deprecated procedures.

	* app/pdb/*_cmds.c
	* libgimp/gimppatterns_pdb.c
	* libgimp/gimptexttool_pdb.c: regenerated.

2004-10-06  Michael Natterer  <mitch@gimp.org>

	Fixed the scale constraints radio buttons:

	* app/tools/gimptransformoptions.c (gimp_transform_options_gui):
	initialize the radio group with the correct value instead of
	resetting the model before creating the group.

	(gimp_scale_options_constrain_callback): change the model
	only if the radio button became active.

	(gimp_scale_options_constrain_notify): new callback which makes
	the radio buttons a real view on the model again (fixes GUI
	updates on modifier press/release).

2004-10-06  Sven Neumann  <sven@gimp.org>

	* app/actions/plug-in-actions.c (plug_in_actions_update): an image
	doesn't necessarily have a drawable. Handle the case when it doesn't.

2004-10-06  Sven Neumann  <sven@gimp.org>

	* app/app_procs.[ch]
	* app/batch.[ch]
	* app/main.c: added new command-line option "--batch-interpreter"
	that allows to specify the procedure to use to process batch
	commands. Removed the perl-server hack but kept Script-Fu as the
	default for backward compatibility.

	* docs/gimp.1.in: documented the new option.

2004-10-06  Michael Natterer  <mitch@gimp.org>

	* app/actions/file-commands.c (file_revert_confirm_callback):
	removed the code which sets the new image on all contexts where
	the old image was set...

	* app/display/gimpdisplay-foreach.c (gimp_displays_reconnect):
	...and added it here so it happens for all calls of this function,
	also from the PDB. Fixes bug #154638.

2004-10-06  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.def: updated.

2004-10-06  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/brush.pdb: return the mask's bpp and the
	brush's pixmap data if it has one.

	* tools/pdbgen/pdb/pattern.pdb: cleaned up.

	* tools/pdbgen/pdb/image.pdb: added $deprecated = 1 to deprecated
	functions even if they are not exported to libgimp any more.

	* app/pdb/procedural_db.h (struct ProcRecord): added member
	"gboolean deprecated".

	* tools/pdbgen/app.pl
	* app/xcf/xcf.c: fill it accordingly.

	* app/plug-in/plug-in-message.c (plug_in_handle_proc_run): warn
	not only for deprecated procedured which are in the compat hach
	table, but also for procedures with deprecated flag set to TRUE.

	* app/pdb/*_cmds.c
	* libgimp/gimpbrush_pdb.[ch]
	* libgimp/gimppattern_pdb.[ch]: regenerated.

	* libgimp/gimpbrushmenu.c
	* plug-ins/gfig/gfig-style.c: changed accordingly.

2004-10-05  Manish Singh  <yosh@gimp.org>

	* tools/pdbgen/lib.pl: Fix array return value generation when there
	are more args after it.

2004-10-06  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version number to 2.1.7.

2004-10-06  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/lib.pl: put subsequent deprecated prototypes into
	a single #ifndef ... #endif pair.

	* libgimp/gimpbrushes_pdb.h
	* libgimp/gimpgradients_pdb.h
	* libgimp/gimppalettes_pdb.h
	* libgimp/gimppatterns_pdb.h
	* libgimp/gimptexttool_pdb.h: regenerated.

2004-10-06  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimage.[ch]: store the time when the image is first
	dirtied.

	* app/display/gimpdisplayshell-close.c: tell the user what time
	period of changes will be lost when the image is not saved.

2004-10-06  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/brushes.pdb (brushes_get_brush_data)
	* tools/pdbgen/pdb/gradients.pdb (gradients_sample_uniform)
	(gradients_sample_custom) (gradients_get_gradient_data)
	* tools/pdbgen/pdb/patterns.pdb (patterns_get_pattern_data):
	deprecated.

	* tools/pdbgen/pdb/brush.pdb
	* tools/pdbgen/pdb/gradient.pdb
	* tools/pdbgen/pdb/palette.pdb
	* tools/pdbgen/pdb/pattern.pdb: added replacements for the
	deprecated functions. Removed the silly feature that passing NULL
	as name operates on the current brush, pattern etc.

	* app/pdb/brush_cmds.c
	* app/pdb/brushes_cmds.c
	* app/pdb/gradient_cmds.c
	* app/pdb/gradients_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/palette_cmds.c
	* app/pdb/pattern_cmds.c
	* app/pdb/patterns_cmds.c
	* libgimp/gimpbrush_pdb.[ch]
	* libgimp/gimpbrushes_pdb.[ch]
	* libgimp/gimpgradient_pdb.[ch]
	* libgimp/gimpgradients_pdb.[ch]
	* libgimp/gimppalette_pdb.c
	* libgimp/gimppattern_pdb.[ch]
	* libgimp/gimppatterns_pdb.[ch]: regenerated.

	* libgimp/gimpbrushmenu.c
	* libgimp/gimpgradientmenu.c
	* libgimp/gimppatternmenu.c
	* plug-ins/FractalExplorer/Dialogs.c
	* plug-ins/common/gradmap.c
	* plug-ins/common/sample_colorize.c
	* plug-ins/flame/flame.c
	* plug-ins/gfig/gfig-style.c
	* plug-ins/gflare/gflare.c
	* plug-ins/pagecurl/pagecurl.c
	* plug-ins/script-fu/scripts/spyrogimp.scm: changed accordingly.

2004-10-06  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/spheredesigner.c: improved the dialog a bit,
	needs more work.

2004-10-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/addborder.scm: simple change to make
	the script work on all image types, not only RGB.

2004-10-05  Sven Neumann  <sven@gimp.org>

	* Made 2.1.6 release.

2004-10-05  Sven Neumann  <sven@gimp.org>

	* plug-ins/helpbrowser/dialog.c: added a close button. Launch the
	browser with the HTML focused.

2004-10-05  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpwidgets.c (gimp_table_attach_aligned):
	left-justify the label.

	* libgimpwidgets/gimpdialog.c: if a button with GTK_RESPONSE_HELP
	is being added, hide the automatically added help button.

	* plug-ins/script-fu/script-fu-interface.c: five buttons are too
	much for the action area. Renamed the About button to Help and
	resurrected the help button in the about dialog as a way to get to
	the actual help pages (pressing F1 will get you there as well).

2004-10-05  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpfiledialog.c: added a help button.

2004-10-05  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/siod-wrapper.c (marshall_proc_db_call):
	- check the number of elements of array parameters against
	  the actually passed array and spit a proper error message
	  instead of trashing the wire. Fixes bug #154266.
	- g_strdup()/g_free() the proc_name so it doesn't get mungled
	  by convert_string().
	- added missing implementation of INT16ARRAY return values.
	- cleaned up STRINGARRAY value implementations to work like
	  all other array values.

2004-10-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c (script_fu_reset):
	fixed reset for SF_TEXT values.

2004-10-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c (script_fu_interface):
	oops, didn't meant to remove that line.

2004-10-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/Makefile.am (imagemap_SOURCES): removed pix-data.h.

2004-10-04  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpdrawablepreview.c (gimp_drawable_preview_draw_area):
	take drawable offsets into account when masking the preview with
	the selection mask.

2004-10-04  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/gimprc.pdb (gimprc_query, gimprc_set): disallow
	the empty string as token. Spotted by Kevin Cozens.

	* app/pdb/gimprc_cmds.c: regenerated.

2004-10-04  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpaspectpreview.c (gimp_aspect_preview_draw_buffer):
	no need to set bpp before calling gimp_drawable_get_thumbnail_data().

2004-10-04  DindinX  <dindinx@gimp.org>

	* libgimp/gimpaspectpreview.c: (gimp_aspect_preview_draw_buffer):
	only apply the effect inside the current selection. This, together
	with my previous commit fixes bug #132194.

2004-10-04  DindinX  <dindinx@gimp.org>

	* plug-ins/common/channel_mixer.c: Ported to GimpAspectPreview. This
	addresses but not totally fixes bug #132194.

2004-10-04  Sven Neumann  <sven@gimp.org>

	* app/config/gimpguiconfig.[ch]
	* app/config/gimprc-blurbs.h: added gimprc option "show-help-button".

	* app/dialogs/preferences-dialog.c: added a GUI for it.

	* app/dialogs/file-save-dialog.c
	* app/dialogs/image-new-dialog.c
	* app/dialogs/quit-dialog.c
	* app/display/gimpdisplayshell-close.c
	* app/widgets/gimphelp-ids.h: don't set help-ids on confirmation
	dialogs.

	* libgimpbase/gimpprotocol.[ch]
	* libgimp/gimp.[ch]: added boolean "show_help_button" to the
	config message.

	* app/plug-in/plug-in-run.c: pass the new preference to the plug-in.

	* libgimpwidgets/gimpdialog.[ch]: added new function that allows to
	set whether new dialogs should get a help button added.

	* app/gui/gui.c
	* libgimp/gimpui.c: call gimp_dialogs_show_help_button() according
	to the gimprc settings.

2004-10-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c (script_fu_about): set 
	the help_func again (but not the help_id).

2004-10-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c (script_fu_about):
	enabled line wrapping on labels.
	(script_fu_interface): substitute underscores by hyphens to
	generate the help-id from the procedure name.

2004-10-04  Michael Natterer  <mitch@gimp.org>

	* libgimpbase/gimpwire.c: added assertions to make sure "count" is
	always >= 0. Turns the crash described in bug #154266 into a
	warning plus corrupted wire state :) Real fix (in script-fu) will
	follow. Untabified.

2004-10-04  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimphelpui.c: untabified.

	(gimp_help_callback): use GIMP_HELP_ID instead of "gimp-help-id".

2004-10-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c (script_fu_interface):
	set a minimum width for the color button again.
	(script_fu_about): don't set help_func and help_id on the about
	dialog.

2004-10-04  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/brush.pdb
	* tools/pdbgen/pdb/gradient.pdb
	* tools/pdbgen/pdb/palette.pdb: disallow the empty string for
	new brushes, gradients and palettes and check the return value
	of gimp_data_factory_data_new(). Cleanup.

	* app/core/gimpbrushgenerated.c (gimp_brush_generated_new)
	* app/core/gimpgradient.c (gimp_gradient_new)
	* app/core/gimpdatafactory.c (gimp_data_factory_data_new): same
	here. Fixes bug #154264.

	* app/core/gimpdata.[ch] (gimp_data_set_filename): added boolean
	"deletable" parameter because it's not derivable from "writable".

	* app/core/gimpdatafactory.c (gimp_data_factory_load_data): need
	to figure "deletable" separately from "writable" to be able to
	delete unsavable stuff in the user-writable data directories.
	Fixes bug #154410.

	(gimp_data_factory_data_save_single): cleaned up.

	* app/pdb/brush_cmds.c
	* app/pdb/gradient_cmds.c
	* app/pdb/palette_cmds.c
	* libgimp/gimpbrush_pdb.c
	* libgimp/gimpgradient_pdb.c
	* libgimp/gimppalette_pdb.c: regenerated.

2004-10-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/asc2img.scm: a cleaned up version of
	the script contributed by Kevin Cozens (see bug #153900).
	
	* plug-ins/script-fu/scripts/predator.scm: applied patch by Kevin
	Cozens that fixes use of the script on original layer (bug #152678).

2004-10-04  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/3d-outline.scm
	* plug-ins/script-fu/scripts/blended-logo.scm
	* plug-ins/script-fu/scripts/camo.scm
	* plug-ins/script-fu/scripts/clothify.scm
	* plug-ins/script-fu/scripts/flatland.scm
	* plug-ins/script-fu/scripts/glossy.scm
	* plug-ins/script-fu/scripts/land.scm
	* plug-ins/script-fu/scripts/predator.scm
	* plug-ins/script-fu/scripts/rendermap.scm
	* plug-ins/script-fu/scripts/ripply-anim.scm
	* plug-ins/script-fu/scripts/speed-text.scm
	* plug-ins/script-fu/scripts/spinning-globe.scm: applied patches
	from Kevin Cozens that define variables before first use (bug
	#153900).

2004-10-04  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpgradientmenu.c: handle allocation > requisition for
	the gradient preview.

	* plug-ins/script-fu/script-fu-interface.c: added a horizontal
	size group for the left-aligned controls.

2004-10-03  DindinX  <dindinx@gimp.org>

	* plug-ins/common/destripe.c: ported to GimpDrawablePreview.

2004-10-03  DindinX  <dindinx@gimp.org>

	* plug-ins/common/nova.c: ported to GimpAspectPreview.

2004-10-03  DindinX  <dindinx@gimp.org>

	* plug-ins/common/max_rgb.c: ported to GimpAspectPreview.

2004-10-03  Michael Schumacher <schumaml@gmx.de>

	* plug-ins/dbbrowser/Makefile.am
	* plug-ins/script-fu/Makefile.am: moved the libgimpprocbrowser to
	the beginning of LDADD
	
2004-10-03  DindinX  <dindinx@gimp.org>

	* libgimp/gimpaspectpreview.c: limit the size of the preview to 512
	pixels.  This prevents plug-ins using gimp_drawable_get_thumbnail_data
	to crash.

2004-10-03  DindinX  <dindinx@gimp.org>

	* plug-ins/common/emboss.c: ported to GimpAspectPreview and made some
	cleanups so this plug-in now use the same naming scheme as other
	plug-ins do.

2004-10-03  DindinX  <dindinx@gimp.org>

	* plug-ins/common/whirlpinch.c: ported to GimpAspectPreview.

2004-10-03  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/color.pdb: export the Colorize tool to the PDB.
	Fixes bug #154368.

	* app/pdb/color_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpcolor_pdb.[ch]: regenerated.

2004-10-03  DindinX  <dindinx@gimp.org>

	* plug-ins/common/blinds.c: use a GimpAspectPreview to make the
	preview resizable.

2004-10-03  DindinX  <dindinx@gimp.org>

	* plug-ins/common/ripple.c: Added a preview.

2004-10-02  DindinX  <dindinx@gimp.org>

	* plug-ins/common/polar.c: use a GimpAspectPreview.

2004-10-02  DindinX  <dindinx@gimp.org>

	* plug-ins/common/mapcolor.c: use a GimpAspectPreview and made the
	code much simpler.

2004-10-02  DindinX  <dindinx@gimp.org>

	* plug-ins/common/illusion.c: use a GimpAspectPreview so the preview
	is now resizable.

2004-10-02  DindinX  <dindinx@gimp.org>

	* plug-ins/common/apply_lens.c: added a preview.  This plug-in still
	need some work.

2004-10-01  Michael Natterer  <mitch@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_tool_events): dispatch GDK_Escape to
	GimpTool::key_press().

	* app/tools/gimpcroptool.c (gimp_crop_tool_key_press)
	* app/tools/gimpimagemaptool.c (gimp_image_map_tool_key_press):
	* app/tools/gimptransformtool.c (gimp_transform_tool_key_press):
	cancel the tool on <Escape>.

2004-10-01  Sven Neumann  <sven@gimp.org>

	* plug-ins/dbbrowser/plugin-browser.c: it's Plug-In, not Plugin.

2004-10-01  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcroptool.c (crop_response): destroy the info
	dialog instead of hiding it. Fixes session management.

2004-10-01  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcroptool.c: unset the highlight from
	crop_response() so it gets called when cropping is cancelled.

	* app/dialogs/info-dialog.c (info_dialog_show): do what the
	function name says, show the window, but don't present it.
	Fixes bugs #128833 and #138816.

2004-10-01  Sven Neumann  <sven@gimp.org>

	* themes/Default/images/stock-frame-64.png: replaced the obtrusive
	drop-shadow by a thin white frame with a subtle shadow. Taken from
	a mockup done by Jimmac.

	* app/widgets/gimpviewrenderer-frame.c: changed the hardcoded
	offsets for the new frame image :(

2004-10-01  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-callbacks.c: no need to include
	gimpdisplayshell-render.h here.

	* app/display/gimpdisplayshell-draw.c
	* app/display/gimpdisplayshell-render.[ch]

	* app/display/gimpdisplayshell.[ch]: added an API to highlight a
	rectangle (specified in image coordinates). Actually it doesn't
	highlight but dims the area outside the rectangle.

	* app/tools/gimpcroptool.c: use the new functionality to show the
	area to be cropped. Fixes bug #93360.

2004-09-30  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/script-fu-types.h (struct SFScript): renamed
	member "decription" to "menu_path".

	* plug-ins/script-fu/script-fu-interface.c: changed accordingly.

	* plug-ins/script-fu/script-fu-scripts.c: ditto. Don't pass the
	menu_path as "blurb" to gimp_install_temp_proc(). Instead,
	pass "help" as "blurb" and nothing as "help".

	* plug-ins/script-fu/scripts/test-sphere.scm: shortened overly
	long and useless help text.

2004-09-30  Michael Natterer  <mitch@gimp.org>

	* plug-ins/dbbrowser/gimpprocbox.c: don't include
	"libgimp/stdplugins-intl.h".

	* plug-ins/dbbrowser/gimpprocbrowser.c
	* plug-ins/dbbrowser/plugin-browser.c: use gimp_destroy_paramdefs()
	so we don't leak all param names and descriptions.

	* plug-ins/dbbrowser/gimpprocview.c: don't show empty rows or
	redundant information (help == blurb for deprecated procedures).

2004-09-30  Michael Natterer  <mitch@gimp.org>

	* plug-ins/dbbrowser/Makefile.am
	* plug-ins/dbbrowser/gimpprocbox.c: new files holding more common
	code from the two browsers.

	* plug-ins/dbbrowser/gimpprocbrowser.c: use it.

	* plug-ins/dbbrowser/plugin-browser.c: ditto. Re-enabled sorting
	by all columns in both views. More cleanup.

2004-09-30  Sven Neumann  <sven@gimp.org>

	* README: added missing linebreak.

	* plug-ins/imagemap/imap_about.c (do_about_dialog): should not
	mark email address for translation.

2004-09-30  Daniel Egger  <degger@fhm.edu>

	* README: Applied proofreading patch from Jonathan Levi
	<drjlevi@netonecom.net>.

2004-09-30  Michael Natterer  <mitch@gimp.org>

	Cleaned up the DB Browser and Plugin Details code and GUI.  It's
	not perfect yet but at least they don't look like crap any more.
	Fixes bug #131490.

	* plug-ins/common/plugin-defs.pl
	* plug-ins/common/plugindetails.c: removed this plugin.

	* plug-ins/common/.cvsignore
	* plug-ins/common/Makefile.am: regenerated.

	* plug-ins/dbbrowser/Makefile.am
	* plug-ins/dbbrowser/dbbrowser.c
	* plug-ins/dbbrowser/dbbrowser_utils.[ch]: removed these files.

	* plug-ins/dbbrowser/gimpprocbrowser.[ch]
	* plug-ins/dbbrowser/gimpprocview.[ch]: new cleaned up files.

	* plug-ins/dbbrowser/plugin-browser.c: the former plugindetails.
	* plug-ins/dbbrowser/procedure-browser.c: the former dbbrowser.

	* plug-ins/script-fu/Makefile.am: link against the new library
	libgimpprocbrowser.a

	* plug-ins/script-fu/script-fu-console.c: changed #includes
	accordingly. Minor cleanup.

	* tools/pdbgen/pdb/plug_in.pdb (plugins_query): fixed menu_path
	return value. Was broken since the plug-in menu registering
	changes.

	* app/pdb/plug_in_cmds.c: regenerated.

2004-09-30  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphelp.c (gimp_help_get_locales): fixed brokeness
	I introduced with my last cleanup.

2004-09-29  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/plug-ins/gimpfu.py: applied slightly tweaked patch
	from Joao S. O. Bueno, which adds a mutliline text field (PF_TEXT) and
	untabbifies things. Closes bug #153921.

	* plug-ins/pygimp/plug-ins/gimpplugin.py
	* plug-ins/pygimp/plug-ins/gimpshelf.py
	* plug-ins/pygimp/plug-ins/gimpui.py: Untabbify.

2004-09-29  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/plug-ins/gtkcons.py: minor tweak to history
	behavior.

	* plug-ins/pygimp/plug-ins/clothify.py
	* plug-ins/pygimp/plug-ins/foggify.py
	* plug-ins/pygimp/plug-ins/gimpcons.py
	* plug-ins/pygimp/plug-ins/gtkcons.py
	* plug-ins/pygimp/plug-ins/pdbbrowse.py
	* plug-ins/pygimp/plug-ins/shadow_bevel.py
	* plug-ins/pygimp/plug-ins/sphere.py
	* plug-ins/pygimp/plug-ins/whirlpinch.py: Untabbify.

2004-09-29  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpcropoptions.c (gimp_crop_options_gui): plugged a
	tiny memleak spotted by Olivier.

2004-09-29  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppreview.[ch]
	* libgimpwidgets/gimpwidgets.def: added gimp_preview_draw_buffer().

	* libgimp/gimpaspectpreview.[ch]
	* libgimp/gimpdrawablepreview.[ch]
	* libgimp/gimpui.def: removed the public draw_buffer API.
	Implement the virtual GimpPreview::draw_buffer method instead.

	* plug-ins/common/cartoon.c
	* plug-ins/common/deinterlace.c
	* plug-ins/common/despeckle.c
	* plug-ins/common/dog.c
	* plug-ins/common/edge.c
	* plug-ins/common/engrave.c
	* plug-ins/common/exchange.c
	* plug-ins/common/gauss.c
	* plug-ins/common/grid.c
	* plug-ins/common/neon.c
	* plug-ins/common/noisify.c
	* plug-ins/common/oilify.c
	* plug-ins/common/photocopy.c
	* plug-ins/common/plasma.c
	* plug-ins/common/sel_gauss.c
	* plug-ins/common/sharpen.c
	* plug-ins/common/shift.c
	* plug-ins/common/snoise.c
	* plug-ins/common/sobel.c
	* plug-ins/common/spread.c
	* plug-ins/common/struc.c: changed accordingly. Don't pass the
	preview around as GimpDrawablePreview or GimpAspectPreview. It
	should whenever possible be accessed as GimpPreview.

2004-09-29  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppreview.[ch]
	* libgimpwidgets/gimpscrolledpreview.[ch]
	* libgimpwidgets/gimpwidgets.def: moved the offsets and the
	draw_thumb method back to the GimpPreview class.

	* libgimp/gimpdrawablepreview.c: changed accordingly.

	* plug-ins/common/bumpmap.c
	* plug-ins/common/cartoon.c
	* plug-ins/common/deinterlace.c
	* plug-ins/common/despeckle.c
	* plug-ins/common/dog.c
	* plug-ins/common/edge.c
	* plug-ins/common/engrave.c
	* plug-ins/common/exchange.c
	* plug-ins/common/gauss.c
	* plug-ins/common/grid.c
	* plug-ins/common/mblur.c
	* plug-ins/common/neon.c
	* plug-ins/common/noisify.c
	* plug-ins/common/oilify.c
	* plug-ins/common/photocopy.c
	* plug-ins/common/sel_gauss.c
	* plug-ins/common/sharpen.c
	* plug-ins/common/shift.c
	* plug-ins/common/sobel.c
	* plug-ins/common/softglow.c
	* plug-ins/common/spread.c
	* plug-ins/common/struc.c
	* plug-ins/common/unsharp.c
	* plug-ins/common/wind.c: back to using gimp_preview_get_position().

	* libgimp/gimpregioniterator.c (gimp_rgn_iterator_new): corrected
	gtk-doc comment.

2004-09-29  DindinX  <dindinx@gimp.org>

	* plug-ins/common/snoise.c: Use a GimpAspectPreview here, so the
	preview is resizable.

2004-09-29  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpui.def
	* libgimpwidgets/gimpwidgets.def: updated.

2004-09-29  DindinX  <dindinx@gimp.org>

	* libgimpwidgets/gimppreview.c
	* libgimpwidgets/gimppreview.h: split this widget into itself (more
	abstract now) and ...

	* libgimpwidgets/gimpscrolledpreview.c
	* libgimpwidgets/gimpscrolledpreview.h: this widget which also have
	some scrollbars and a nagivation preview.

	* libgimpwidgets/Makefile.am
	* libgimpwidgets/gimpwidgetstypes.h: changed accordingly.

	* libgimp/gimpaspectpreview.c
	* libgimp/gimpaspectpreview.h: Added this widget, derived from
	GimpPreview, which has always the same ratio has the given drawable.
	This widget has almost the same api as GimpDrawablePreview, and is
	useful for plug-ins that show the whole (scaled) drawable in their
	preview.

	* libgimp/gimpdrawablepreview.c
	* libgimp/gimpdrawablepreview.h: GimpDrawablePreview is now derived
	from GimpScrolledPreview.

	* libgimp/Makefile.am
	* libgimp/gimpui.h
	* libgimp/gimpuitypes.h: changed accordingly.

	* plug-ins/common/plasma.c: use a GimpAspectPreview.

	* plug-ins/common/bumpmap.c
	* plug-ins/common/cartoon.c
	* plug-ins/common/deinterlace.c
	* plug-ins/common/despeckle.c
	* plug-ins/common/dog.c
	* plug-ins/common/edge.c
	* plug-ins/common/engrave.c
	* plug-ins/common/exchange.c
	* plug-ins/common/gauss.c
	* plug-ins/common/grid.c
	* plug-ins/common/mblur.c
	* plug-ins/common/neon.c
	* plug-ins/common/noisify.c
	* plug-ins/common/oilify.c
	* plug-ins/common/photocopy.c
	* plug-ins/common/sel_gauss.c
	* plug-ins/common/sharpen.c
	* plug-ins/common/shift.c
	* plug-ins/common/sobel.c
	* plug-ins/common/softglow.c
	* plug-ins/common/spread.c
	* plug-ins/common/struc.c
	* plug-ins/common/unsharp.c
	* plug-ins/common/wind.c: use gimp_scrolled_preview_get_position
	instead of gimp_preview_get_position.

2004-09-29  Michael Natterer  <mitch@gimp.org>

	* libgimp/gimpregioniterator.[ch]: renamed the "run_mode"
	parameters to "unused" and remode the rum_mode member from the
	private GimpRgbIterator struct.

	* plug-ins/common/AlienMap2.c
	* plug-ins/common/autostretch_hsv.c
	* plug-ins/common/c_astretch.c
	* plug-ins/common/color_enhance.c
	* plug-ins/common/colorify.c
	* plug-ins/common/colortoalpha.c
	* plug-ins/common/gradmap.c
	* plug-ins/common/mapcolor.c
	* plug-ins/common/max_rgb.c
	* plug-ins/common/noisify.c
	* plug-ins/common/normalize.c
	* plug-ins/common/sample_colorize.c
	* plug-ins/common/scatter_hsv.c
	* plug-ins/common/semiflatten.c
	* plug-ins/common/threshold_alpha.c
	* plug-ins/common/vinvert.c
	* plug-ins/fp/fp.c: made "run_mode" a private variable of run()
	and pass 0 to gimp_rgn_iterate*(). Minor cleanups.

2004-09-29  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.def
	* libgimp/gimpui.def
	* libgimpwidgets/gimpwidgets.def: updated.

2004-09-29  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/Makefile.am
	* tools/pdbgen/groups.pl: renamed group "gradient_edit" to
	"gradient" and added "brush", "palette" and "pattern" groups.

	* tools/pdbgen/pdb/gradient_edit.pdb: removed.

	* tools/pdbgen/pdb/brush.pdb
	* tools/pdbgen/pdb/gradient.pdb
	* tools/pdbgen/pdb/palette.pdb
	* tools/pdbgen/pdb/pattern.pdb: new files containing functions
	which create, duplicate, rename, delete, query and manipulate
	a single brush, pattern etc.

	* tools/pdbgen/pdb/brushes.pdb
	* tools/pdbgen/pdb/gradients.pdb
	* tools/pdbgen/pdb/palettes.pdb
	* tools/pdbgen/pdb/patterns.pdb: deprecated stuff that is obsolete
	now and simply removed the procedures that were added after 2.0.

	* app/pdb/gradient_edit_cmds.c
	* libgimp/gimpgradientedit_pdb.[ch]: removed.

	* app/pdb/brush_cmds.c
	* app/pdb/gradient_cmds.c
	* app/pdb/palette_cmds.c
	* app/pdb/pattern_cmds.c
	* libgimp/gimpbrush_pdb.[ch]
	* libgimp/gimpgradient_pdb.[ch]
	* libgimp/gimppalette_pdb.[ch]
	* libgimp/gimppattern_pdb.[ch]: new files.

	* app/pdb/brushes_cmds.c
	* app/pdb/gradients_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/palettes_cmds.c
	* app/pdb/patterns_cmds.c
	* libgimp/gimp_pdb.h
	* libgimp/gimpbrushes_pdb.[ch]
	* libgimp/gimpgradients_pdb.[ch]
	* libgimp/gimppalettes_pdb.[ch]
	* libgimp/gimppatterns_pdb.[ch]: regenerated.

	* app/pdb/Makefile.am
	* libgimp/Makefile.am
	* plug-ins/gfig/gfig-style.c: changed accordingly.

2004-09-28  Sven Neumann  <sven@gimp.org>

	* app/file/gimprecentlist.c (gimp_recent_list_write): don't write
	empty groups.

	* app/file/gimprecentlist.c: disabled the code for the win32
	platform. It doesn't make much sense there anyway. If someone
	wants to contribute a win32 specific implementation, we'd welcome
	that. A Mac OS X implementation would be nice to have as well.

2004-09-28  Sven Neumann  <sven@gimp.org>

	* etc/ps-menurc: updated for GIMP 2.1 by Eric Pierce.

2004-09-28  Maurits Rijk  <m.rijk@chello.nl>

	* plug-ins/imagemap/imap_circle.c: 
	* plug-ins/imagemap/imap_cmd_gimp_guides.c
	* plug-ins/imagemap/imap_edit_area_info.c
	* plug-ins/imagemap/imap_grid.c
	* plug-ins/imagemap/imap_polygon.c 
	* plug-ins/imagemap/imap_rectangle.c
	* plug-ins/imagemap/imap_settings.c: first set of changes to make
	imagemap fully HIG compliant. More to come.

2004-09-28  Sven Neumann  <sven@gimp.org>

	* app/file/gimprecentlist.c: seek to the start of the file before
	calling lockf().

2004-09-28  Maurits Rijk  <m.rijk@chello.nl>

	* plug-ins/common/borderaverage.c: added size entry. Fixes #143156
	(Use size entry widget in Borderaverage plug-in)

2004-09-28  Sven Neumann  <sven@gimp.org>

	* docs/gimp.1.in: updated name of the splash image.

2004-09-28  Michael Natterer  <mitch@gimp.org>

	* app/core/gimppalette.c: code review / cleanup.

	(gimp_palette_delete_entry): don't add "Black" when the last color
	gets removed, a palette can easily live with zero colors.

	* app/widgets/gimppaletteeditor.c
	(palette_editor_invalidate_preview): also update the entry which
	shows the palette_entry's name.

2004-09-28  Sven Neumann  <sven@gimp.org>

	* app/file/gimprecentlist.c (gimp_recent_list_write_raw): handle
	EINTR while writing.

2004-09-28  Sven Neumann  <sven@gimp.org>

	* app/config/gimpxmlparser.[ch]: added new convenience function
	gimp_xml_parser_parse_fd().

	* app/file/Makefile.am
	* app/file/gimprecentitem.[ch]
	* app/file/gimprecentlist.[ch]: added an implementation of the
	recent-files spec as found on freedesktop.org. This code is taken
	from libegg and has been edited to fit the GIMP needs.

	* app/file/file-open.c
	* app/file/file-save.c: update the ~/.recently-used file. Fixes
	bug #131206.

2004-09-28  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcontainerbox.c (gimp_container_box_get_preview):
	removed hack which strcmp()s the property name to figure the
	preview's border_width and use the container view's
	preview_border_width instead.

2004-09-28  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpimagemaptool.c (gimp_image_map_tool_settings_dialog):
	simplified code and removed a compiler warning.

2004-09-28  Carol Spears  <carol@gimp.org>

	* data/images/gimp-splash.png there was a white spot that was making
	me crazy.  It is gone now.

2004-09-28  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpaction.c (gimp_action_set_proxy): added a hack
	to get rid of the border drawn around thumbnails in the "Open Recent"
	menu.

2004-09-28  Sven Neumann  <sven@gimp.org>

	* app/tools/gimpimagemaptool.c (gimp_image_map_tool_settings_dialog):
	add a shortcut to the filechooser that points to the user's folder.

	* app/actions/vectors-commands.c: added a file filter to the SVG
	import dialog.

2004-09-27  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpthumbbox.c (gimp_thumb_box_new): added some
	padding for the shadow frame to avoid scaling the thumbnail.

2004-09-27  Sven Neumann  <sven@gimp.org>

	* themes/Default/images/Makefile.am
	* themes/Default/images/stock-frame-64.png: added a stock icon
	that shows a simple drop shadow but could be exchanged for other
	image decorations.

	* libgimpwidgets/gimpstock.[ch]: register the new icon.

	* app/widgets/Makefile.am
	* app/widgets/gimpviewrenderer-frame.[ch]: new file that holds some
	ugly code to draw a frame around a preview pixbuf.

	* app/widgets/gimpviewrenderer.[ch]: the frame pixbuf is attached
	to the GimpViewRenderer class so it can be shared by all renderers.

	* app/widgets/gimpviewrendererimagefile.c: use the new functionality
	to draw a nice frame around imagefile previews.

	* app/widgets/gimpcontainerbox.c: draw imagefile preview w/o a border.

2004-09-27  Michael Natterer  <mitch@gimp.org>

	* app/actions/data-commands.c: cleanup.

	* app/actions/vectors-commands.c
	* app/display/gimpdisplayshell.c
	* tools/pdbgen/pdb/paint_tools.pdb: removed unused #includes.

	* app/text/gimptext-bitmap.c
	* app/text/gimptext-parasite.c
	* app/text/gimptext-vectors.c
	* app/text/gimptext-xlfd.c
	* app/text/gimptext.c
	* app/text/gimptextlayer-xcf.c: include "text-types.h" instead
	of "text/text-types.h".

	* app/widgets/gimppatternselect.c: create a GimpPatternFactoryView
	instead of GimpDataFactoryView.

	* app/pdb/paint_tools_cmds.c: regenerated.

2004-09-27  Michael Natterer  <mitch@gimp.org>

	* app/actions/brushes-actions.c
	* app/actions/gradients-actions.c
	* app/actions/palettes-actions.c
	* app/actions/patterns-actions.c: made the "foo-edit" actions
	GimpStringActions and pass the identifier of the editor dialog
	to the callback.

	* app/actions/data-commands.[ch] (data_edit_data_cmd_callback):
	show the editor dialog here instead of calling view->edit_func().

	* app/dialogs/dialogs-constructors.[ch]: removed the brush,
	gradient and palette edit_funcs.

	* app/widgets/widgets-types.h: removed typedef GimpDataEditFunc.

	* app/widgets/gimpdatafactoryview.[ch]: removed the edit_func
	member and parameters and create the edit button unconditionally.

	* app/widgets/gimpbrushfactoryview.[ch]
	* app/widgets/gimppatternfactoryview.[ch]: changed accordingly.

	* app/widgets/Makefile.am
	* app/widgets/gimpdataselect.[ch]: removed this class, it's not
	needed any longer.

	* app/widgets/gimpbrushselect.[ch]
	* app/widgets/gimpgradientselect.[ch]
	* app/widgets/gimppaletteselect.[ch]
	* app/widgets/gimppatternselect.[ch]: derive them from GimpPdbDialog
	and follow the edit_func removal.

	* app/gui/gui-vtable.c (gui_pdb_dialog_new): removed edit_func
	stuff.

	* app/widgets/gimpcontainereditor.c: minor unrelated cleanup.

2004-09-27  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/dialogs-constrcutors.[ch]: renamed some constructors
	for consistency and added a (useless) template grid.

	* app/dialogs/dialogs.c: make the arrays of GimpDialogFactoryEntries
	more readable by using macros to define them.

2004-09-27  Sven Neumann  <sven@gimp.org>

	* app/core/gimpimagefile.c: removed conversion to TempBuf.
	Instead implement GimpViewable::get_new_pixbuf by compositing the
	thumbnail on a checkerboard.

	* app/widgets/gimpviewrenderer.[ch]: renamed the no_view_pixbuf
	struct member to pixbuf.
	(gimp_view_renderer_real_render): try gimp_viewable_get_pixbuf()
	and render the pixbuf before falling back to the TempBuf preview.
	(gimp_view_renderer_render_pixbuf): new function that sets a
	pixbuf for the renderer and flushes the render_buffer.

	* app/widgets/gimpviewrendererimagefile.c
	(gimp_view_renderer_imagefile_render): render the pixbuf.

	* app/dialogs/dialogs-constructors.c: create the document history
	dockable with a zero borderwidth.

2004-09-27  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/pdb/fileops.pdb (file_load_thumbnail_invoker): use
	the GIMP_CHECK_SIZE_SM define, not the enum value
	GIMP_CHECK_SIZE_SMALL_CHECKS which is 0 (eeek!).

	* app/pdb/fileops_cmds.c: regenerated.

	* app/widgets/gimphelp.c (gimp_help_get_locales): minor cleanup.

2004-09-26  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdataeditor.[ch]: added "data" property.

	* app/widgets/gimpbrusheditor.c
	* app/widgets/gimpgradienteditor.c
	* app/widgets/gimppaletteeditor.c: pass the current data to
	g_object_new() so we never end up with initially empty editors.

2004-09-26  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdataeditor.[ch]: added CONSTRUCT_ONLY
	"data-factory" property. Removed gimp_data_editor_construct().

	* app/widgets/gimpbrusheditor.c
	* app/widgets/gimpgradienteditor.c
	* app/widgets/gimppaletteeditor.c: pass the construct parameters
	to g_object_new().

2004-09-26  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcolorframe.c: changed label alignment to be more
	HIG conformant and consistent with the rest of the user interface.

2004-09-26  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdialogfactory.[ch]: added "name", "blurb",
	"stock_id" and "help_id" to struct GimpDialogFactoryEntry and to
	gimp_dialog_factory_dialog_register(). Added typedef
	GimpDialogConstructor which takes a GimpDialogFactoryEntry in
	addition to the parameters GimpDialogNewFunc takes. Added a
	constructor function pointer to GimpDialogFactory which defaults
	to a function that just returns entry->new_func(). Use that
	constructor instead of entry->new_func() for creating
	dialogs. Added public API gimp_dialog_factory_set_constructor().

	* app/dialogs/dialogs.c: register name, blurb, stock_id and
	help_id for all dockables so all the dialog info lives in one huge
	ugly table now. For the global_toolbox_factory and the
	global_dock_factory, set a constructor which creates a dockable
	around the widget returned by entry->new_func().

	* app/dialogs/dialogs-constructors.[ch]: don't create the dockable
	in each dialog constructor. Removes tons of code and reduces most
	constructors to a "return gimp_foo_new(...)" one-liner. Got rid of
	all static variables, they were from a time when GimpDialogFactory
	was unable to manage singletons.

	* app/widgets/gimpbrusheditor.[ch]
	* app/widgets/gimpgradienteditor.[ch]
	* app/widgets/gimppaletteeditor.[ch]: return GtkWidget, not
	GimpDataEditor from gimp_foo_editor_new().

	* app/widgets/gimpdataeditor.c: minor cleanups.

2004-09-26  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcolordialog.c: moved stuff from new() to init().

2004-09-26  Michael Natterer  <mitch@gimp.org>

	Ported GimpNavigationView to use actions for its buttons:

	* app/menus/menus.c (menus_init): register a <GimpNavigationEditor>
	UI manager containing the "view" action group.

	* app/actions/actions.c (action_data_get_foo): handle "data" being
	a GimpNavigationEditor.

	* app/actions/view-actions.c (view_actions): added tooltips for
	the actions used in the editor.

	(view_actions_update): use action_data_get_display() instead of
	checking the type of "data" manually.

	* app/widgets/gimpeditor.c (gimp_editor_add_action_button): use
	a GtkToggleButton instead of GimpButton for GtkToggleActions.

	* app/display/gimpnavigationeditor.[ch]: added a GimpMenuFactory
	parameter to the public constructor and removed all other
	parameters. Simplified gimp_navigation_editor_new_private() and
	use gimp_editor_add_action_button() instead of just add_button()
	for creating the buttons. Made gimp_navigation_view_set_shell()
	private. Update the UI manager when the shell zooms or scrolls.

	* app/dialogs/dialogs-constructors.c (dialogs_navigation_view_new):
	pass the menu_factory to gimp_navigation_editor_new().

	Removed #includes which are not needed any more.

2004-09-26  DindinX  <dindinx@gimp.org>

	* plug-ins/common/exchange.c: use the same preview as in all other
	plug-ins.

2004-09-25  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_stock.c: removed C++ style comment.

2004-09-25  Maurits Rijk  <m.rijk@chello.nl>

	* plug-ins/imagemap/imap_stock.[ch]
	* plug-ins/imagemap/Makefile.am
	* plug-ins/imagemap/*.xpm: get rid of all .xpm images

	* configure.in 
	* plug-ins/imagemap/images/*: and add them as .png here

	* plug-ins/imagemap/imap_browse.c: remove unused include.
	
2004-09-25  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpviewrenderer.h: removed trailing whitespace.

2004-09-25  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-close.c: changed mnemonic so that
	you can close an image w/o saving it by using Ctrl-W Alt-W.

2004-09-25  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-qmask.h: added comment about not changing the
	silly "Qmask" string because it is used to identify the Quick Mask
	in the XCF.

	* app/core/gimpchannel.c: implement GimpViewable::get_description()
	and return "Quick Mask" if it's the Quick Mask.

	* app/actions/qmask-actions.c
	* app/actions/qmask-commands.c
	* app/core/core-enums.[ch]
	* app/core/gimpimage-qmask.c
	* app/display/gimpdisplayshell.c: s/QuickMask/Quick Mask/.

2004-09-25  DindinX  <dindinx@gimp.org>

	* plug-ins/common/engrave.c: Added a preview and #if'ed out some
	unreachable code.

2004-09-25  Michael Natterer  <mitch@gimp.org>

	* app/core/gimppickable.[ch]: added new vitrual function
	GimpPickableInterface::get_image()

	* app/core/gimpdrawable.c
	* app/core/gimpimagemap.c
	* app/core/gimpprojection.[ch]: implement it.

2004-09-25  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcolormapeditor.[ch]
	* app/widgets/gimphistogrameditor.[ch]
	* app/widgets/gimpselectioneditor.[ch]: removed redundant "gimage"
	parameters from public constructors. They are all GimpImageEditor
	widgets which get their image via gimp_docked_set_context() and
	gimp_image_editor_set_image() later anyway. Fixes uglyness as well
	as problems where the editors had an image but no context, causing
	strange behavior in their foo_actions_update() functions.

	* app/dialogs/dialogs-constructors.c: changed accordingly. Removed
	redundant calls to gimp_dockable_set_context() on newly created
	dockables because they will get a context when added to their
	containers.

2004-09-25  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcolormapeditor.c: moved stuff from
	gimp_colormap_editor_new() to
	gimp_colormap_editor_init(). Untabified.

2004-09-25  DindinX  <dindinx@gimp.org>

	* plug-ins/common/dog.c: made the preview behave like in all other
	plug-ins by using a GimpDrawablePreview.  This allowed to remove a
	bunch of complicated code.

2004-09-25  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimptemplateeditor.[ch]: added resolution and image
	type information which is usually hidden in the Advanced Options.

2004-09-25  DindinX  <dindinx@gimp.org>

	* plug-ins/common/oilify.c: Added a preview and made some small
	cleanups.

2004-09-24  Sven Neumann  <sven@gimp.org>

	* app/config/gimprc-blurbs.h (LAYER_PREVIEW_SIZE_BLURB): try to
	improve the tooltip for the layer-preview-size gimprc setting.
	Addresses bug #153603.

2004-09-24  Michael Natterer  <mitch@gimp.org>

	* app/core/gimpimage-undo-push.c (undo_pop_fs_to_layer): factored
	common code out of the UNDO amd REDO cases. Use gimp_drawable_update()
	instead of gimp_viewable_invalidate_preview() so the projection
	gets updated correctly. Fixes bug #149558.

	* app/core/gimplayer-floating-sel.c (floating_sel_to_layer):
	removed unused variables and their assignments.

2004-09-24  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimptemplateeditor.[ch]: added a label that shows
	the pixel size (as in the initial mockup done by Jimmac).

2004-09-24  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpimagemaptool.c
	(gimp_image_map_tool_settings_dialog): set the folder using
	gtk_file_chooser_set_current_folder(), not set_filename().

2004-09-24  Sven Neumann  <sven@gimp.org>

	* app/base/curves.[ch]
	* app/tools/gimpcurvestool.c: defined CURVES_NUM_POINTS and use it.

	* tools/pdbgen/pdb/color.pdb (curves_spline_invoker): unset the
	last control point which got initialized to (255,255) by
	curves_init(). Fixes bug #153635.

	* app/pdb/color_cmds.c: regenerated.

2004-09-24  Sven Neumann  <sven@gimp.org>

	* app/plug-in/plug-in-message.c: removed a linebreak from a
	warning message.

2004-09-24  Michael Natterer  <mitch@gimp.org>

	* app/paint/gimpairbrushoptions.c
	* app/paint/gimpcloneoptions.c
	* app/paint/gimpconvolveoptions.c
	* app/paint/gimpdodgeburnoptions.c
	* app/paint/gimperaseroptions.c
	* app/paint/gimpinkoptions.c
	* app/paint/gimppaintoptions.c
	* app/paint/gimppenciloptions.c
	* app/paint/gimpsmudgeoptions.c
	* app/tools/gimpblendoptions.c
	* app/tools/gimpbucketfilloptions.c
	* app/tools/gimpcoloroptions.c
	* app/tools/gimpcolorpickeroptions.c
	* app/tools/gimpcropoptions.c
	* app/tools/gimpflipoptions.c
	* app/tools/gimphistogramoptions.c
	* app/tools/gimpimagemapoptions.c
	* app/tools/gimpmagnifyoptions.c
	* app/tools/gimpmeasureoptions.c
	* app/tools/gimpmoveoptions.c
	* app/tools/gimppaintoptions-gui.c
	* app/tools/gimpselectionoptions.c
	* app/tools/gimptextoptions.c
	* app/tools/gimptransformoptions.c
	* app/tools/gimpvectoroptions.c: code cleanup: untabified and
	trailing whitespace removal, removed empty instance_init()
	funcions, cleaned up variable declarations/initializations.

2004-09-23  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimpairbrushtool.c (gimp_airbrush_tool_register)
	* app/tools/gimppenciltool.c (gimp_pencil_tool_register):
	add GIMP_CONTEXT_GRADIENT_MASK to the tools' context_props because
	these tools use the current gradient. Fixes bug #153584.

2004-09-23  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/Makefile.am
	* app/dialogs/color-dialog.[ch]: removed...

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpcolordialog.[ch]: ...and added as widget.

	* app/core/gimpmarshal.list: new marshaller VOID__BOXED_ENUM.

	* app/widgets/widgets-enums.[ch]: new enum GimpColorDialogState.

	* app/widgets/gimpcolormapeditor.[ch]
	* app/widgets/gimpcolorpanel.[ch]
	* app/widgets/gimpgradienteditor.[ch]
	* app/widgets/gimppaletteeditor.[ch]
	* app/widgets/gimptoolbox-color-area.c
	* app/actions/gradient-editor-commands.c
	* app/actions/view-commands.c: ported to GimpColorDialog. Removes
	a whole bunch of ugly widgets/ -> dialogs/ dependencies.

2004-09-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-interface.c: put the text view into
	a scrolled window. Removed "changed" callbacks for GtkEntry and
	GtkTextView. Instead retrieve the final string when the dialog is
	confirmed.

	* plug-ins/script-fu/scripts/carved-logo.scm
	* plug-ins/script-fu/scripts/chrome-it.scm
	* plug-ins/script-fu/scripts/crystal-logo.scm
	* plug-ins/script-fu/scripts/sota-chrome-logo.scm: use
	gimp-data-directory instead of the deprecated constant
	gimp-data-dir.

	* plug-ins/script-fu/scripts/mkbrush.scm: unmarked strings for
	translation that I marked yesterday. Won't work unfortunately.

2004-09-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/blended-logo.scm: fixed context
	push/pop.

2004-09-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-enums.h
	* plug-ins/script-fu/script-fu-interface.c
	* plug-ins/script-fu/script-fu-scripts.c
	* plug-ins/script-fu/siod-wrapper.c: applied a patch by Kevin
	Cozens, based on a patch by Dov Grobgeld. Implements multi-line
	text input in Script-Fu (bug #124394).

	* plug-ins/script-fu/scripts/test-sphere.scm: test the new SF-TEXT
	parameter.

2004-09-23  Sven Neumann  <sven@gimp.org>

	* libgimp/gimppixbuf.c (gimp_drawable_get_thumbnail,
	gimp_image_get_thumbnail): use the exported symbols from
	libgimp, not the private _gimp_drawable_thumbnail()
	and _gimp_image_thumbnail() functions.

	* libgimp/gimp.def: added new symbols, removed
	_gimp_image_thumbnail and _gimp_drawable_thumbnail.

2004-09-23  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/brushes.pdb
	* tools/pdbgen/pdb/gradients.pdb
	* tools/pdbgen/pdb/palettes.pdb
	* tools/pdbgen/pdb/patterns.pdb: removed the foos_set_foo()
	procedures and marked the foos_get_foo() ones as deprecated. For
	brushes, patterns and palettes, added foos_get_foo_info()
	procedures which work like foos_get_foo_data() but return just the
	properties, not the actual data. Allow NULL or "" to be passed
	as name to all functions (use the current brush, pattern etc.
	in this case).

	* tools/pdbgen/pdb/fonts.pdb: cleanup.

	* app/pdb/procedural_db.c: added the removed ones to the compat
	hash table.

	* libgimp/Makefile.am
	* libgimp/gimpbrushes.[ch]
	* libgimp/gimpgradients.[ch]
	* libgimp/gimppalettes.[ch]
	* libgimp/gimppatterns.[ch]: new files with compat functions
	wich call the resp. gimp_context_*() functions.

	* libgimp/gimp.h: changed accordingly.

	* app/pdb/brushes_cmds.c
	* app/pdb/gradients_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/palettes_cmds.c
	* app/pdb/patterns_cmds.c
	* libgimp/gimpbrushes_pdb.[ch]
	* libgimp/gimpgradients_pdb.[ch]
	* libgimp/gimppalettes_pdb.[ch]
	* libgimp/gimppatterns_pdb.[ch]: regenerated.

	* plug-ins/FractalExplorer/Dialogs.c
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-style.[ch]
	* plug-ins/gflare/gflare.c: changed accordingly.

2004-09-23  Michael Natterer  <mitch@gimp.org>

	* plug-ins/common/bumpmap.c (bumpmap_dialog): added a GtkPaned for
	packing preview and controls so the controls are resizable again.

2004-09-23  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scripts/3d-outline.scm
	* plug-ins/script-fu/scripts/beveled-pattern-arrow.scm
	* plug-ins/script-fu/scripts/beveled-pattern-bullet.scm
	* plug-ins/script-fu/scripts/beveled-pattern-button.scm
	* plug-ins/script-fu/scripts/beveled-pattern-heading.scm
	* plug-ins/script-fu/scripts/beveled-pattern-hrule.scm
	* plug-ins/script-fu/scripts/blended-logo.scm
	* plug-ins/script-fu/scripts/carve-it.scm
	* plug-ins/script-fu/scripts/carved-logo.scm
	* plug-ins/script-fu/scripts/chip-away.scm
	* plug-ins/script-fu/scripts/chrome-it.scm
	* plug-ins/script-fu/scripts/coffee.scm
	* plug-ins/script-fu/scripts/comic-logo.scm
	* plug-ins/script-fu/scripts/coolmetal-logo.scm
	* plug-ins/script-fu/scripts/crystal-logo.scm
	* plug-ins/script-fu/scripts/frosty-logo.scm
	* plug-ins/script-fu/scripts/glossy.scm
	* plug-ins/script-fu/scripts/hsv-graph.scm
	* plug-ins/script-fu/scripts/land.scm
	* plug-ins/script-fu/scripts/lava.scm
	* plug-ins/script-fu/scripts/mkbrush.scm
	* plug-ins/script-fu/scripts/rendermap.scm
	* plug-ins/script-fu/scripts/select-to-brush.scm
	* plug-ins/script-fu/scripts/select-to-pattern.scm
	* plug-ins/script-fu/scripts/sota-chrome-logo.scm
	* plug-ins/script-fu/scripts/spyrogimp.scm
	* plug-ins/script-fu/scripts/starburst-logo.scm
	* plug-ins/script-fu/scripts/starscape-logo.scm
	* plug-ins/script-fu/scripts/t-o-p-logo.scm
	* plug-ins/script-fu/scripts/test-sphere.scm
	* plug-ins/script-fu/scripts/textured-logo.scm: use the new
	opacity, paint_mode, brush, pattern, gradient, palette and font
	accessors.

2004-09-23  Sven Neumann  <sven@gimp.org>

	Converted the last bunch of scripts to the new context API:

	* plug-ins/script-fu/scripts/[s-z]*.scm

2004-09-23  Sven Neumann  <sven@gimp.org>

	Converted more scripts to the new context API:

	* plug-ins/script-fu/scripts/glossy.scm
	* plug-ins/script-fu/scripts/hsv-graph.scm
	* plug-ins/script-fu/scripts/image-structure.scm
	* plug-ins/script-fu/scripts/perspective-shadow.scm
	* plug-ins/script-fu/scripts/pupi-button.scm
	* plug-ins/script-fu/scripts/rendermap.scm
	* plug-ins/script-fu/scripts/ripply-anim.scm

2004-09-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/hsv-graph.scm: 

	* tools/pdbgen/pdb/context.pdb: oops, should probably pop, not
	push a context in gimp_context_pop().

	* app/pdb/context_cmds.c: regenerated.

	* plug-ins/script-fu/scripts/mkbrush.scm: don't fiddle with the
	brush description, simply use the name choosen by the user.

2004-09-23  Sven Neumann  <sven@gimp.org>

	Converted the next bunch of scripts to the new context API:

	* plug-ins/script-fu/scripts/[d-n]*.scm: push and pop a context.
	Removed code that used to restore the context values changed by
	the scripts.

2004-09-23  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/plug-in-message.c (plug_in_handle_proc_return_priv):
	removed warning about entering a dead code path. That path is not
	dead at all :)

2004-09-23  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/context.pdb: added accessors for the context's
	brush, pattern, gradient, palette and brush. Deprecation of old
	functions will follow. Fixes gimp-context-set-background wrapper.
	Cleanup.

	* tools/pdbgen/pdb/patterns.pdb
	* libgimp/gimpbrushes.h: minor fixes.

	* app/pdb/context_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/patterns_cmds.c
	* libgimp/gimpcontext_pdb.[ch]: regenerated.

2004-09-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/bumpmap.c (bumpmap_dialog): cosmetics.

2004-09-22  Kevin Turner  <acapnotic@twistedmatrix.com>

	* plug-ins/pygimp/gimpfu.py (register): clean up errors in
	parameter checking.

2004-09-22  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/pdb/brushes.pdb: removed the opacity and paint_mode
	functions...

	* tools/pdbgen/pdb/context.pdb: ...and added them here.

	* app/pdb/procedural_db.c: added them to the pdb_compat hash table.

	* libgimp/Makefile.am
	* libgimp/gimpbrushes.[ch]: new files with compat functions
	which call the gimp_context_*() functions.

	* libgimp/gimp.h: changed accordingly.

	* app/pdb/brushes_cmds.c
	* app/pdb/context_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimpbrushes_pdb.[ch]
	* libgimp/gimpcontext_pdb.[ch]: regenerated.

2004-09-22  Michael Natterer  <mitch@gimp.org>

	* tools/pdbgen/Makefile.am
	* tools/pdbgen/groups.pl
	* tools/pdbgen/pdb/palette.pdb: removed the "Palette" pdb group...

	* tools/pdbgen/pdb/context.pdb: and added its functions to the
	"Context" namespace instead.

	* app/pdb/Makefile.am
	* app/pdb/palette_cmds.c: removed.

	* app/pdb/procedural_db.c: added them to the pdb_compat hash table.

	* libgimp/Makefile.am
	* libgimp/gimppalette_pdb.[ch]: removed.

	* libgimp/gimppalette.[ch]: new files holding compat functions
	which call gimp_context_*() functions.

	* libgimp/gimp.h
	* libgimp/gimpui.c: changed accordingly.

	* app/pdb/context_cmds.c
	* app/pdb/internal_procs.c
	* libgimp/gimp_pdb.h
	* libgimp/gimpcontext_pdb.[ch]: regenerated.

	* plug-ins/MapObject/mapobject_image.c
	* plug-ins/MapObject/mapobject_preview.c
	* plug-ins/common/apply_lens.c
	* plug-ins/common/blinds.c
	* plug-ins/common/borderaverage.c
	* plug-ins/common/checkerboard.c
	* plug-ins/common/colortoalpha.c
	* plug-ins/common/cubism.c
	* plug-ins/common/exchange.c
	* plug-ins/common/film.c
	* plug-ins/common/gif.c
	* plug-ins/common/grid.c
	* plug-ins/common/mapcolor.c
	* plug-ins/common/mblur.c
	* plug-ins/common/mng.c
	* plug-ins/common/mosaic.c
	* plug-ins/common/papertile.c
	* plug-ins/common/png.c
	* plug-ins/common/polar.c
	* plug-ins/common/semiflatten.c
	* plug-ins/common/sinus.c
	* plug-ins/common/sparkle.c
	* plug-ins/common/vpropagate.c
	* plug-ins/common/warp.c
	* plug-ins/common/whirlpinch.c
	* plug-ins/gfig/gfig-style.c
	* plug-ins/gfli/gfli.c
	* plug-ins/ifscompose/ifscompose.c
	* plug-ins/maze/handy.c
	* plug-ins/pagecurl/pagecurl.c
	* plug-ins/pygimp/gimpmodule.c
	* plug-ins/script-fu/scripts/*.scm: changed accordingly.

2004-09-22  Sven Neumann  <sven@gimp.org>

	* app/actions/view-actions.c (view_zoom_actions): mark menu label
	as translatable (bug #153456).

2004-09-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/siod-wrapper.c
	* plug-ins/script-fu/scripts/mkbrush.scm
	* plug-ins/script-fu/scripts/select-to-brush.scm
	* plug-ins/script-fu/scripts/select-to-pattern.scm: applied a
	patch from Kevin Cozens that adds constants for the directory
	names exposed by libgimpbase. Fixes bug #153327.

2004-09-22  Sven Neumann  <sven@gimp.org>

	Converted the first bunch of Script-Fu to the new context API:

	* plug-ins/script-fu/scripts/[3a-c]*.scm: push and pop a context.
	Removed code that used to restore the context values changed by
	the scripts.

2004-09-22  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/plug-in-proc-frame.[ch] (plug_in_proc_frame_init):
	removed assertion about proc_rec != NULL because that happens
	when query()ing and init()int plug-ins.

	Replaced "context" by "main_context" plus "context_stack".

	* app/plug-in/plug-in-context.c: implement plug_in_context_push()
	and plug_in_context_pop().

	* app/plug-in/plug-in-message.c
	* app/plug-in/plug-in-progress.c: changed accordingly.

	* tools/pdbgen/pdb/context.pdb: use the return values of
	plug_in_context_push() and _pop().

	* app/pdb/context_cmds.c: regenerated.

	* plug-ins/script-fu/scripts/test-sphere.scm: use
	gimp-context-push and gimp-context-pop instead of remembering the
	old values for FG, BG etc.

2004-09-22  Sven Neumann  <sven@gimp.org>

	* tools/pdbgen/Makefile.am
	* tools/pdbgen/pdb/context.pdb: new files that will hold context
	related PDB functions.

	* tools/pdbgen/groups.pl
	* app/pdb/Makefile.am
	* app/pdb/context_cmds.c
	* app/pdb/internal_procs.c
	* app/pdb/progress_cmds.c
	* libgimp/gimp_pdb.h
	* libgimp/gimpcontext_pdb.[ch]: (re)generated.

	* app/plug-in/Makefile.am
	* app/plug-in/plug-in-context.[ch]: new files that will hold code
	that implements a context stack in the plug-in's proc-frame.

	* app/plug-in/plug-in.[ch]: new function plug_in_get_proc_frame().

	* app/plug-in/plug-in-message.c
	* app/plug-in/plug-in-progress.c: use the new function instead of
	duplicating it all over the place.

2004-09-22  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/Makefile.am
	* app/plug-in/plug-in-proc.[ch]: removed...
	* app/plug-in/plug-in-proc-def.[ch]: ...and added with a new name.

	* app/plug-in/plug-in-def.[ch]
	* app/plug-in/plug-in-message.[ch]
	* app/plug-in/plug-in-progress.[ch]
	* app/plug-in/plug-in-rc.[ch]
	* app/plug-in/plug-in-run.[ch]
	* app/plug-in/plug-in.[ch]
	* app/plug-in/plug-ins.[ch]
	* app/actions/plug-in-actions.c
	* app/actions/plug-in-commands.c
	* app/file/file-open.[ch]
	* app/file/file-save.[ch]
	* app/file/file-utils.[ch]
	* app/gui/gui-vtable.c
	* app/menus/plug-in-menus.c
	* app/widgets/gimpfiledialog.c
	* app/widgets/gimpfileprocview.c
	* app/widgets/gimppluginaction.c
	* app/xcf/xcf.c
	* tools/pdbgen/pdb/fileops.pdb
	* tools/pdbgen/pdb/plug_in.pdb: changed accordingly plus some
	minor cosmetic cleanups.

	* app/pdb/fileops_cmds.c
	* app/pdb/plug_in_cmds.c: regenerated.

2004-09-22  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimplayertreeview.c
	(gimp_layer_tree_view_floating_selection_changed): removed the
	hack that was displaying "Floating Selection" instead of the
	floating layer's real name.

	* app/core/gimplayer.c: implement GimpViewable::get_description()
	instead and special case floating selections with a two-line
	text that contains "Floating Selection".

	* app/core/gimplayer-floating-sel.c
	* app/core/gimpimage-undo-push.c: emit "name_changed" on the layer
	when it changes its state from floating to normal or vice versa
	so the views can update accordingly.

	* app/core/gimpselection.c: s/"Selection"/"Floated Layer"/.

	* app/tools/gimpeditselectiontool.c:
	s/"Floating Layer"/"Floating Selection"/.

2004-09-22  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/Makefile.am
	* app/plug-in/plug-in-proc-frame.[ch]: new files containing
	utility functions for initializing/freeing PlugInProcFrames.
	Added the progress stuff to the proc_frame.

	* app/plug-in/plug-in.[ch]: removed the progress stuff from the
	PlugIn struct and use the new proc_frame utility functions.

	* app/plug-in/plug-in-message.c
	* app/plug-in/plug-in-progress.c
	* app/plug-in/plug-in-run.c: changed accordingly.

2004-09-22  Michael Natterer  <mitch@gimp.org>

	Prepare for enabling private contexts for plug-ins and scripts:

	* app/plug-in/plug-in.[ch]: removed the "context" member from
	the PlugIn struct and added it to PlugInProcFrame instead.

	* app/plug-in/plug-in-message.c
	* app/plug-in/plug-in-progress.c
	* app/plug-in/plug-in-run.c: changed accordingly.

2004-09-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/bumpmap.c: moved the preview to the left.

2004-09-22  Michael Natterer  <mitch@gimp.org>

	* app/plug-in/plug-in-types.h
	* app/plug-in/plug-in.[ch]: added struct PlugInProcFrame which
	contains the ProcRecord, the proc's GMainLoop and its return
	values.

	Use the same struct for the plug-in's main proc and its
	temp_procs, so we finally have one set of return values per call
	frame, and not just one per plug-in.

	Added plug_in_proc_frame_push()/pop() and changed
	plug_in_main_loop[_quit]() accordingly.

	* app/plug-in/plug-in-message.c
	* app/plug-in/plug-in-progress.c
	* app/plug-in/plug-in-run.c: changed accordingly.

2004-09-22  Sven Neumann  <sven@gimp.org>

	* app/text/gimptextlayout.c (gimp_text_get_pango_context):
	workaround Pango bug #143542 (PangoFT2Fontmap leak, see also bug
	#148997). Based on a patch by Robert Ögren.

2004-09-22  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpviewabledialog.c: removed the prelit event box
	from the header frame, use a smaller font for the subtitle,
	removed the separator.

	* app/dialogs/preferences-dialog.c: removed the prelit event box
	from the header frame. Perhaps we should have subtitles here with
	a more verbose description of the settings page?

2004-09-21  Michael Natterer  <mitch@gimp.org>

	* app/actions/file-actions.c (file_actions): resolved conflicting
	mnemonics.

2004-09-21  Sven Neumann  <sven@gimp.org>

	* data/images/Makefile.am (imagedata_DATA): renamed gimp_splash.png
	to gimp-splash.png.

	* data/images/gimp-splash.png: new splash, courtesy of Dave Neary.

	* app/gui/splash.c: look for gimp-splash.png in the users
	directory, then in the systemwide images directory.

2004-09-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-server.c: got rid of two the global
	file descriptor sets. Use the client hash-table instead.

2004-09-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/script-fu-server.c: enabled build of the
	Script-Fu server for the Win32 platform using the winsock API.

	* plug-ins/script-fu/Makefile.am: link with -lwsock32 on Win32.

	* plug-ins/script-fu/script-fu-console.c
	* plug-ins/script-fu/script-fu.c
	* plug-ins/script-fu/siod-wrapper.c: removed Win32 specific code
	that isn't needed any longer.

2004-09-21  Michael Natterer  <mitch@gimp.org>

	For the sake of completeness, added a GUI for the hidden
	"Open as Layer" feature:

	* app/actions/file-actions.c
	* app/actions/file-commands.[ch]: added "file-open-as-layer"
	action and callback. Abuse the "gimage" field of GimpFileDialog to
	indicate layer opening (it's otherwise unused for file-open).

	* app/dialogs/file-open-dialog.c: if dialog->gimage is non-NULL,
	open the selected files as layers for that image.

	* app/widgets/gimphelp-ids.h: added GIMP_HELP_FILE_OPEN_AS_LAYER.

	* menus/image-menu.xml.in: added it to the menu.

2004-09-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/jpeg.c (save_dialog): let the dialog collapse
	with the expander by making it not resizable.

2004-09-21  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-close.c
	(gimp_display_shell_close_dialog): resolved a mnemonics collision.

2004-09-21  Dave Neary  <bolsh@gimp.org>

	* plug-ins/common/psd.c: Correctly set overlay, hard light and
	soft light modes from .psd files. Fixes bug #153229.

2004-09-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/svg.c (SVG_DEFAULT_RESOLUTION): set to 90dpi as
	a workaround for bug #143300.

2004-09-20  Maurits Rijk  <m.rijk@chello.nl>

	* plug-ins/imagemap/imap_cmd_guides.c
	* plug-ins/imagemap/imap_default_dialog.c
	* plug-ins/imagemap/imap_menu.c
	* plug-ins/imagemap/imap_preferences.c
	* plug-ins/imagemap/imap_tools.c: disabled functionality that doesn't
	fully work yet. Bug #136713 now becomes an enhancement request.

2004-09-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/bumpmap.c: added tooltips, enabled "Compensate
	for darkening" by default, some minor cleanups.

2004-09-20  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/dialogs-constructors.c: removed useless #includes.

2004-09-20  Michael Natterer  <mitch@gimp.org>

	* app/actions/buffers-commands.c
	* app/actions/file-commands.c
	* app/actions/layers-commands.c
	* app/actions/plug-in-actions.c
	* app/actions/tools-actions.c: removed useless #includes, cleanup.

2004-09-20  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/dialogs.[ch] (dialogs_init): added GimpMenuFactory
	parameter and removed inclusion on "menus/menus.h".

	* app/menus/menus.[ch] (menus_init): added GimpActionFactory
	parameter and removed inclusion of "actions/actions.h".

	* app/gui/gui.c (gui_restore_callback): pass the factories to the
	above functions.

2004-09-20  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version number to 2.1.6.

2004-09-20  DindinX  <dindinx@gimp.org>

	* plug-ins/common/deinterlace.c: added a preview. Not sure if it is
	really useful...

2004-09-20  DindinX  <dindinx@gimp.org>

	* plug-ins/common/shift.c: added a preview.

2004-09-20  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpcolorselect.c (gimp_color_select_xy_events):
	removed "case GDK_CONFIGURE" because it's not needed and did
	"break" instead of "return FALSE", causing random color changes
	when resizing and initially showing the widget.

2004-09-20  Sven Neumann  <sven@gimp.org>

	* Made 2.1.5 release.

2004-09-20  Michael Natterer  <mitch@gimp.org>

	* app/Makefile.am (gimp_2_1_LDFLAGS): removed all -u hacks.

	(gimp_2_1_LDADD)
	(gimp_console_2_1_LDADD): reordered .a files correctly. The core
	seems to be cleaned up enough to have proper dependencies now.

2004-09-20  Michael Natterer  <mitch@gimp.org>

	* app/actions/channels-commands.c
	* app/actions/vectors-commands.c: removed massive code duplication
	by factoring out the code that creates the "New Channel/Path" and
	"Edit Channel/Path Attributes" dialogs out to utility functions.
	GUI spacing and Code cleanup.

	* app/actions/layers-commands.c: minor GUI spacing and code
	cleanup.

2004-09-19  Sven Neumann  <sven@gimp.org>

	* app/base/tile-manager.c (tile_manager_get_memsize): count valid
	tiles, not dirty ones.

2004-09-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/bumpmap.c: some tweaks to the dialog layout.

2004-09-19  Michael Natterer  <mitch@gimp.org>

	* app/actions/qmask-commands.c (qmask_invert_cmd_callback): is a
	GtkRadioAction callback but behaved like a GtkToggleAction
	callback. Fixes bug #152948.

2004-09-19  DindinX  <dindinx@gimp.org>

	* plug-ins/common/bumpmap.c: use a GimpDrawablePreview instead of a
	very complicated homemade preview.  Many small changes in the code
	too, and some cleanups. I hope I didn't break anything.

2004-09-19  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/tools/gimppaintoptions-gui.c: clean up ugliness introduced
	by my previous commit -- no functional change.

2004-09-19  Sven Neumann  <sven@gimp.org>

	Improved undo memory calculation for paint operations (bug #153035):

	* app/base/tile-manager.[ch] (tile_manager_get_memsize): added a
	"gboolean sparse" parameter to get more accurate results for
	sparse tile-managers.

	* app/core/gimpbuffer.c
	* app/core/gimpdrawable.c
	* app/core/gimpimage-undo-push.c
	* app/core/gimpimage.c
	* app/core/gimplayer.c
	* app/core/gimpprojection.c: changed accordingly.

2004-09-19  Sven Neumann  <sven@gimp.org>

	* app/dialogs/Makefile.am (libappdialogs_a_SOURCES): added authors.h.

2004-09-19  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/tools/gimppaintoptions-gui.c: rearrange tool options as
	described in bug #153014.

2004-09-19  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimperrordialog.c (gimp_error_dialog_add): fixed
	handling of too many error messages.

2004-09-19  Sven Neumann  <sven@gimp.org>

	Try to make floating selections more obvious:

	* app/widgets/gimplayertreeview.c
	(gimp_layer_tree_view_floating_selection_changed): always display
	"Floating Selection" as the name for a floating selection.

	* app/core/gimpselection.c (gimp_selection_float): call the new
	layer "Selection" instead of "Floating Selection". This is what
	will be displayed if the FS is turned into a layer.

	* app/actions/layers-commands.c (layers_edit_layer_query): don't
	special case floating selections here.

	* app/core/gimplayer-floating-sel.c: cosmetics.

2004-09-19  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/postscript.c (ps_open): applied a patch by Peter
	Kirchgessner that solves a problem with the recognition of the
	bounding box. Fixes bug #152829.

2004-09-19  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/gimprgb-parse.c (gimp_rgb_parse_hex): fixed gtk-doc
	comment.

2004-09-18  Simon Budig  <simon@gimp.org>

	* libgimpwidgets/gimpcolorhexentry.c: Removed check for len % 3 == 0,
	so that the entry accepts hex colors starting with "#" again.
	Untabbified.

2004-09-18  Manish Singh  <yosh@gimp.org>

	* app/Makefile.am: remove LDFLAGS references to now private
	file_open_dialog_show, file_open_location_dialog_show, and
	file_save_dialog_show.

2004-09-18  Sven Neumann  <sven@gimp.org>

	* app/actions/qmask-commands.c
	* libgimpcolor/gimprgb.c (gimp_rgba_distance): just some cleanup.

	* app/core/gimpimage-qmask.c (gimp_image_set_qmask_color): always
	set gimage->qmask_color regardless of the qmask state.

	* libgimpwidgets/gimpcolorbutton.c (gimp_color_button_new): set
	the type before setting the color.

2004-09-17  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcomponenteditor.c
	(gimp_component_editor_renderer_update): use
	gimp_component_editor_get_iter() instead of duplicating its code.

2004-09-17  Simon Budig  <simon@gimp.org>

	* app/widgets/gimpbrusheditor.[ch]: Added a slider for the
	brush spacing to the brush editor. Should make it more obvious
	how to change it.

2004-09-17  Sven Neumann  <sven@gimp.org>

	* app/core/gimp-edit.c (gimp_edit_paste): based on a patch from
	Joao S. O. Bueno: Ensure that the pasted layer is always within
	the image, if it fits and aligned at top left if it doesn't.
	Fixes bug #142944.

2004-09-16  Sven Neumann  <sven@gimp.org>

	* INSTALL: updated.

2004-09-16  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpwidgets.c (gimp_scale_entry_set_logarithmic):
	applied a patch by Joao S. O. Bueno that fixes bug #152820.

2004-09-16  Dave Neary  <bolsh@gimp.org>

	* plug-ins/script-fu/scripts/burn-in-anim.scm: patch from Kevin
	Cozens which reinstates corona. Fixes bug #142282.

2004-09-16  Michael Natterer  <mitch@gimp.org>

	* configure.in: depend on GLib >= 2.4.5 and GTK+ >= 2.4.4.

	* app/gui/gui.c: changed accordingly.

	* app/sanity.c: ditto. Added check for GLib and put each check
	into its own utility function. Enabled #if 0'ed check for
	FreeType >= 6.2.7.

	* app/widgets/gimpactiongroup.c
	* app/widgets/gimpcursor.c
	* app/widgets/gimpselectiondata.c
	* app/widgets/gimpuimanager.c
	* app/widgets/gimpwidgets-utils.c: removed workarounds for library
	versions we refuse to start with.

2004-09-16  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpdnd.c (gimp_dnd_uri_list_dest_add): reverse
	order of DND dests so "text/uri-list" is preferred again after my
	DND change of 2004-06-29. Fixes dropping of multiple files.

2004-09-16  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpcomponenteditor.[ch]: set the viewable
	renderer's "renderer" property to NULL when clearing the
	view to work around bug #149906.

2004-09-16  Sven Neumann  <sven@gimp.org>

	* app/core/gimpscanconvert.c (VALUE_TO_PIXEL): replaced a bitshift
	with a binary and. Should be unnoticeably faster ;)

2004-09-16  Michael Natterer  <mitch@gimp.org>

	* app/pdb/procedural_db.c: removed #if 0'ed code, took assignments
	out of if()-conditions, minor cleanup.

2004-09-16  Simon Budig  <simon@gimp.org>

	* app/core/gimpscanconvert.c: Implemented an own rendering
	callback for libart and use it instead of art_gray_svp_aa().
	This now handles non-antialiased scan conversions itself. It
	also basically shows the way to implement a LUT for the
	scan conversion.

2004-09-16  Sven Neumann  <sven@gimp.org>

	* app/dialogs/quit-dialog.c: removed code that isn't needed any
	longer now that the dialog is a singleton.

2004-09-15  DindinX  <david@dindinx.org>

	* plug-ins/common/mblur.c: fix the preview for the zoom blur mode.

2004-09-15  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimppreviewarea.c
	(gimp_preview_area_[draw|blend|mask]): fixed code that handles
	drawing outside of the preview area.

	* plug-ins/common/unsharp.c (preview_update): draw the preview
	directly from the pixel region.

2004-09-15  Manish Singh  <yosh@gimp.org>

	* modules/controller_linux_input.c: use guint16 instead of __u16.
	Should fix bug #152746.

2004-09-15  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpdrawablepreview.[ch]
	* libgimp/gimpui.def: renamed gimp_drawable_preview_draw() to
	gimp_drawable_preview_draw_buffer() and added a rowstride
	parameter. Added new functions gimp_drawable_preview_get_drawable()
	and gimp_drawable_preview_draw_region().

	* plug-ins/common/mblur.c: added a preview that uses the
	shadow tiles as the preview buffer and draws using the new
	gimp_drawable_preview_draw_region() API.

	* plug-ins/common/photocopy.c
	* plug-ins/common/softglow.c: use gimp_drawable_preview_draw_region().

	* plug-ins/common/cartoon.c
	* plug-ins/common/despeckle.c
	* plug-ins/common/edge.c
	* plug-ins/common/gauss.c
	* plug-ins/common/grid.c
	* plug-ins/common/neon.c
	* plug-ins/common/noisify.c
	* plug-ins/common/sel_gauss.c
	* plug-ins/common/sharpen.c
	* plug-ins/common/sobel.c
	* plug-ins/common/spread.c
	* plug-ins/common/struc.c
	* plug-ins/common/unsharp.c
	* plug-ins/common/wind.c: use gimp_drawable_preview_draw_buffer().

2004-09-15  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimphelp-ids.h: added help IDs for the drawable- and
	vectors-visible and -liked actions as well as for the layer mask
	property action.

	* app/actions/drawable-actions.c
	* app/actions/vectors-actions.c: use them.

	* app/actions/layers-actions.c
	* app/actions/layers-commands.[ch]: ditto. Use
	GIMP_STOCK_TRANSPARENCY for all layer opacity actions. Replaced
	"paint_mode" by "mode" in all action and function/variable names
	because this is the layer mode, not a paint mode.

	* app/actions/channels-commands.c
	* app/actions/layers-commands.c
	* app/actions/vectors-commands.c: set the "activates-default"
	property on the name entry in all "New Foo" and "Edit Foo
	Attributes" dialogs except in the "New Layer" dialog.
	Addresses bug #148026.

	* menus/image-menu.xml.in: added a (commented out) layer
	properties menu containing all the new actions.

2004-09-15  Michael Natterer  <mitch@gimp.org>

	* app/actions/layers-actions.c
	* app/actions/layers-commands.[ch]: added actions and callbacks
	"layers-preserve-transparency" and
	"layers-paint-mode-first,last,previous,next". Update the "active"
	state of the recently added layer mask property actions in
	layers_actions_update().

	* app/actions/drawable-actions.c
	* app/actions/drawable-commands.[ch]: added actions and callbacks
	for "drawable-visible" and "drawable-linked". Fixes bug #152597.

	* app/actions/vectors-actions.c
	* app/actions/vectors-commands.[ch]: same here ("vectors-visible"
	and "vectors-linked").

	* app/widgets/gimplayertreeview.c
	(gimp_layer_tree_view_preserve_button_toggled): flush the image
	so the new actions are updated. Compress preserve_trans undos.

	* menus/image-menu.xml.in: added the layer mask property actions
	to the Layers/Mask submenu.

	* menus/layers-menu.xml: reordered the mask property actions
	to have the same order as in the image menu.

2004-09-15  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcontainertreeview.c
	(gimp_container_tree_view_menu_position): improved the fix for bug
	#152662 and removed trailing whitespace.

2004-09-15  Nathan Summers  <rock@gimp.org>

	* app/widgets/gimpcontainertreeview.c
	(gimp_container_tree_view_menu_position): clamp the popup menu's Y
	position to the visible area of the GtkTreeView.  Fixes #152662.

2004-09-14  Michael Natterer  <mitch@gimp.org>

	* libgimpwidgets/gimpquerybox.c: set the "activates-default"
	property on the entries in all query boxes so hitting "return"
	confirms them. Addresses bug #148026.

2004-09-14  Michael Natterer  <mitch@gimp.org>

	* app/widgets/gimpbufferview.c: simplified the code which deals
	with the global_buffer's preview. The new buffer view renderer
	does the aspect ratio magic all by itself now.

	* app/actions/image-commands.h: removed trailing whitespace.

2004-09-14  Michael Natterer  <mitch@gimp.org>

	* app/widgets/Makefile.am
	* app/widgets/widgets-types.h
	* app/widgets/gimpviewrendererbuffer.[ch]: added a view renderer
	which knows how to preserve a GimpBuffer's aspect ratio if the
	view's aspect ratio is different.

	* app/widgets/gimpviewrenderer-utils.c
	(gimp_view_renderer_type_from_viewable_type): use it for viewables
	of type GimpBuffer. Fixes bug #152531

2004-09-14  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/flarefx.c
	* plug-ins/common/nova.c: embed the preview into a sunken frame
	and put it into the upper left corner of the dialog.

2004-09-14  Sven Neumann  <sven@gimp.org>

	* app/dialogs/dialogs-constructors.[ch]
	* app/dialogs/dialogs.c
	* app/gui/gui.c: let the dialog factory handle the quit dialog
	as singleton. Fixes bug #151914.

	* app/dialogs/quit-dialog.c: added a warning here. We need a
	container of dirty images for the above change to work correctly.

2004-09-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/jpeg.c (save_dialog): make the "Save EXIF data"
	toggle insensitive when no EXIF data is present (bug #140042).

	* app/display/gimpdisplayshell-close.c: as suggested by the HIG,
	ask the user to save the image when the last display is being
	closed. Addresses some issues raised in bug #106726.

2004-09-13  Michael Natterer  <mitch@gimp.org>

	* app/app_procs.c (app_run): install the message handler for the
	"Gimp-Dialogs" domain.

2004-09-13  Michael Natterer  <mitch@gimp.org>

	* app/actions/file-commands.c: resurrected file_open_dialog_show()
	and file_save_dialog_show() as private utility functions to get
	rid of code duplication.

2004-09-13  Michael Natterer  <mitch@gimp.org>

	Manage the file-save dialog using the dialog factory and stop
	making menu items insensitive while it is open. Fixes bug #81407.

	* app/dialogs/Makefile.am
	* app/dialogs/file-dialog-utils.[ch]: removed these files.

	* app/dialogs/file-save-dialog.[ch]: removed functions
	file_save_dialog_show() and file_save_a_copy_dialog_show() and
	changed internal function file_save_dialog_create() to
	file_save_dialog_new().

	* app/dialogs/dialogs.c
	* app/dialogs/dialogs-constructors.[ch]: made it completely
	managed by the dialog factory.

	* app/actions/file-commands.c: create it using the dialog
	factory. Attach it to the image so we open only one save
	dialog per image.

	* app/dialogs/file-open-dialog.c: added precondition checks
	to file_open_dialog_new().

2004-09-13  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/jpeg.c: some code cleanup.

2004-09-13  Michael Natterer  <mitch@gimp.org>

	* app/dialogs/file-open-dialog.[ch]: removed function
	file_open_dialog_show() and changed internal function
	file_open_dialog_create() to file_open_dialog_new().

	* app/dialogs/dialogs.c
	* app/dialogs/dialogs-constructors.[ch]: made it completely
	managed by the dialog factory.

	* app/actions/file-commands.c: create it using the dialog factory.

2004-09-13  Michael Natterer  <mitch@gimp.org>

	* configure.in
	* app/Makefile.am: added new directory app/dialogs and link
	libappdialogs.c into the gimp binary.

	* app/gui/Makefile.am
